
DROP PROCEDURE IF EXISTS {0}.DropConstraintIfExists;;
CREATE PROCEDURE {0}.DropConstraintIfExists(
    IN my_table_name VARCHAR(128),
    IN my_constr_name VARCHAR(128) )
BEGIN
    IF EXISTS ( SELECT 1 FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
        WHERE TABLE_SCHEMA = SCHEMA()
          AND TABLE_NAME = my_table_name
          AND CONSTRAINT_TYPE = "FOREIGN KEY"
          AND CONSTRAINT_NAME = my_constr_name )
    THEN
        SET @query = CONCAT("ALTER TABLE ", my_table_name, " DROP FOREIGN KEY ", my_constr_name, ";");
        PREPARE stmt FROM @query;
        EXECUTE stmt;
        DEALLOCATE PREPARE stmt;
    END IF;
END;;

CALL {0}.DropConstraintIfExists( "availability_id", "availability_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "availability_providerdata", "availability_providerdata_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "availability_url", "availability_url_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "availability_viewingoption", "availability_viewingoption_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_asset", "celebrity_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_award", "celebrity_award_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_biography", "celebrity_biography_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_education", "celebrity_education_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_enhancedaward", "celebrity_enhancedaward_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_highlight", "celebrity_highlight_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_mediography", "celebrity_mediography_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_mediography_credit", "celebrity_mediography_credit_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_mediography_credit", "celebrity_mediography_credit_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "celebrity_milestone", "celebrity_milestone_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_name", "celebrity_name_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_note", "celebrity_note_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_participanttype", "celebrity_participanttype_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_quote", "celebrity_quote_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_relationship", "celebrity_relationship_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_relationshipevent", "celebrity_relationshipevent_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "celebrity_socialmedia", "celebrity_socialmedia_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "cv_attribute", "cv_attribute_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "descriptortaxonomy_descriptor", "descriptortaxonomy_descriptor_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "lineup_channel", "lineup_channel_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "lineup_channel_transport", "lineup_channel_transport_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "lineup_channel_transport", "lineup_channel_transport_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "lineup_channel_transport_id", "lineup_channel_transport_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "lineup_channel_transport_id", "lineup_channel_transport_id_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "lineup_market", "lineup_market_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "lineup_postalcode", "lineup_postalcode_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "mapping_id", "mapping_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "mapping_link", "mapping_link_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_asset", "program_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_asset_id", "program_asset_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_asset_id", "program_asset_id_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "program_award", "program_award_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_cast", "program_cast_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_country", "program_country_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_crew", "program_crew_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_description", "program_description_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_descriptor", "program_descriptor_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_epinfo", "program_epinfo_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_epinfo_alt", "program_epinfo_alt_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_epinfo_alt", "program_epinfo_alt_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "program_externallink", "program_externallink_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_genre", "program_genre_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_mvinfo", "program_mvinfo_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_mvtrailer", "program_mvtrailer_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_origaudiolang", "program_origaudiolang_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_qualityrating", "program_qualityrating_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_rating", "program_rating_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_ratingadvisory", "program_ratingadvisory_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_relationship", "program_relationship_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_release", "program_release_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_release_attribute", "program_release_attribute_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_release_attribute", "program_release_attribute_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "program_release_distributor", "program_release_distributor_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_release_distributor", "program_release_distributor_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "program_season", "program_season_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_spdata", "program_spdata_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_spdata_event", "program_spdata_event_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_spdata_event", "program_spdata_event_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "program_spevent", "program_spevent_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_spinfo", "program_spinfo_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_spteam", "program_spteam_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "program_title", "program_title_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "schedule_event", "schedule_event_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "schedule_event_bcastid", "schedule_event_bcastid_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "schedule_event_bcastid", "schedule_event_bcastid_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "schedule_event_right", "schedule_event_right_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "schedule_event_right", "schedule_event_right_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "schedule_event_right_param", "schedule_event_right_param_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "schedule_event_right_param", "schedule_event_right_param_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "season_asset", "season_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "season_asset_id", "season_asset_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "season_asset_id", "season_asset_id_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "season_cast", "season_cast_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "season_crew", "season_crew_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "season_description", "season_description_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "season_title", "season_title_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_affiliate", "source_affiliate_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_altname", "source_altname_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_asset", "source_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_attribute", "source_attribute_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_bcastlang", "source_bcastlang_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_country", "source_country_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_edlang", "source_edlang_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_genre", "source_genre_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_group", "source_group_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_marketid", "source_marketid_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_relationship", "source_relationship_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "source_transportid", "source_transportid_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset", "sourceprogram_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_extattr", "sourceprogram_asset_extattr_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_extattr", "sourceprogram_asset_extattr_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_id", "sourceprogram_asset_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_id", "sourceprogram_asset_id_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_language", "sourceprogram_asset_language_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_language", "sourceprogram_asset_language_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_market", "sourceprogram_asset_market_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_market", "sourceprogram_asset_market_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_tag", "sourceprogram_asset_tag_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_asset_tag", "sourceprogram_asset_tag_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_cast", "sourceprogram_cast_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_catalog", "sourceprogram_catalog_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_catalog_language", "sourceprogram_catalog_language_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_catalog_language", "sourceprogram_catalog_language_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_catalog_market", "sourceprogram_catalog_market_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_catalog_market", "sourceprogram_catalog_market_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_country", "sourceprogram_country_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_crew", "sourceprogram_crew_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_description", "sourceprogram_description_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_epinfo", "sourceprogram_epinfo_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_genre", "sourceprogram_genre_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_label", "sourceprogram_label_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_mvinfo", "sourceprogram_mvinfo_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_rating", "sourceprogram_rating_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_rating_advisory", "sourceprogram_rating_advisory_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_rating_advisory", "sourceprogram_rating_advisory_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season", "sourceprogram_season_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset", "sourceprogram_season_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset", "sourceprogram_season_asset_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_extattr", "sourceprogram_season_asset_extattr_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_extattr", "sourceprogram_season_asset_extattr_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_id", "sourceprogram_season_asset_id_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_id", "sourceprogram_season_asset_id_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_language", "sourceprogram_season_asset_language_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_language", "sourceprogram_season_asset_language_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_market", "sourceprogram_season_asset_market_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_market", "sourceprogram_season_asset_market_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_tag", "sourceprogram_season_asset_tag_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_asset_tag", "sourceprogram_season_asset_tag_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_cast", "sourceprogram_season_cast_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_cast", "sourceprogram_season_cast_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_crew", "sourceprogram_season_crew_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_crew", "sourceprogram_season_crew_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_desc", "sourceprogram_season_desc_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_desc", "sourceprogram_season_desc_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_title", "sourceprogram_season_title_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_title", "sourceprogram_season_title_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_xid", "sourceprogram_season_xid_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_season_xid", "sourceprogram_season_xid_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_title", "sourceprogram_title_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_versionlabel", "sourceprogram_versionlabel_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sourceprogram_xid", "sourceprogram_xid_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sportsorg_asset", "sportsorg_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sportsorg_conf", "sportsorg_conf_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sportsorg_conf_asset", "sportsorg_conf_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sportsorg_conf_asset", "sportsorg_conf_asset_ibfk_2" );;
CALL {0}.DropConstraintIfExists( "sportsorg_div", "sportsorg_div_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sportsorg_event", "sportsorg_event_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "sportsorg_teambrand", "sportsorg_teambrand_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "team_genre", "team_genre_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "teambrand_asset", "teambrand_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "teambrand_name", "teambrand_name_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "university_asset", "university_asset_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "university_name", "university_name_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "vdannotation_descriptor", "vdannotation_descriptor_ibfk_1" );;
CALL {0}.DropConstraintIfExists( "venuebrand_name", "venuebrand_name_ibfk_1" );;