
USE {0};;

DROP PROCEDURE IF EXISTS {0}.RemoveIdenticalRows;;
CREATE PROCEDURE {0}.RemoveIdenticalRows(
    IN my_table_name VARCHAR(128),
    IN my_col_name VARCHAR(12) )
BEGIN
    DECLARE EXIT HANDLER FOR SQLEXCEPTION
    BEGIN
        ROLLBACK;
        RESIGNAL;
    END;

    SET @query1 = CONCAT("CREATE TEMPORARY TABLE tmp_", my_table_name, " AS (" );
    SET @query1 = CONCAT( @query1, "SELECT DISTINCT * FROM ", my_table_name, " WHERE `", my_col_name, "` IN (" );
    SET @query1 = CONCAT( @query1, "SELECT `", my_col_name, "` FROM ", my_table_name, " GROUP BY `", my_col_name, "` HAVING COUNT(*) > 1));" );

    SET @query2 = CONCAT("DELETE ", my_table_name, " FROM ", my_table_name );
    SET @query2 = CONCAT( @query2, " JOIN tmp_", my_table_name, " t" );
    SET @query2 = CONCAT( @query2, " ON ", my_table_name, ".`", my_col_name, "`=t.`", my_col_name, "`;" );

    SET @query3 = CONCAT("INSERT INTO ", my_table_name, " SELECT * FROM tmp_", my_table_name, ";" );

    START TRANSACTION;

    PREPARE stmt FROM @query1;
    EXECUTE stmt;
    DEALLOCATE PREPARE stmt;

    PREPARE stmt FROM @query2;
    EXECUTE stmt;
    DEALLOCATE PREPARE stmt;

    PREPARE stmt FROM @query3;
    EXECUTE stmt;
    DEALLOCATE PREPARE stmt;

    COMMIT;
END;;

DELETE cv FROM {0}.cv
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.cv
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON cv.`MD5` = max_dup.`MD5`
      WHERE cv.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE source FROM {0}.source
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.source
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON source.`MD5` = max_dup.`MD5`
      WHERE source.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE lineup FROM {0}.lineup
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.lineup
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON lineup.`MD5` = max_dup.`MD5`
      WHERE lineup.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE celebrity FROM {0}.celebrity
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.celebrity
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON celebrity.`MD5` = max_dup.`MD5`
      WHERE celebrity.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE descriptortaxonomy FROM {0}.descriptortaxonomy
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.descriptortaxonomy
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON descriptortaxonomy.`MD5` = max_dup.`MD5`
      WHERE descriptortaxonomy.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE descriptor FROM {0}.descriptor
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.descriptor
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON descriptor.`MD5` = max_dup.`MD5`
      WHERE descriptor.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE season FROM {0}.season
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.season
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON season.`MD5` = max_dup.`MD5`
      WHERE season.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE program FROM {0}.program
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.program
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON program.`MD5` = max_dup.`MD5`
      WHERE program.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE availability FROM {0}.availability
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.availability
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON availability.`MD5` = max_dup.`MD5`
      WHERE availability.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE mapping FROM {0}.mapping
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.mapping
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON mapping.`MD5` = max_dup.`MD5`
      WHERE mapping.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE schedule FROM {0}.schedule
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.schedule
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON schedule.`MD5` = max_dup.`MD5`
      WHERE schedule.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE sourceprogram FROM {0}.sourceprogram
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.sourceprogram
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON sourceprogram.`MD5` = max_dup.`MD5`
      WHERE sourceprogram.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE popularity FROM {0}.popularity
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.popularity
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON popularity.`MD5` = max_dup.`MD5`
      WHERE popularity.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE university FROM {0}.university
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.university
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON university.`MD5` = max_dup.`MD5`
      WHERE university.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE venue FROM {0}.venue
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.venue
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON venue.`MD5` = max_dup.`MD5`
      WHERE venue.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE venuebrand FROM {0}.venuebrand
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.venuebrand
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON venuebrand.`MD5` = max_dup.`MD5`
      WHERE venuebrand.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE sportsorg FROM {0}.sportsorg
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.sportsorg
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON sportsorg.`MD5` = max_dup.`MD5`
      WHERE sportsorg.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE team FROM {0}.team
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.team
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON team.`MD5` = max_dup.`MD5`
      WHERE team.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE teambrand FROM {0}.teambrand
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.teambrand
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON teambrand.`MD5` = max_dup.`MD5`
      WHERE teambrand.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

DELETE vdannotation FROM {0}.vdannotation
      INNER JOIN (
          SELECT `MD5`, MAX(`batchUpdateOrd`) AS `batchUpdateOrd` FROM {0}.vdannotation
              GROUP BY `MD5` HAVING COUNT(*) > 1 ) max_dup
      ON vdannotation.`MD5` = max_dup.`MD5`
      WHERE vdannotation.`batchUpdateOrd` < max_dup.`batchUpdateOrd`;;

CALL {0}.RemoveIdenticalRows( "cv_attribute", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_country", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_altname", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_attribute", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_edlang", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_bcastlang", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_relationship", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_affiliate", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_marketid", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_genre", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_group", "MD5");;
CALL {0}.RemoveIdenticalRows( "source_transportid", "MD5");;
CALL {0}.RemoveIdenticalRows( "lineup_channel", "MD5");;
CALL {0}.RemoveIdenticalRows( "lineup_channel_transport", "MD5");;
CALL {0}.RemoveIdenticalRows( "lineup_channel_transport_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "lineup_postalcode", "MD5");;
CALL {0}.RemoveIdenticalRows( "lineup_market", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_name", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_award", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_mediography", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_mediography_credit", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_participanttype", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_biography", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_relationship", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_relationshipevent", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_education", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_milestone", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_note", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_quote", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_highlight", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_socialmedia", "MD5");;
CALL {0}.RemoveIdenticalRows( "celebrity_enhancedaward", "MD5");;
CALL {0}.RemoveIdenticalRows( "descriptortaxonomy_descriptor", "MD5");;
CALL {0}.RemoveIdenticalRows( "season_title", "MD5");;
CALL {0}.RemoveIdenticalRows( "season_description", "MD5");;
CALL {0}.RemoveIdenticalRows( "season_cast", "MD5");;
CALL {0}.RemoveIdenticalRows( "season_crew", "MD5");;
CALL {0}.RemoveIdenticalRows( "season_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "season_asset_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_season", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_title", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_description", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_cast", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_crew", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_country", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_award", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_genre", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_rating", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_qualityrating", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_ratingadvisory", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_mvinfo", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_mvtrailer", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_epinfo", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_epinfo_alt", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_spinfo", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_spteam", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_spevent", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_spdata", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_spdata_event", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_asset_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_release", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_release_attribute", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_release_distributor", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_relationship", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_externallink", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_descriptor", "MD5");;
CALL {0}.RemoveIdenticalRows( "program_origaudiolang", "MD5");;
CALL {0}.RemoveIdenticalRows( "availability_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "availability_url", "MD5");;
CALL {0}.RemoveIdenticalRows( "availability_viewingoption", "MD5");;
CALL {0}.RemoveIdenticalRows( "availability_providerdata", "MD5");;
CALL {0}.RemoveIdenticalRows( "mapping_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "mapping_link", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_label", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_versionlabel", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_catalog", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_catalog_language", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_catalog_market", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_title", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_description", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_cast", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_crew", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_country", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_genre", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_rating", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_rating_advisory", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_mvinfo", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_epinfo", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_title", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_desc", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_cast", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_crew", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_asset_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_asset_language", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_asset_market", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_asset_extattr", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_asset_tag", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_season_xid", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_asset_id", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_asset_language", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_asset_market", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_asset_extattr", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_asset_tag", "MD5");;
CALL {0}.RemoveIdenticalRows( "sourceprogram_xid", "MD5");;
CALL {0}.RemoveIdenticalRows( "team_genre", "MD5");;
CALL {0}.RemoveIdenticalRows( "teambrand_name", "MD5");;
CALL {0}.RemoveIdenticalRows( "teambrand_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "sportsorg_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "sportsorg_conf", "MD5");;
CALL {0}.RemoveIdenticalRows( "sportsorg_conf_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "sportsorg_div", "MD5");;
CALL {0}.RemoveIdenticalRows( "sportsorg_teambrand", "MD5");;
CALL {0}.RemoveIdenticalRows( "sportsorg_event", "MD5");;
CALL {0}.RemoveIdenticalRows( "university_name", "MD5");;
CALL {0}.RemoveIdenticalRows( "university_asset", "MD5");;
CALL {0}.RemoveIdenticalRows( "venuebrand_name", "MD5");;
CALL {0}.RemoveIdenticalRows( "schedule_event", "MD5");;
CALL {0}.RemoveIdenticalRows( "schedule_event_bcastid", "MD5");;
CALL {0}.RemoveIdenticalRows( "schedule_event_right", "MD5");;
CALL {0}.RemoveIdenticalRows( "schedule_event_right_param", "MD5");;
CALL {0}.RemoveIdenticalRows( "vdannotation_descriptor", "MD5");;