-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


INSERT INTO {1}.cv (`cvId`,`updateId`,`updateDate`,`deleted`,`cvType`,`id`,`type`,`lang`,`value`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `cvId`,`updateId`,`updateDate`,`deleted`,`cvType`,`id`,`type`,`lang`,`value`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.cv
  WHERE ({0}.cv.`deleted` IS NULL OR {0}.cv.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.cv WHERE {1}.cv.`cvId`={0}.cv.`cvId`);

INSERT INTO {1}.source (`prgSvcId`,`updateId`,`updateDate`,`deleted`,`inactive`,`name`,`callSign`,`num`,`majorNum`,`minorNum`,`city`,`state`,`postalCode`,`country`,`type`,`status`,`statusId`,`reach`,`signalType`,`videoType`,`truResolution`,`enhancedCallSign`,`cityOfLicense`,`timeZone`,`ianaTimeZone`,`URL`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `prgSvcId`,`updateId`,`updateDate`,`deleted`,`inactive`,`name`,`callSign`,`num`,`majorNum`,`minorNum`,`city`,`state`,`postalCode`,`country`,`type`,`status`,`statusId`,`reach`,`signalType`,`videoType`,`truResolution`,`enhancedCallSign`,`cityOfLicense`,`timeZone`,`ianaTimeZone`,`URL`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.source
  WHERE ({0}.source.`deleted` IS NULL OR {0}.source.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.source WHERE {1}.source.`prgSvcId`={0}.source.`prgSvcId`);

INSERT INTO {1}.lineup (`lineupId`,`updateId`,`updateDate`,`deleted`,`country`,`countryId`,`mso`,`msoId`,`headend`,`headendId`,`location`,`device`,`deviceType`,`type`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `lineupId`,`updateId`,`updateDate`,`deleted`,`country`,`countryId`,`mso`,`msoId`,`headend`,`headendId`,`location`,`device`,`deviceType`,`type`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.lineup
  WHERE ({0}.lineup.`deleted` IS NULL OR {0}.lineup.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.lineup WHERE {1}.lineup.`lineupId`={0}.lineup.`lineupId`);

INSERT INTO {1}.celebrity (`personId`,`updateId`,`updateDate`,`deleted`,`type`,`gender`,`nationality`,`ethnicity`,`birthName`,`birthPlace`,`birthDate`,`deathDate`,`deathPlace`,`deathCause`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `personId`,`updateId`,`updateDate`,`deleted`,`type`,`gender`,`nationality`,`ethnicity`,`birthName`,`birthPlace`,`birthDate`,`deathDate`,`deathPlace`,`deathCause`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.celebrity
  WHERE ({0}.celebrity.`deleted` IS NULL OR {0}.celebrity.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.celebrity WHERE {1}.celebrity.`personId`={0}.celebrity.`personId`);

INSERT INTO {1}.descriptortaxonomy (`taxonomyId`,`updateId`,`updateDate`,`deleted`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `taxonomyId`,`updateId`,`updateDate`,`deleted`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.descriptortaxonomy
  WHERE ({0}.descriptortaxonomy.`deleted` IS NULL OR {0}.descriptortaxonomy.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.descriptortaxonomy WHERE {1}.descriptortaxonomy.`taxonomyId`={0}.descriptortaxonomy.`taxonomyId`);

INSERT INTO {1}.descriptor (`descriptorId`,`updateId`,`updateDate`,`deleted`,`descriptorName`,`parent_descriptorId`,`typeId`,`typeName`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `descriptorId`,`updateId`,`updateDate`,`deleted`,`descriptorName`,`parent_descriptorId`,`typeId`,`typeName`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.descriptor
  WHERE ({0}.descriptor.`deleted` IS NULL OR {0}.descriptor.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.descriptor WHERE {1}.descriptor.`descriptorId`={0}.descriptor.`descriptorId`);

INSERT INTO {1}.season (`seasonTMSId`,`seasonId`,`updateId`,`updateDate`,`deleted`,`inactive`,`seasonNumber`,`seasonYear`,`seasonPremiere`,`seasonFinale`,`origNetwork`,`origNetwork_prgSvcId`,`totalSeasonEpisodes`,`showcard`,`officialURL`,`title_lang`,`desc_lang`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `seasonTMSId`,`seasonId`,`updateId`,`updateDate`,`deleted`,`inactive`,`seasonNumber`,`seasonYear`,`seasonPremiere`,`seasonFinale`,`origNetwork`,`origNetwork_prgSvcId`,`totalSeasonEpisodes`,`showcard`,`officialURL`,`title_lang`,`desc_lang`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.season
  WHERE ({0}.season.`deleted` IS NULL OR {0}.season.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.season WHERE {1}.season.`seasonTMSId`={0}.season.`seasonTMSId`);

INSERT INTO {1}.program (`TMSId`,`updateId`,`updateDate`,`deleted`,`inactive`,`rootId`,`versionId`,`connectorId`,`seasonId`,`seriesId`,`title_lang`,`desc_lang`,`title_subType`,`runTime`,`progType`,`subType`,`holiday`,`holidayId`,`origAirDate`,`colorCode`,`versionLabel`,`animation`,`origAudioLang`,`sourceType`,`origNetwork`,`origNetwork_prgSvcId`,`lastOrigNetwork`,`lastOrigNetwork_prgSvcId`,`seriesPremiere`,`seriesFinale`,`showcard`,`officialURL`,`partNumber`,`totalParts`,`duration`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `TMSId`,`updateId`,`updateDate`,`deleted`,`inactive`,`rootId`,`versionId`,`connectorId`,`seasonId`,`seriesId`,`title_lang`,`desc_lang`,`title_subType`,`runTime`,`progType`,`subType`,`holiday`,`holidayId`,`origAirDate`,`colorCode`,`versionLabel`,`animation`,`origAudioLang`,`sourceType`,`origNetwork`,`origNetwork_prgSvcId`,`lastOrigNetwork`,`lastOrigNetwork_prgSvcId`,`seriesPremiere`,`seriesFinale`,`showcard`,`officialURL`,`partNumber`,`totalParts`,`duration`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.program
  WHERE ({0}.program.`deleted` IS NULL OR {0}.program.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.program WHERE {1}.program.`TMSId`={0}.program.`TMSId`);

INSERT INTO {1}.availability (`availabilityId`,`updateId`,`updateDate`,`deleted`,`prgSvcId`,`catalogName`,`videoQuality`,`availableFrom`,`expiresAt`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `availabilityId`,`updateId`,`updateDate`,`deleted`,`prgSvcId`,`catalogName`,`videoQuality`,`availableFrom`,`expiresAt`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.availability
  WHERE ({0}.availability.`deleted` IS NULL OR {0}.availability.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.availability WHERE {1}.availability.`availabilityId`={0}.availability.`availabilityId`);

INSERT INTO {1}.mapping (`mappingId`,`updateId`,`updateDate`,`deleted`,`creationDate`,`status`,`catalogName`,`avail_start`,`avail_end`,`message_reason`,`message_detail`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `mappingId`,`updateId`,`updateDate`,`deleted`,`creationDate`,`status`,`catalogName`,`avail_start`,`avail_end`,`message_reason`,`message_detail`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.mapping
  WHERE ({0}.mapping.`deleted` IS NULL OR {0}.mapping.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.mapping WHERE {1}.mapping.`mappingId`={0}.mapping.`mappingId`);

INSERT INTO {1}.schedule (`scheduleId`,`updateId`,`updateDate`,`prgSvcId`,`date`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `scheduleId`,`updateId`,`updateDate`,`prgSvcId`,`date`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.schedule
  WHERE NOT EXISTS (SELECT 1 FROM {1}.schedule WHERE {1}.schedule.`scheduleId`={0}.schedule.`scheduleId`);

INSERT INTO {1}.sourceprogram (`gnidsId`,`updateId`,`updateDate`,`deleted`,`TMSId`,`desc_lang`,`progType`,`subType`,`sourceDataProviderId`,`sourceDataProviderName`,`origNetwork`,`targetAudience`,`productionStatus`,`releaseDate`,`yearOfRelease`,`partNumber`,`version_yearOfRelease`,`version_releaseDate`,`version_colorCode`,`version_duration`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `gnidsId`,`updateId`,`updateDate`,`deleted`,`TMSId`,`desc_lang`,`progType`,`subType`,`sourceDataProviderId`,`sourceDataProviderName`,`origNetwork`,`targetAudience`,`productionStatus`,`releaseDate`,`yearOfRelease`,`partNumber`,`version_yearOfRelease`,`version_releaseDate`,`version_colorCode`,`version_duration`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.sourceprogram
  WHERE ({0}.sourceprogram.`deleted` IS NULL OR {0}.sourceprogram.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.sourceprogram WHERE {1}.sourceprogram.`gnidsId`={0}.sourceprogram.`gnidsId`);

INSERT INTO {1}.popularity (`popularityId`,`updateId`,`updateDate`,`deleted`,`country`,`rootId`,`score`,`scoreDate`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `popularityId`,`updateId`,`updateDate`,`deleted`,`country`,`rootId`,`score`,`scoreDate`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.popularity
  WHERE ({0}.popularity.`deleted` IS NULL OR {0}.popularity.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.popularity WHERE {1}.popularity.`popularityId`={0}.popularity.`popularityId`);

INSERT INTO {1}.university (`universityId`,`updateId`,`updateDate`,`deleted`,`universityGId`,`name`,`names_lang`,`address_city`,`address_state`,`address_country`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `universityId`,`updateId`,`updateDate`,`deleted`,`universityGId`,`name`,`names_lang`,`address_city`,`address_state`,`address_country`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.university
  WHERE ({0}.university.`deleted` IS NULL OR {0}.university.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.university WHERE {1}.university.`universityId`={0}.university.`universityId`);

INSERT INTO {1}.venue (`venueId`,`updateId`,`updateDate`,`deleted`,`venueGId`,`type`,`timezone`,`address_city`,`address_state`,`address_country`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `venueId`,`updateId`,`updateDate`,`deleted`,`venueGId`,`type`,`timezone`,`address_city`,`address_state`,`address_country`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.venue
  WHERE ({0}.venue.`deleted` IS NULL OR {0}.venue.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.venue WHERE {1}.venue.`venueId`={0}.venue.`venueId`);

INSERT INTO {1}.venuebrand (`venueBrandId`,`updateId`,`updateDate`,`deleted`,`venueId`,`active`,`fromDate`,`toDate`,`names_lang`,`name`,`name_lang`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `venueBrandId`,`updateId`,`updateDate`,`deleted`,`venueId`,`active`,`fromDate`,`toDate`,`names_lang`,`name`,`name_lang`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.venuebrand
  WHERE ({0}.venuebrand.`deleted` IS NULL OR {0}.venuebrand.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.venuebrand WHERE {1}.venuebrand.`venueBrandId`={0}.venuebrand.`venueBrandId`);

INSERT INTO {1}.sportsorg (`organizationId`,`updateId`,`updateDate`,`deleted`,`rootId`,`official`,`sportGId`,`name`,`genre`,`genreId`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `organizationId`,`updateId`,`updateDate`,`deleted`,`rootId`,`official`,`sportGId`,`name`,`genre`,`genreId`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.sportsorg
  WHERE ({0}.sportsorg.`deleted` IS NULL OR {0}.sportsorg.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.sportsorg WHERE {1}.sportsorg.`organizationId`={0}.sportsorg.`organizationId`);

INSERT INTO {1}.team (`teamId`,`updateId`,`updateDate`,`deleted`,`teamGId`,`type`,`class`,`color_primary`,`color_secondary`,`gender`,`country`,`genreId`,`sportGId`,`venueId`,`venueGId`,`universityId`,`universityGId`,`address_city`,`address_state`,`address_country`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `teamId`,`updateId`,`updateDate`,`deleted`,`teamGId`,`type`,`class`,`color_primary`,`color_secondary`,`gender`,`country`,`genreId`,`sportGId`,`venueId`,`venueGId`,`universityId`,`universityGId`,`address_city`,`address_state`,`address_country`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.team
  WHERE ({0}.team.`deleted` IS NULL OR {0}.team.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.team WHERE {1}.team.`teamId`={0}.team.`teamId`);

INSERT INTO {1}.teambrand (`teamBrandId`,`updateId`,`updateDate`,`deleted`,`teamBrandGId`,`teamId`,`active`,`fromDate`,`toDate`,`names_lang`,`officialName`,`properName`,`nickName`,`abbreviation`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `teamBrandId`,`updateId`,`updateDate`,`deleted`,`teamBrandGId`,`teamId`,`active`,`fromDate`,`toDate`,`names_lang`,`officialName`,`properName`,`nickName`,`abbreviation`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.teambrand
  WHERE ({0}.teambrand.`deleted` IS NULL OR {0}.teambrand.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.teambrand WHERE {1}.teambrand.`teamBrandId`={0}.teambrand.`teamBrandId`);

INSERT INTO {1}.vdannotation (`TMSId`,`updateId`,`updateDate`,`deleted`,`rootId`,`MD5`,`ingestId`,`batchUpdateOrd`)
  SELECT `TMSId`,`updateId`,`updateDate`,`deleted`,`rootId`,`MD5`,`ingestId`,`batchUpdateOrd` FROM {0}.vdannotation
  WHERE ({0}.vdannotation.`deleted` IS NULL OR {0}.vdannotation.`deleted` != {2})
  AND NOT EXISTS (SELECT 1 FROM {1}.vdannotation WHERE {1}.vdannotation.`TMSId`={0}.vdannotation.`TMSId`);
