-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_celebrity AS SELECT * FROM {0}.celebrity 
  WHERE 1=1 
    AND {0}.celebrity.`batchUpdateOrd` > {2} 
    AND {0}.celebrity.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_celebrity_id ON tmp_celebrity (`personId`);

DELETE FROM {1}.celebrity_enhancedaward WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_socialmedia WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_highlight WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_quote WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_note WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_milestone WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_education WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_relationshipevent WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_relationship WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_biography WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_participanttype WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_mediography_credit WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_mediography WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_asset WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_award WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
DELETE FROM {1}.celebrity_name WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);

UPDATE {1}.celebrity core JOIN tmp_celebrity stage ON stage.`personId`=core.`personId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`type`=stage.`type`,core.`gender`=stage.`gender`,core.`nationality`=stage.`nationality`,core.`ethnicity`=stage.`ethnicity`,core.`birthName`=stage.`birthName`,core.`birthPlace`=stage.`birthPlace`,core.`birthDate`=stage.`birthDate`,core.`deathDate`=stage.`deathDate`,core.`deathPlace`=stage.`deathPlace`,core.`deathCause`=stage.`deathCause`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.celebrity_name SELECT * FROM {0}.celebrity_name WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_award SELECT * FROM {0}.celebrity_award WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_asset SELECT * FROM {0}.celebrity_asset WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_mediography SELECT * FROM {0}.celebrity_mediography WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_mediography_credit SELECT * FROM {0}.celebrity_mediography_credit WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_participanttype SELECT * FROM {0}.celebrity_participanttype WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_biography SELECT * FROM {0}.celebrity_biography WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_relationship SELECT * FROM {0}.celebrity_relationship WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_relationshipevent SELECT * FROM {0}.celebrity_relationshipevent WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_education SELECT * FROM {0}.celebrity_education WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_milestone SELECT * FROM {0}.celebrity_milestone WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_note SELECT * FROM {0}.celebrity_note WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_quote SELECT * FROM {0}.celebrity_quote WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_highlight SELECT * FROM {0}.celebrity_highlight WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_socialmedia SELECT * FROM {0}.celebrity_socialmedia WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
INSERT INTO {1}.celebrity_enhancedaward SELECT * FROM {0}.celebrity_enhancedaward WHERE `personId` IN (SELECT `personId` FROM tmp_celebrity);
