-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_mapping AS SELECT * FROM {0}.mapping 
  WHERE 1=1 
    AND {0}.mapping.`batchUpdateOrd` > {2} 
    AND {0}.mapping.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_mapping_id ON tmp_mapping (`mappingId`);

DELETE FROM {1}.mapping_link WHERE `mappingId` IN (SELECT `mappingId` FROM tmp_mapping);
DELETE FROM {1}.mapping_id WHERE `mappingId` IN (SELECT `mappingId` FROM tmp_mapping);

UPDATE {1}.mapping core JOIN tmp_mapping stage ON stage.`mappingId`=core.`mappingId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`creationDate`=stage.`creationDate`,core.`status`=stage.`status`,core.`catalogName`=stage.`catalogName`,core.`avail_start`=stage.`avail_start`,core.`avail_end`=stage.`avail_end`,core.`message_reason`=stage.`message_reason`,core.`message_detail`=stage.`message_detail`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.mapping_id SELECT * FROM {0}.mapping_id WHERE `mappingId` IN (SELECT `mappingId` FROM tmp_mapping);
INSERT INTO {1}.mapping_link SELECT * FROM {0}.mapping_link WHERE `mappingId` IN (SELECT `mappingId` FROM tmp_mapping);
