-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_season AS SELECT * FROM {0}.season 
  WHERE 1=1 
    AND {0}.season.`batchUpdateOrd` > {2} 
    AND {0}.season.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_season_id ON tmp_season (`seasonTMSId`);

DELETE FROM {1}.season_asset_id WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
DELETE FROM {1}.season_asset WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
DELETE FROM {1}.season_crew WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
DELETE FROM {1}.season_cast WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
DELETE FROM {1}.season_description WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
DELETE FROM {1}.season_title WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);

UPDATE {1}.season core JOIN tmp_season stage ON stage.`seasonTMSId`=core.`seasonTMSId`
SET core.`seasonId`=stage.`seasonId`,core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`inactive`=stage.`inactive`,core.`seasonNumber`=stage.`seasonNumber`,core.`seasonYear`=stage.`seasonYear`,core.`seasonPremiere`=stage.`seasonPremiere`,core.`seasonFinale`=stage.`seasonFinale`,core.`origNetwork`=stage.`origNetwork`,core.`origNetwork_prgSvcId`=stage.`origNetwork_prgSvcId`,core.`totalSeasonEpisodes`=stage.`totalSeasonEpisodes`,core.`showcard`=stage.`showcard`,core.`officialURL`=stage.`officialURL`,core.`title_lang`=stage.`title_lang`,core.`desc_lang`=stage.`desc_lang`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.season_title SELECT * FROM {0}.season_title WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
INSERT INTO {1}.season_description SELECT * FROM {0}.season_description WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
INSERT INTO {1}.season_cast SELECT * FROM {0}.season_cast WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
INSERT INTO {1}.season_crew SELECT * FROM {0}.season_crew WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
INSERT INTO {1}.season_asset SELECT * FROM {0}.season_asset WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
INSERT INTO {1}.season_asset_id SELECT * FROM {0}.season_asset_id WHERE `seasonTMSId` IN (SELECT `seasonTMSId` FROM tmp_season);
