-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_sourceprogram AS SELECT * FROM {0}.sourceprogram 
  WHERE 1=1 
    AND {0}.sourceprogram.`batchUpdateOrd` > {2} 
    AND {0}.sourceprogram.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_sourceprogram_id ON tmp_sourceprogram (`gnidsId`);

DELETE FROM {1}.sourceprogram_xid WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_tag WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_extattr WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_market WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_language WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_id WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_xid WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_tag WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_extattr WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_market WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_language WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_id WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_crew WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_cast WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_desc WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_title WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_epinfo WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_mvinfo WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_rating_advisory WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_rating WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_genre WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_country WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_crew WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_cast WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_description WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_title WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog_market WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog_language WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_versionlabel WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_label WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);

UPDATE {1}.sourceprogram core JOIN tmp_sourceprogram stage ON stage.`gnidsId`=core.`gnidsId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`TMSId`=stage.`TMSId`,core.`desc_lang`=stage.`desc_lang`,core.`progType`=stage.`progType`,core.`subType`=stage.`subType`,core.`sourceDataProviderId`=stage.`sourceDataProviderId`,core.`sourceDataProviderName`=stage.`sourceDataProviderName`,core.`origNetwork`=stage.`origNetwork`,core.`targetAudience`=stage.`targetAudience`,core.`productionStatus`=stage.`productionStatus`,core.`releaseDate`=stage.`releaseDate`,core.`yearOfRelease`=stage.`yearOfRelease`,core.`partNumber`=stage.`partNumber`,core.`version_yearOfRelease`=stage.`version_yearOfRelease`,core.`version_releaseDate`=stage.`version_releaseDate`,core.`version_colorCode`=stage.`version_colorCode`,core.`version_duration`=stage.`version_duration`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.sourceprogram_label SELECT * FROM {0}.sourceprogram_label WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_versionlabel SELECT * FROM {0}.sourceprogram_versionlabel WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_catalog SELECT * FROM {0}.sourceprogram_catalog WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_catalog_language SELECT * FROM {0}.sourceprogram_catalog_language WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_catalog_market SELECT * FROM {0}.sourceprogram_catalog_market WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_title SELECT * FROM {0}.sourceprogram_title WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_description SELECT * FROM {0}.sourceprogram_description WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_cast SELECT * FROM {0}.sourceprogram_cast WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_crew SELECT * FROM {0}.sourceprogram_crew WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_country SELECT * FROM {0}.sourceprogram_country WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_genre SELECT * FROM {0}.sourceprogram_genre WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_rating SELECT * FROM {0}.sourceprogram_rating WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_rating_advisory SELECT * FROM {0}.sourceprogram_rating_advisory WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_mvinfo SELECT * FROM {0}.sourceprogram_mvinfo WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_epinfo SELECT * FROM {0}.sourceprogram_epinfo WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season SELECT * FROM {0}.sourceprogram_season WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_title SELECT * FROM {0}.sourceprogram_season_title WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_desc SELECT * FROM {0}.sourceprogram_season_desc WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_cast SELECT * FROM {0}.sourceprogram_season_cast WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_crew SELECT * FROM {0}.sourceprogram_season_crew WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset SELECT * FROM {0}.sourceprogram_season_asset WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_id SELECT * FROM {0}.sourceprogram_season_asset_id WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_language SELECT * FROM {0}.sourceprogram_season_asset_language WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_market SELECT * FROM {0}.sourceprogram_season_asset_market WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_extattr SELECT * FROM {0}.sourceprogram_season_asset_extattr WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_tag SELECT * FROM {0}.sourceprogram_season_asset_tag WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_xid SELECT * FROM {0}.sourceprogram_season_xid WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset SELECT * FROM {0}.sourceprogram_asset WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_id SELECT * FROM {0}.sourceprogram_asset_id WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_language SELECT * FROM {0}.sourceprogram_asset_language WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_market SELECT * FROM {0}.sourceprogram_asset_market WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_extattr SELECT * FROM {0}.sourceprogram_asset_extattr WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_tag SELECT * FROM {0}.sourceprogram_asset_tag WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_xid SELECT * FROM {0}.sourceprogram_xid WHERE `gnidsId` IN (SELECT `gnidsId` FROM tmp_sourceprogram);
