-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_university AS SELECT * FROM {0}.university 
  WHERE 1=1 
    AND {0}.university.`batchUpdateOrd` > {2} 
    AND {0}.university.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_university_id ON tmp_university (`universityId`);

DELETE FROM {1}.university_asset WHERE `universityId` IN (SELECT `universityId` FROM tmp_university);
DELETE FROM {1}.university_name WHERE `universityId` IN (SELECT `universityId` FROM tmp_university);

UPDATE {1}.university core JOIN tmp_university stage ON stage.`universityId`=core.`universityId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`universityGId`=stage.`universityGId`,core.`name`=stage.`name`,core.`names_lang`=stage.`names_lang`,core.`address_city`=stage.`address_city`,core.`address_state`=stage.`address_state`,core.`address_country`=stage.`address_country`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.university_name SELECT * FROM {0}.university_name WHERE `universityId` IN (SELECT `universityId` FROM tmp_university);
INSERT INTO {1}.university_asset SELECT * FROM {0}.university_asset WHERE `universityId` IN (SELECT `universityId` FROM tmp_university);
