-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_descriptortaxonomy AS SELECT * FROM {0}.descriptortaxonomy 
  WHERE 1=1 
    AND {0}.descriptortaxonomy.`batchUpdateOrd` > {2} 
    AND {0}.descriptortaxonomy.`batchUpdateOrd` <= {3} 
    AND ( {0}.descriptortaxonomy.`deleted` IS NULL OR 
          {0}.descriptortaxonomy.`deleted` != {4} )
;

CREATE INDEX idx_tmp_descriptortaxonomy_id ON tmp_descriptortaxonomy (`taxonomyId`);

DELETE FROM {1}.descriptortaxonomy_descriptor WHERE `taxonomyId` IN (SELECT `taxonomyId` FROM tmp_descriptortaxonomy);

UPDATE {1}.descriptortaxonomy core JOIN tmp_descriptortaxonomy stage ON stage.`taxonomyId`=core.`taxonomyId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.descriptortaxonomy_descriptor SELECT * FROM {0}.descriptortaxonomy_descriptor WHERE `taxonomyId` IN (SELECT `taxonomyId` FROM tmp_descriptortaxonomy);


CREATE TEMPORARY TABLE tmp_descriptortaxonomy_del AS SELECT * FROM {0}.descriptortaxonomy 
  WHERE 1=1 
    AND {0}.descriptortaxonomy.`batchUpdateOrd` > {2} 
    AND {0}.descriptortaxonomy.`batchUpdateOrd` <= {3} 
    AND {0}.descriptortaxonomy.`deleted` = {4}
;
UPDATE {1}.descriptortaxonomy core JOIN tmp_descriptortaxonomy_del t ON t.`taxonomyId`=core.`taxonomyId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.descriptortaxonomy_descriptor core JOIN tmp_descriptortaxonomy_del t ON t.`taxonomyId`=core.`taxonomyId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;