-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_schedule AS SELECT * FROM {0}.schedule 
  WHERE 1=1 
    AND {0}.schedule.`batchUpdateOrd` > {2} 
    AND {0}.schedule.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_schedule_id ON tmp_schedule (`scheduleId`);

DELETE FROM {1}.schedule_event_right_param WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
DELETE FROM {1}.schedule_event_right WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
DELETE FROM {1}.schedule_event_bcastid WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
DELETE FROM {1}.schedule_event WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);

UPDATE {1}.schedule core JOIN tmp_schedule stage ON stage.`scheduleId`=core.`scheduleId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`prgSvcId`=stage.`prgSvcId`,core.`date`=stage.`date`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.schedule_event SELECT * FROM {0}.schedule_event WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
INSERT INTO {1}.schedule_event_bcastid SELECT * FROM {0}.schedule_event_bcastid WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
INSERT INTO {1}.schedule_event_right SELECT * FROM {0}.schedule_event_right WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
INSERT INTO {1}.schedule_event_right_param SELECT * FROM {0}.schedule_event_right_param WHERE `scheduleId` IN (SELECT `scheduleId` FROM tmp_schedule);
