-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_team AS SELECT * FROM {0}.team 
  WHERE 1=1 
    AND {0}.team.`batchUpdateOrd` > {2} 
    AND {0}.team.`batchUpdateOrd` <= {3} 
    AND ( {0}.team.`deleted` IS NULL OR 
          {0}.team.`deleted` != {4} )
;

CREATE INDEX idx_tmp_team_id ON tmp_team (`teamId`);

DELETE FROM {1}.team_genre WHERE `teamId` IN (SELECT `teamId` FROM tmp_team);

UPDATE {1}.team core JOIN tmp_team stage ON stage.`teamId`=core.`teamId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`teamGId`=stage.`teamGId`,core.`type`=stage.`type`,core.`class`=stage.`class`,core.`color_primary`=stage.`color_primary`,core.`color_secondary`=stage.`color_secondary`,core.`gender`=stage.`gender`,core.`country`=stage.`country`,core.`genreId`=stage.`genreId`,core.`sportGId`=stage.`sportGId`,core.`venueId`=stage.`venueId`,core.`venueGId`=stage.`venueGId`,core.`universityId`=stage.`universityId`,core.`universityGId`=stage.`universityGId`,core.`address_city`=stage.`address_city`,core.`address_state`=stage.`address_state`,core.`address_country`=stage.`address_country`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.team_genre SELECT * FROM {0}.team_genre WHERE `teamId` IN (SELECT `teamId` FROM tmp_team);


CREATE TEMPORARY TABLE tmp_team_del AS SELECT * FROM {0}.team 
  WHERE 1=1 
    AND {0}.team.`batchUpdateOrd` > {2} 
    AND {0}.team.`batchUpdateOrd` <= {3} 
    AND {0}.team.`deleted` = {4}
;
UPDATE {1}.team core JOIN tmp_team_del t ON t.`teamId`=core.`teamId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.team_genre core JOIN tmp_team_del t ON t.`teamId`=core.`teamId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;