-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_venue AS SELECT * FROM {0}.venue 
  WHERE 1=1 
    AND {0}.venue.`batchUpdateOrd` > {2} 
    AND {0}.venue.`batchUpdateOrd` <= {3} 
    AND ( {0}.venue.`deleted` IS NULL OR 
          {0}.venue.`deleted` != {4} )
;

CREATE INDEX idx_tmp_venue_id ON tmp_venue (`venueId`);


UPDATE {1}.venue core JOIN tmp_venue stage ON stage.`venueId`=core.`venueId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`venueGId`=stage.`venueGId`,core.`type`=stage.`type`,core.`timezone`=stage.`timezone`,core.`address_city`=stage.`address_city`,core.`address_state`=stage.`address_state`,core.`address_country`=stage.`address_country`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;



CREATE TEMPORARY TABLE tmp_venue_del AS SELECT * FROM {0}.venue 
  WHERE 1=1 
    AND {0}.venue.`batchUpdateOrd` > {2} 
    AND {0}.venue.`batchUpdateOrd` <= {3} 
    AND {0}.venue.`deleted` = {4}
;
UPDATE {1}.venue core JOIN tmp_venue_del t ON t.`venueId`=core.`venueId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;