-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_venuebrand AS SELECT * FROM {0}.venuebrand 
  WHERE 1=1 
    AND {0}.venuebrand.`batchUpdateOrd` > {2} 
    AND {0}.venuebrand.`batchUpdateOrd` <= {3} 
    AND ( {0}.venuebrand.`deleted` IS NULL OR 
          {0}.venuebrand.`deleted` != {4} )
;

CREATE INDEX idx_tmp_venuebrand_id ON tmp_venuebrand (`venueBrandId`);

DELETE FROM {1}.venuebrand_name WHERE `venueBrandId` IN (SELECT `venueBrandId` FROM tmp_venuebrand);

UPDATE {1}.venuebrand core JOIN tmp_venuebrand stage ON stage.`venueBrandId`=core.`venueBrandId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`venueId`=stage.`venueId`,core.`active`=stage.`active`,core.`fromDate`=stage.`fromDate`,core.`toDate`=stage.`toDate`,core.`names_lang`=stage.`names_lang`,core.`name`=stage.`name`,core.`name_lang`=stage.`name_lang`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.venuebrand_name SELECT * FROM {0}.venuebrand_name WHERE `venueBrandId` IN (SELECT `venueBrandId` FROM tmp_venuebrand);


CREATE TEMPORARY TABLE tmp_venuebrand_del AS SELECT * FROM {0}.venuebrand 
  WHERE 1=1 
    AND {0}.venuebrand.`batchUpdateOrd` > {2} 
    AND {0}.venuebrand.`batchUpdateOrd` <= {3} 
    AND {0}.venuebrand.`deleted` = {4}
;
UPDATE {1}.venuebrand core JOIN tmp_venuebrand_del t ON t.`venueBrandId`=core.`venueBrandId`
SET core.`deleted`=t.`deleted`,core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`,core.`updateDate`=t.`updateDate`
;
UPDATE {1}.venuebrand_name core JOIN tmp_venuebrand_del t ON t.`venueBrandId`=core.`venueBrandId`
SET core.`ingestId`=t.`ingestId`,core.`updateId`=t.`updateId`;