ALTER TABLE ONLY {0}.availability
    ADD CONSTRAINT availability_pkey PRIMARY KEY ("availabilityId");

ALTER TABLE ONLY {0}.celebrity_mediography
    ADD CONSTRAINT celebrity_mediography_pkey PRIMARY KEY ("mediographyId");

ALTER TABLE ONLY {0}.celebrity
    ADD CONSTRAINT celebrity_pkey PRIMARY KEY ("personId");

ALTER TABLE ONLY {0}.cv
    ADD CONSTRAINT cv_pkey PRIMARY KEY ("cvId");

ALTER TABLE ONLY {0}.descriptor
    ADD CONSTRAINT descriptor_pkey PRIMARY KEY ("descriptorId");

ALTER TABLE ONLY {0}.descriptortaxonomy
    ADD CONSTRAINT descriptortaxonomy_pkey PRIMARY KEY ("taxonomyId");

ALTER TABLE ONLY {0}.lineup_channel
    ADD CONSTRAINT lineup_channel_pkey PRIMARY KEY ("channelId");

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT lineup_channel_transport_pkey PRIMARY KEY ("transportId");

ALTER TABLE ONLY {0}.lineup
    ADD CONSTRAINT lineup_pkey PRIMARY KEY ("lineupId");

ALTER TABLE ONLY {0}.mapping
    ADD CONSTRAINT mapping_pkey PRIMARY KEY ("mappingId");

ALTER TABLE ONLY {0}.popularity
    ADD CONSTRAINT popularity_pkey PRIMARY KEY ("popularityId");

ALTER TABLE ONLY {0}.program_asset
    ADD CONSTRAINT program_asset_pkey PRIMARY KEY ("programAssetId");

ALTER TABLE ONLY {0}.program_epinfo
    ADD CONSTRAINT program_epinfo_pkey PRIMARY KEY ("episodeInfoId");

ALTER TABLE ONLY {0}.program
    ADD CONSTRAINT program_pkey PRIMARY KEY ("TMSId");

ALTER TABLE ONLY {0}.program_release
    ADD CONSTRAINT program_release_pkey PRIMARY KEY ("releaseId");

ALTER TABLE ONLY {0}.program_spdata
    ADD CONSTRAINT program_spdata_pkey PRIMARY KEY ("sportsDataId");

ALTER TABLE ONLY {0}.schedule_event
    ADD CONSTRAINT schedule_event_pkey PRIMARY KEY ("eventId");

ALTER TABLE ONLY {0}.schedule_event_right
    ADD CONSTRAINT schedule_event_right_pkey PRIMARY KEY ("rightId");

ALTER TABLE ONLY {0}.schedule
    ADD CONSTRAINT schedule_pkey PRIMARY KEY ("scheduleId");

ALTER TABLE ONLY {0}.season_asset
    ADD CONSTRAINT season_asset_pkey PRIMARY KEY ("seasonAssetId");

ALTER TABLE ONLY {0}.season
    ADD CONSTRAINT season_pkey PRIMARY KEY ("seasonTMSId");

ALTER TABLE ONLY {0}.source
    ADD CONSTRAINT source_pkey PRIMARY KEY ("prgSvcId");

ALTER TABLE ONLY {0}.sourceprogram_asset
    ADD CONSTRAINT sourceprogram_asset_pkey PRIMARY KEY ("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_catalog
    ADD CONSTRAINT sourceprogram_catalog_pkey PRIMARY KEY ("spCatalogId");

ALTER TABLE ONLY {0}.sourceprogram_epinfo
    ADD CONSTRAINT sourceprogram_epinfo_pkey PRIMARY KEY ("spEpisodeInfoId");

ALTER TABLE ONLY {0}.sourceprogram
    ADD CONSTRAINT sourceprogram_pkey PRIMARY KEY ("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_rating
    ADD CONSTRAINT sourceprogram_rating_pkey PRIMARY KEY ("spRatingId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset
    ADD CONSTRAINT sourceprogram_season_asset_pkey PRIMARY KEY ("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_season
    ADD CONSTRAINT sourceprogram_season_pkey PRIMARY KEY ("spSeasonId");

ALTER TABLE ONLY {0}.sportsorg_conf
    ADD CONSTRAINT sportsorg_conf_pkey PRIMARY KEY ("confId");

ALTER TABLE ONLY {0}.sportsorg_div
    ADD CONSTRAINT sportsorg_div_pkey PRIMARY KEY ("divId");

ALTER TABLE ONLY {0}.sportsorg
    ADD CONSTRAINT sportsorg_pkey PRIMARY KEY ("organizationId");

ALTER TABLE ONLY {0}.team
    ADD CONSTRAINT team_pkey PRIMARY KEY ("teamId");

ALTER TABLE ONLY {0}.teambrand
    ADD CONSTRAINT teambrand_pkey PRIMARY KEY ("teamBrandId");

ALTER TABLE ONLY {0}.university
    ADD CONSTRAINT university_pkey PRIMARY KEY ("universityId");

ALTER TABLE ONLY {0}.vdannotation
    ADD CONSTRAINT vdannotation_pkey PRIMARY KEY ("TMSId");

ALTER TABLE ONLY {0}.venue
    ADD CONSTRAINT venue_pkey PRIMARY KEY ("venueId");

ALTER TABLE ONLY {0}.venuebrand
    ADD CONSTRAINT venuebrand_pkey PRIMARY KEY ("venueBrandId");
--
ALTER TABLE ONLY {0}.availability_id
    ADD CONSTRAINT "availability_id_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");

ALTER TABLE ONLY {0}.availability_providerdata
    ADD CONSTRAINT "availability_providerdata_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");

ALTER TABLE ONLY {0}.availability_url
    ADD CONSTRAINT "availability_url_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");

ALTER TABLE ONLY {0}.availability_viewingoption
    ADD CONSTRAINT "availability_viewingoption_availabilityId_fkey" FOREIGN KEY ("availabilityId") REFERENCES {0}.availability("availabilityId");

ALTER TABLE ONLY {0}.celebrity_asset
    ADD CONSTRAINT "celebrity_asset_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_award
    ADD CONSTRAINT "celebrity_award_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_biography
    ADD CONSTRAINT "celebrity_biography_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_education
    ADD CONSTRAINT "celebrity_education_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_enhancedaward
    ADD CONSTRAINT "celebrity_enhancedaward_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_highlight
    ADD CONSTRAINT "celebrity_highlight_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_mediography_credit
    ADD CONSTRAINT "celebrity_mediography_credit_mediographyId_fkey" FOREIGN KEY ("mediographyId") REFERENCES {0}.celebrity_mediography("mediographyId");

ALTER TABLE ONLY {0}.celebrity_mediography_credit
    ADD CONSTRAINT "celebrity_mediography_credit_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_mediography
    ADD CONSTRAINT "celebrity_mediography_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_milestone
    ADD CONSTRAINT "celebrity_milestone_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_name
    ADD CONSTRAINT "celebrity_name_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_note
    ADD CONSTRAINT "celebrity_note_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_participanttype
    ADD CONSTRAINT "celebrity_participanttype_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_quote
    ADD CONSTRAINT "celebrity_quote_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_relationship
    ADD CONSTRAINT "celebrity_relationship_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_relationshipevent
    ADD CONSTRAINT "celebrity_relationshipevent_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_socialmedia
    ADD CONSTRAINT "celebrity_socialmedia_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.cv_attribute
    ADD CONSTRAINT "cv_attribute_cvId_fkey" FOREIGN KEY ("cvId") REFERENCES {0}.cv("cvId");

ALTER TABLE ONLY {0}.descriptortaxonomy_descriptor
    ADD CONSTRAINT "descriptortaxonomy_descriptor_taxonomyId_fkey" FOREIGN KEY ("taxonomyId") REFERENCES {0}.descriptortaxonomy("taxonomyId");

ALTER TABLE ONLY {0}.lineup_channel
    ADD CONSTRAINT "lineup_channel_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT "lineup_channel_transport_channelId_fkey" FOREIGN KEY ("channelId") REFERENCES {0}.lineup_channel("channelId");

ALTER TABLE ONLY {0}.lineup_channel_transport_id
    ADD CONSTRAINT "lineup_channel_transport_id_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_channel_transport_id
    ADD CONSTRAINT "lineup_channel_transport_id_transportId_fkey" FOREIGN KEY ("transportId") REFERENCES {0}.lineup_channel_transport("transportId");

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT "lineup_channel_transport_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_market
    ADD CONSTRAINT "lineup_market_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_postalcode
    ADD CONSTRAINT "lineup_postalcode_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.mapping_id
    ADD CONSTRAINT "mapping_id_mappingId_fkey" FOREIGN KEY ("mappingId") REFERENCES {0}.mapping("mappingId");

ALTER TABLE ONLY {0}.mapping_link
    ADD CONSTRAINT "mapping_link_mappingId_fkey" FOREIGN KEY ("mappingId") REFERENCES {0}.mapping("mappingId");

ALTER TABLE ONLY {0}.program_asset
    ADD CONSTRAINT "program_asset_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_asset_id
    ADD CONSTRAINT "program_asset_id_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_asset_id
    ADD CONSTRAINT "program_asset_id_programAssetId_fkey" FOREIGN KEY ("programAssetId") REFERENCES {0}.program_asset("programAssetId");

ALTER TABLE ONLY {0}.program_award
    ADD CONSTRAINT "program_award_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_cast
    ADD CONSTRAINT "program_cast_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_country
    ADD CONSTRAINT "program_country_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_crew
    ADD CONSTRAINT "program_crew_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_description
    ADD CONSTRAINT "program_description_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_descriptor
    ADD CONSTRAINT "program_descriptor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_epinfo
    ADD CONSTRAINT "program_epinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_epinfo_alt
    ADD CONSTRAINT "program_epinfo_alt_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_epinfo_alt
    ADD CONSTRAINT "program_epinfo_alt_episodeInfoId_fkey" FOREIGN KEY ("episodeInfoId") REFERENCES {0}.program_epinfo("episodeInfoId");

ALTER TABLE ONLY {0}.program_externallink
    ADD CONSTRAINT "program_externallink_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_genre
    ADD CONSTRAINT "program_genre_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_mvinfo
    ADD CONSTRAINT "program_mvinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_mvtrailer
    ADD CONSTRAINT "program_mvtrailer_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_origaudiolang
    ADD CONSTRAINT "program_origaudiolang_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_qualityrating
    ADD CONSTRAINT "program_qualityrating_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_rating
    ADD CONSTRAINT "program_rating_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_ratingadvisory
    ADD CONSTRAINT "program_ratingadvisory_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_relationship
    ADD CONSTRAINT "program_relationship_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release
    ADD CONSTRAINT "program_release_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release_attribute
    ADD CONSTRAINT "program_release_attribute_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release_attribute
    ADD CONSTRAINT "program_release_attribute_releaseId_fkey" FOREIGN KEY ("releaseId") REFERENCES {0}.program_release("releaseId");

ALTER TABLE ONLY {0}.program_release_distributor
    ADD CONSTRAINT "program_release_distributor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release_distributor
    ADD CONSTRAINT "program_release_distributor_releaseId_fkey" FOREIGN KEY ("releaseId") REFERENCES {0}.program_release("releaseId");

ALTER TABLE ONLY {0}.program_season
    ADD CONSTRAINT "program_season_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spdata
    ADD CONSTRAINT "program_spdata_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spdata_event
    ADD CONSTRAINT "program_spdata_event_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spdata_event
    ADD CONSTRAINT "program_spdata_event_sportsDataId_fkey" FOREIGN KEY ("sportsDataId") REFERENCES {0}.program_spdata("sportsDataId");

ALTER TABLE ONLY {0}.program_spevent
    ADD CONSTRAINT "program_spevent_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spinfo
    ADD CONSTRAINT "program_spinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spteam
    ADD CONSTRAINT "program_spteam_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_title
    ADD CONSTRAINT "program_title_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.schedule_event_bcastid
    ADD CONSTRAINT "schedule_event_bcastid_eventId_fkey" FOREIGN KEY ("eventId") REFERENCES {0}.schedule_event("eventId");

ALTER TABLE ONLY {0}.schedule_event_bcastid
    ADD CONSTRAINT "schedule_event_bcastid_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");

ALTER TABLE ONLY {0}.schedule_event_right
    ADD CONSTRAINT "schedule_event_right_eventId_fkey" FOREIGN KEY ("eventId") REFERENCES {0}.schedule_event("eventId");

ALTER TABLE ONLY {0}.schedule_event_right_param
    ADD CONSTRAINT "schedule_event_right_param_rightId_fkey" FOREIGN KEY ("rightId") REFERENCES {0}.schedule_event_right("rightId");

ALTER TABLE ONLY {0}.schedule_event_right_param
    ADD CONSTRAINT "schedule_event_right_param_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");

ALTER TABLE ONLY {0}.schedule_event_right
    ADD CONSTRAINT "schedule_event_right_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");

ALTER TABLE ONLY {0}.schedule_event
    ADD CONSTRAINT "schedule_event_scheduleId_fkey" FOREIGN KEY ("scheduleId") REFERENCES {0}.schedule("scheduleId");

ALTER TABLE ONLY {0}.season_asset_id
    ADD CONSTRAINT "season_asset_id_seasonAssetId_fkey" FOREIGN KEY ("seasonAssetId") REFERENCES {0}.season_asset("seasonAssetId");

ALTER TABLE ONLY {0}.season_asset_id
    ADD CONSTRAINT "season_asset_id_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");

ALTER TABLE ONLY {0}.season_asset
    ADD CONSTRAINT "season_asset_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");

ALTER TABLE ONLY {0}.season_cast
    ADD CONSTRAINT "season_cast_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");

ALTER TABLE ONLY {0}.season_crew
    ADD CONSTRAINT "season_crew_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");

ALTER TABLE ONLY {0}.season_description
    ADD CONSTRAINT "season_description_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");

ALTER TABLE ONLY {0}.season_title
    ADD CONSTRAINT "season_title_seasonTMSId_fkey" FOREIGN KEY ("seasonTMSId") REFERENCES {0}.season("seasonTMSId");

ALTER TABLE ONLY {0}.source_affiliate
    ADD CONSTRAINT "source_affiliate_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_altname
    ADD CONSTRAINT "source_altname_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_asset
    ADD CONSTRAINT "source_asset_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_attribute
    ADD CONSTRAINT "source_attribute_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_bcastlang
    ADD CONSTRAINT "source_bcastlang_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_country
    ADD CONSTRAINT "source_country_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_edlang
    ADD CONSTRAINT "source_edlang_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_genre
    ADD CONSTRAINT "source_genre_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_group
    ADD CONSTRAINT "source_group_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_marketid
    ADD CONSTRAINT "source_marketid_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_relationship
    ADD CONSTRAINT "source_relationship_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.source_transportid
    ADD CONSTRAINT "source_transportid_prgSvcId_fkey" FOREIGN KEY ("prgSvcId") REFERENCES {0}.source("prgSvcId");

ALTER TABLE ONLY {0}.sourceprogram_asset_extattr
    ADD CONSTRAINT "sourceprogram_asset_extattr_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_asset_extattr
    ADD CONSTRAINT "sourceprogram_asset_extattr_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_asset
    ADD CONSTRAINT "sourceprogram_asset_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_asset_id
    ADD CONSTRAINT "sourceprogram_asset_id_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_asset_id
    ADD CONSTRAINT "sourceprogram_asset_id_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_asset_language
    ADD CONSTRAINT "sourceprogram_asset_language_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_asset_language
    ADD CONSTRAINT "sourceprogram_asset_language_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_asset_market
    ADD CONSTRAINT "sourceprogram_asset_market_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_asset_market
    ADD CONSTRAINT "sourceprogram_asset_market_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_asset_tag
    ADD CONSTRAINT "sourceprogram_asset_tag_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_asset_tag
    ADD CONSTRAINT "sourceprogram_asset_tag_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_cast
    ADD CONSTRAINT "sourceprogram_cast_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_catalog
    ADD CONSTRAINT "sourceprogram_catalog_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_catalog_language
    ADD CONSTRAINT "sourceprogram_catalog_language_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_catalog_language
    ADD CONSTRAINT "sourceprogram_catalog_language_spCatalogId_fkey" FOREIGN KEY ("spCatalogId") REFERENCES {0}.sourceprogram_catalog("spCatalogId");

ALTER TABLE ONLY {0}.sourceprogram_catalog_market
    ADD CONSTRAINT "sourceprogram_catalog_market_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_catalog_market
    ADD CONSTRAINT "sourceprogram_catalog_market_spCatalogId_fkey" FOREIGN KEY ("spCatalogId") REFERENCES {0}.sourceprogram_catalog("spCatalogId");

ALTER TABLE ONLY {0}.sourceprogram_country
    ADD CONSTRAINT "sourceprogram_country_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_crew
    ADD CONSTRAINT "sourceprogram_crew_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_description
    ADD CONSTRAINT "sourceprogram_description_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_epinfo
    ADD CONSTRAINT "sourceprogram_epinfo_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_genre
    ADD CONSTRAINT "sourceprogram_genre_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_label
    ADD CONSTRAINT "sourceprogram_label_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_mvinfo
    ADD CONSTRAINT "sourceprogram_mvinfo_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_rating_advisory
    ADD CONSTRAINT "sourceprogram_rating_advisory_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_rating_advisory
    ADD CONSTRAINT "sourceprogram_rating_advisory_spRatingId_fkey" FOREIGN KEY ("spRatingId") REFERENCES {0}.sourceprogram_rating("spRatingId");

ALTER TABLE ONLY {0}.sourceprogram_rating
    ADD CONSTRAINT "sourceprogram_rating_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_extattr
    ADD CONSTRAINT "sourceprogram_season_asset_extattr_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_extattr
    ADD CONSTRAINT "sourceprogram_season_asset_extattr_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset
    ADD CONSTRAINT "sourceprogram_season_asset_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_id
    ADD CONSTRAINT "sourceprogram_season_asset_id_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_id
    ADD CONSTRAINT "sourceprogram_season_asset_id_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_language
    ADD CONSTRAINT "sourceprogram_season_asset_language_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_language
    ADD CONSTRAINT "sourceprogram_season_asset_language_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_market
    ADD CONSTRAINT "sourceprogram_season_asset_market_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_market
    ADD CONSTRAINT "sourceprogram_season_asset_market_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset
    ADD CONSTRAINT "sourceprogram_season_asset_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_tag
    ADD CONSTRAINT "sourceprogram_season_asset_tag_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_asset_tag
    ADD CONSTRAINT "sourceprogram_season_asset_tag_spAssetId_fkey" FOREIGN KEY ("spAssetId") REFERENCES {0}.sourceprogram_season_asset("spAssetId");

ALTER TABLE ONLY {0}.sourceprogram_season_cast
    ADD CONSTRAINT "sourceprogram_season_cast_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_cast
    ADD CONSTRAINT "sourceprogram_season_cast_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");

ALTER TABLE ONLY {0}.sourceprogram_season_crew
    ADD CONSTRAINT "sourceprogram_season_crew_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_crew
    ADD CONSTRAINT "sourceprogram_season_crew_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");

ALTER TABLE ONLY {0}.sourceprogram_season_desc
    ADD CONSTRAINT "sourceprogram_season_desc_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_desc
    ADD CONSTRAINT "sourceprogram_season_desc_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");

ALTER TABLE ONLY {0}.sourceprogram_season
    ADD CONSTRAINT "sourceprogram_season_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_title
    ADD CONSTRAINT "sourceprogram_season_title_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_title
    ADD CONSTRAINT "sourceprogram_season_title_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");

ALTER TABLE ONLY {0}.sourceprogram_season_xid
    ADD CONSTRAINT "sourceprogram_season_xid_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_season_xid
    ADD CONSTRAINT "sourceprogram_season_xid_spSeasonId_fkey" FOREIGN KEY ("spSeasonId") REFERENCES {0}.sourceprogram_season("spSeasonId");

ALTER TABLE ONLY {0}.sourceprogram_title
    ADD CONSTRAINT "sourceprogram_title_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_versionlabel
    ADD CONSTRAINT "sourceprogram_versionlabel_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sourceprogram_xid
    ADD CONSTRAINT "sourceprogram_xid_gnidsId_fkey" FOREIGN KEY ("gnidsId") REFERENCES {0}.sourceprogram("gnidsId");

ALTER TABLE ONLY {0}.sportsorg_asset
    ADD CONSTRAINT "sportsorg_asset_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");

ALTER TABLE ONLY {0}.sportsorg_conf_asset
    ADD CONSTRAINT "sportsorg_conf_asset_confId_fkey" FOREIGN KEY ("confId") REFERENCES {0}.sportsorg_conf("confId");

ALTER TABLE ONLY {0}.sportsorg_conf_asset
    ADD CONSTRAINT "sportsorg_conf_asset_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");

ALTER TABLE ONLY {0}.sportsorg_conf
    ADD CONSTRAINT "sportsorg_conf_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");

ALTER TABLE ONLY {0}.sportsorg_div
    ADD CONSTRAINT "sportsorg_div_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");

ALTER TABLE ONLY {0}.sportsorg_event
    ADD CONSTRAINT "sportsorg_event_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");

ALTER TABLE ONLY {0}.sportsorg_teambrand
    ADD CONSTRAINT "sportsorg_teambrand_organizationId_fkey" FOREIGN KEY ("organizationId") REFERENCES {0}.sportsorg("organizationId");

ALTER TABLE ONLY {0}.team_genre
    ADD CONSTRAINT "team_genre_teamId_fkey" FOREIGN KEY ("teamId") REFERENCES {0}.team("teamId");

ALTER TABLE ONLY {0}.teambrand_asset
    ADD CONSTRAINT "teambrand_asset_teamBrandId_fkey" FOREIGN KEY ("teamBrandId") REFERENCES {0}.teambrand("teamBrandId");

ALTER TABLE ONLY {0}.teambrand_name
    ADD CONSTRAINT "teambrand_name_teamBrandId_fkey" FOREIGN KEY ("teamBrandId") REFERENCES {0}.teambrand("teamBrandId");

ALTER TABLE ONLY {0}.university_asset
    ADD CONSTRAINT "university_asset_universityId_fkey" FOREIGN KEY ("universityId") REFERENCES {0}.university("universityId");

ALTER TABLE ONLY {0}.university_name
    ADD CONSTRAINT "university_name_universityId_fkey" FOREIGN KEY ("universityId") REFERENCES {0}.university("universityId");

ALTER TABLE ONLY {0}.vdannotation_descriptor
    ADD CONSTRAINT "vdannotation_descriptor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.vdannotation("TMSId");

ALTER TABLE ONLY {0}.venuebrand_name
    ADD CONSTRAINT "venuebrand_name_venueBrandId_fkey" FOREIGN KEY ("venueBrandId") REFERENCES {0}.venuebrand("venueBrandId");
