-- {0}: stage schema


WITH availability_dupes AS (
      SELECT availability_counts."availabilityId" FROM (
          SELECT "availabilityId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."availability" 
          GROUP BY "availabilityId" )
      AS availability_counts
      WHERE availability_counts."updateId_count" > 1 ),
  availability_max AS (
      SELECT availability."availabilityId", MAX(availability."updateId") AS "updateId" 
      FROM {0}.availability 
      WHERE {0}.availability."availabilityId" IN (SELECT "availabilityId" FROM availability_dupes)
      GROUP BY availability."availabilityId" )
  DELETE FROM {0}.availability
      WHERE EXISTS (
          SELECT 1 FROM availability_dupes
          WHERE availability_dupes."availabilityId"=availability."availabilityId" )
      AND NOT EXISTS (
          SELECT 1 FROM availability_max
          WHERE availability_max."availabilityId"=availability."availabilityId" 
            AND availability_max."updateId"=availability."updateId" );

DELETE FROM {0}.availability_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.availability 
        WHERE availability_id."availabilityId"=availability."availabilityId"
            AND availability_id."updateId"=availability."updateId" );

DELETE FROM {0}.availability_url WHERE NOT EXISTS (
    SELECT 1 FROM {0}.availability 
        WHERE availability_url."availabilityId"=availability."availabilityId"
            AND availability_url."updateId"=availability."updateId" );

DELETE FROM {0}.availability_viewingoption WHERE NOT EXISTS (
    SELECT 1 FROM {0}.availability 
        WHERE availability_viewingoption."availabilityId"=availability."availabilityId"
            AND availability_viewingoption."updateId"=availability."updateId" );

DELETE FROM {0}.availability_providerdata WHERE NOT EXISTS (
    SELECT 1 FROM {0}.availability 
        WHERE availability_providerdata."availabilityId"=availability."availabilityId"
            AND availability_providerdata."updateId"=availability."updateId" );
