-- {0}: stage schema


WITH availability_dupes AS (
      SELECT availability_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."availability" 
          GROUP BY "MD5" )
      AS availability_counts
      WHERE availability_counts."ctid_count" > 1 ),
  availability_max AS (
      SELECT availability."MD5", MAX(availability."ctid") AS "ctid" 
      FROM {0}.availability 
      WHERE {0}.availability."MD5" IN (SELECT "MD5" FROM availability_dupes)
      GROUP BY availability."MD5" )
  DELETE FROM {0}.availability
      WHERE EXISTS (
          SELECT 1 FROM availability_dupes
          WHERE availability_dupes."MD5"=availability."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM availability_max
          WHERE availability_max."MD5"=availability."MD5" 
            AND availability_max."ctid"=availability."ctid" );

WITH availability_id_dupes AS (
      SELECT availability_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."availability_id" 
          GROUP BY "MD5" )
      AS availability_id_counts
      WHERE availability_id_counts."ctid_count" > 1 ),
  availability_id_max AS (
      SELECT availability_id."MD5", MAX(availability_id."ctid") AS "ctid" 
      FROM {0}.availability_id 
      WHERE {0}.availability_id."MD5" IN (SELECT "MD5" FROM availability_id_dupes)
      GROUP BY availability_id."MD5" )
  DELETE FROM {0}.availability_id
      WHERE EXISTS (
          SELECT 1 FROM availability_id_dupes
          WHERE availability_id_dupes."MD5"=availability_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM availability_id_max
          WHERE availability_id_max."MD5"=availability_id."MD5" 
            AND availability_id_max."ctid"=availability_id."ctid" );

WITH availability_url_dupes AS (
      SELECT availability_url_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."availability_url" 
          GROUP BY "MD5" )
      AS availability_url_counts
      WHERE availability_url_counts."ctid_count" > 1 ),
  availability_url_max AS (
      SELECT availability_url."MD5", MAX(availability_url."ctid") AS "ctid" 
      FROM {0}.availability_url 
      WHERE {0}.availability_url."MD5" IN (SELECT "MD5" FROM availability_url_dupes)
      GROUP BY availability_url."MD5" )
  DELETE FROM {0}.availability_url
      WHERE EXISTS (
          SELECT 1 FROM availability_url_dupes
          WHERE availability_url_dupes."MD5"=availability_url."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM availability_url_max
          WHERE availability_url_max."MD5"=availability_url."MD5" 
            AND availability_url_max."ctid"=availability_url."ctid" );

WITH availability_viewingoption_dupes AS (
      SELECT availability_viewingoption_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."availability_viewingoption" 
          GROUP BY "MD5" )
      AS availability_viewingoption_counts
      WHERE availability_viewingoption_counts."ctid_count" > 1 ),
  availability_viewingoption_max AS (
      SELECT availability_viewingoption."MD5", MAX(availability_viewingoption."ctid") AS "ctid" 
      FROM {0}.availability_viewingoption 
      WHERE {0}.availability_viewingoption."MD5" IN (SELECT "MD5" FROM availability_viewingoption_dupes)
      GROUP BY availability_viewingoption."MD5" )
  DELETE FROM {0}.availability_viewingoption
      WHERE EXISTS (
          SELECT 1 FROM availability_viewingoption_dupes
          WHERE availability_viewingoption_dupes."MD5"=availability_viewingoption."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM availability_viewingoption_max
          WHERE availability_viewingoption_max."MD5"=availability_viewingoption."MD5" 
            AND availability_viewingoption_max."ctid"=availability_viewingoption."ctid" );

WITH availability_providerdata_dupes AS (
      SELECT availability_providerdata_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."availability_providerdata" 
          GROUP BY "MD5" )
      AS availability_providerdata_counts
      WHERE availability_providerdata_counts."ctid_count" > 1 ),
  availability_providerdata_max AS (
      SELECT availability_providerdata."MD5", MAX(availability_providerdata."ctid") AS "ctid" 
      FROM {0}.availability_providerdata 
      WHERE {0}.availability_providerdata."MD5" IN (SELECT "MD5" FROM availability_providerdata_dupes)
      GROUP BY availability_providerdata."MD5" )
  DELETE FROM {0}.availability_providerdata
      WHERE EXISTS (
          SELECT 1 FROM availability_providerdata_dupes
          WHERE availability_providerdata_dupes."MD5"=availability_providerdata."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM availability_providerdata_max
          WHERE availability_providerdata_max."MD5"=availability_providerdata."MD5" 
            AND availability_providerdata_max."ctid"=availability_providerdata."ctid" );
