-- {0}: stage schema


WITH cv_dupes AS (
      SELECT cv_counts."cvId" FROM (
          SELECT "cvId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."cv" 
          GROUP BY "cvId" )
      AS cv_counts
      WHERE cv_counts."updateId_count" > 1 ),
  cv_max AS (
      SELECT cv."cvId", MAX(cv."updateId") AS "updateId" 
      FROM {0}.cv 
      WHERE {0}.cv."cvId" IN (SELECT "cvId" FROM cv_dupes)
      GROUP BY cv."cvId" )
  DELETE FROM {0}.cv
      WHERE EXISTS (
          SELECT 1 FROM cv_dupes
          WHERE cv_dupes."cvId"=cv."cvId" )
      AND NOT EXISTS (
          SELECT 1 FROM cv_max
          WHERE cv_max."cvId"=cv."cvId" 
            AND cv_max."updateId"=cv."updateId" );

DELETE FROM {0}.cv_attribute WHERE NOT EXISTS (
    SELECT 1 FROM {0}.cv 
        WHERE cv_attribute."cvId"=cv."cvId"
            AND cv_attribute."updateId"=cv."updateId" );
