-- {0}: stage schema


WITH cv_dupes AS (
      SELECT cv_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."cv" 
          GROUP BY "MD5" )
      AS cv_counts
      WHERE cv_counts."ctid_count" > 1 ),
  cv_max AS (
      SELECT cv."MD5", MAX(cv."ctid") AS "ctid" 
      FROM {0}.cv 
      WHERE {0}.cv."MD5" IN (SELECT "MD5" FROM cv_dupes)
      GROUP BY cv."MD5" )
  DELETE FROM {0}.cv
      WHERE EXISTS (
          SELECT 1 FROM cv_dupes
          WHERE cv_dupes."MD5"=cv."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM cv_max
          WHERE cv_max."MD5"=cv."MD5" 
            AND cv_max."ctid"=cv."ctid" );

WITH cv_attribute_dupes AS (
      SELECT cv_attribute_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."cv_attribute" 
          GROUP BY "MD5" )
      AS cv_attribute_counts
      WHERE cv_attribute_counts."ctid_count" > 1 ),
  cv_attribute_max AS (
      SELECT cv_attribute."MD5", MAX(cv_attribute."ctid") AS "ctid" 
      FROM {0}.cv_attribute 
      WHERE {0}.cv_attribute."MD5" IN (SELECT "MD5" FROM cv_attribute_dupes)
      GROUP BY cv_attribute."MD5" )
  DELETE FROM {0}.cv_attribute
      WHERE EXISTS (
          SELECT 1 FROM cv_attribute_dupes
          WHERE cv_attribute_dupes."MD5"=cv_attribute."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM cv_attribute_max
          WHERE cv_attribute_max."MD5"=cv_attribute."MD5" 
            AND cv_attribute_max."ctid"=cv_attribute."ctid" );
