-- {0}: stage schema


WITH descriptor_dupes AS (
      SELECT descriptor_counts."descriptorId" FROM (
          SELECT "descriptorId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."descriptor" 
          GROUP BY "descriptorId" )
      AS descriptor_counts
      WHERE descriptor_counts."updateId_count" > 1 ),
  descriptor_max AS (
      SELECT descriptor."descriptorId", MAX(descriptor."updateId") AS "updateId" 
      FROM {0}.descriptor 
      WHERE {0}.descriptor."descriptorId" IN (SELECT "descriptorId" FROM descriptor_dupes)
      GROUP BY descriptor."descriptorId" )
  DELETE FROM {0}.descriptor
      WHERE EXISTS (
          SELECT 1 FROM descriptor_dupes
          WHERE descriptor_dupes."descriptorId"=descriptor."descriptorId" )
      AND NOT EXISTS (
          SELECT 1 FROM descriptor_max
          WHERE descriptor_max."descriptorId"=descriptor."descriptorId" 
            AND descriptor_max."updateId"=descriptor."updateId" );
