-- {0}: stage schema


WITH descriptortaxonomy_dupes AS (
      SELECT descriptortaxonomy_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."descriptortaxonomy" 
          GROUP BY "MD5" )
      AS descriptortaxonomy_counts
      WHERE descriptortaxonomy_counts."ctid_count" > 1 ),
  descriptortaxonomy_max AS (
      SELECT descriptortaxonomy."MD5", MAX(descriptortaxonomy."ctid") AS "ctid" 
      FROM {0}.descriptortaxonomy 
      WHERE {0}.descriptortaxonomy."MD5" IN (SELECT "MD5" FROM descriptortaxonomy_dupes)
      GROUP BY descriptortaxonomy."MD5" )
  DELETE FROM {0}.descriptortaxonomy
      WHERE EXISTS (
          SELECT 1 FROM descriptortaxonomy_dupes
          WHERE descriptortaxonomy_dupes."MD5"=descriptortaxonomy."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM descriptortaxonomy_max
          WHERE descriptortaxonomy_max."MD5"=descriptortaxonomy."MD5" 
            AND descriptortaxonomy_max."ctid"=descriptortaxonomy."ctid" );

WITH descriptortaxonomy_descriptor_dupes AS (
      SELECT descriptortaxonomy_descriptor_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."descriptortaxonomy_descriptor" 
          GROUP BY "MD5" )
      AS descriptortaxonomy_descriptor_counts
      WHERE descriptortaxonomy_descriptor_counts."ctid_count" > 1 ),
  descriptortaxonomy_descriptor_max AS (
      SELECT descriptortaxonomy_descriptor."MD5", MAX(descriptortaxonomy_descriptor."ctid") AS "ctid" 
      FROM {0}.descriptortaxonomy_descriptor 
      WHERE {0}.descriptortaxonomy_descriptor."MD5" IN (SELECT "MD5" FROM descriptortaxonomy_descriptor_dupes)
      GROUP BY descriptortaxonomy_descriptor."MD5" )
  DELETE FROM {0}.descriptortaxonomy_descriptor
      WHERE EXISTS (
          SELECT 1 FROM descriptortaxonomy_descriptor_dupes
          WHERE descriptortaxonomy_descriptor_dupes."MD5"=descriptortaxonomy_descriptor."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM descriptortaxonomy_descriptor_max
          WHERE descriptortaxonomy_descriptor_max."MD5"=descriptortaxonomy_descriptor."MD5" 
            AND descriptortaxonomy_descriptor_max."ctid"=descriptortaxonomy_descriptor."ctid" );
