-- {0}: stage schema


WITH mapping_dupes AS (
      SELECT mapping_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."mapping" 
          GROUP BY "MD5" )
      AS mapping_counts
      WHERE mapping_counts."ctid_count" > 1 ),
  mapping_max AS (
      SELECT mapping."MD5", MAX(mapping."ctid") AS "ctid" 
      FROM {0}.mapping 
      WHERE {0}.mapping."MD5" IN (SELECT "MD5" FROM mapping_dupes)
      GROUP BY mapping."MD5" )
  DELETE FROM {0}.mapping
      WHERE EXISTS (
          SELECT 1 FROM mapping_dupes
          WHERE mapping_dupes."MD5"=mapping."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM mapping_max
          WHERE mapping_max."MD5"=mapping."MD5" 
            AND mapping_max."ctid"=mapping."ctid" );

WITH mapping_id_dupes AS (
      SELECT mapping_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."mapping_id" 
          GROUP BY "MD5" )
      AS mapping_id_counts
      WHERE mapping_id_counts."ctid_count" > 1 ),
  mapping_id_max AS (
      SELECT mapping_id."MD5", MAX(mapping_id."ctid") AS "ctid" 
      FROM {0}.mapping_id 
      WHERE {0}.mapping_id."MD5" IN (SELECT "MD5" FROM mapping_id_dupes)
      GROUP BY mapping_id."MD5" )
  DELETE FROM {0}.mapping_id
      WHERE EXISTS (
          SELECT 1 FROM mapping_id_dupes
          WHERE mapping_id_dupes."MD5"=mapping_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM mapping_id_max
          WHERE mapping_id_max."MD5"=mapping_id."MD5" 
            AND mapping_id_max."ctid"=mapping_id."ctid" );

WITH mapping_link_dupes AS (
      SELECT mapping_link_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."mapping_link" 
          GROUP BY "MD5" )
      AS mapping_link_counts
      WHERE mapping_link_counts."ctid_count" > 1 ),
  mapping_link_max AS (
      SELECT mapping_link."MD5", MAX(mapping_link."ctid") AS "ctid" 
      FROM {0}.mapping_link 
      WHERE {0}.mapping_link."MD5" IN (SELECT "MD5" FROM mapping_link_dupes)
      GROUP BY mapping_link."MD5" )
  DELETE FROM {0}.mapping_link
      WHERE EXISTS (
          SELECT 1 FROM mapping_link_dupes
          WHERE mapping_link_dupes."MD5"=mapping_link."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM mapping_link_max
          WHERE mapping_link_max."MD5"=mapping_link."MD5" 
            AND mapping_link_max."ctid"=mapping_link."ctid" );
