-- {0}: stage schema


WITH popularity_dupes AS (
      SELECT popularity_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."popularity" 
          GROUP BY "MD5" )
      AS popularity_counts
      WHERE popularity_counts."ctid_count" > 1 ),
  popularity_max AS (
      SELECT popularity."MD5", MAX(popularity."ctid") AS "ctid" 
      FROM {0}.popularity 
      WHERE {0}.popularity."MD5" IN (SELECT "MD5" FROM popularity_dupes)
      GROUP BY popularity."MD5" )
  DELETE FROM {0}.popularity
      WHERE EXISTS (
          SELECT 1 FROM popularity_dupes
          WHERE popularity_dupes."MD5"=popularity."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM popularity_max
          WHERE popularity_max."MD5"=popularity."MD5" 
            AND popularity_max."ctid"=popularity."ctid" );
