-- {0}: stage schema


WITH program_dupes AS (
      SELECT program_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program" 
          GROUP BY "MD5" )
      AS program_counts
      WHERE program_counts."ctid_count" > 1 ),
  program_max AS (
      SELECT program."MD5", MAX(program."ctid") AS "ctid" 
      FROM {0}.program 
      WHERE {0}.program."MD5" IN (SELECT "MD5" FROM program_dupes)
      GROUP BY program."MD5" )
  DELETE FROM {0}.program
      WHERE EXISTS (
          SELECT 1 FROM program_dupes
          WHERE program_dupes."MD5"=program."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_max
          WHERE program_max."MD5"=program."MD5" 
            AND program_max."ctid"=program."ctid" );

WITH program_season_dupes AS (
      SELECT program_season_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_season" 
          GROUP BY "MD5" )
      AS program_season_counts
      WHERE program_season_counts."ctid_count" > 1 ),
  program_season_max AS (
      SELECT program_season."MD5", MAX(program_season."ctid") AS "ctid" 
      FROM {0}.program_season 
      WHERE {0}.program_season."MD5" IN (SELECT "MD5" FROM program_season_dupes)
      GROUP BY program_season."MD5" )
  DELETE FROM {0}.program_season
      WHERE EXISTS (
          SELECT 1 FROM program_season_dupes
          WHERE program_season_dupes."MD5"=program_season."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_season_max
          WHERE program_season_max."MD5"=program_season."MD5" 
            AND program_season_max."ctid"=program_season."ctid" );

WITH program_title_dupes AS (
      SELECT program_title_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_title" 
          GROUP BY "MD5" )
      AS program_title_counts
      WHERE program_title_counts."ctid_count" > 1 ),
  program_title_max AS (
      SELECT program_title."MD5", MAX(program_title."ctid") AS "ctid" 
      FROM {0}.program_title 
      WHERE {0}.program_title."MD5" IN (SELECT "MD5" FROM program_title_dupes)
      GROUP BY program_title."MD5" )
  DELETE FROM {0}.program_title
      WHERE EXISTS (
          SELECT 1 FROM program_title_dupes
          WHERE program_title_dupes."MD5"=program_title."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_title_max
          WHERE program_title_max."MD5"=program_title."MD5" 
            AND program_title_max."ctid"=program_title."ctid" );

WITH program_description_dupes AS (
      SELECT program_description_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_description" 
          GROUP BY "MD5" )
      AS program_description_counts
      WHERE program_description_counts."ctid_count" > 1 ),
  program_description_max AS (
      SELECT program_description."MD5", MAX(program_description."ctid") AS "ctid" 
      FROM {0}.program_description 
      WHERE {0}.program_description."MD5" IN (SELECT "MD5" FROM program_description_dupes)
      GROUP BY program_description."MD5" )
  DELETE FROM {0}.program_description
      WHERE EXISTS (
          SELECT 1 FROM program_description_dupes
          WHERE program_description_dupes."MD5"=program_description."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_description_max
          WHERE program_description_max."MD5"=program_description."MD5" 
            AND program_description_max."ctid"=program_description."ctid" );

WITH program_cast_dupes AS (
      SELECT program_cast_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_cast" 
          GROUP BY "MD5" )
      AS program_cast_counts
      WHERE program_cast_counts."ctid_count" > 1 ),
  program_cast_max AS (
      SELECT program_cast."MD5", MAX(program_cast."ctid") AS "ctid" 
      FROM {0}.program_cast 
      WHERE {0}.program_cast."MD5" IN (SELECT "MD5" FROM program_cast_dupes)
      GROUP BY program_cast."MD5" )
  DELETE FROM {0}.program_cast
      WHERE EXISTS (
          SELECT 1 FROM program_cast_dupes
          WHERE program_cast_dupes."MD5"=program_cast."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_cast_max
          WHERE program_cast_max."MD5"=program_cast."MD5" 
            AND program_cast_max."ctid"=program_cast."ctid" );

WITH program_crew_dupes AS (
      SELECT program_crew_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_crew" 
          GROUP BY "MD5" )
      AS program_crew_counts
      WHERE program_crew_counts."ctid_count" > 1 ),
  program_crew_max AS (
      SELECT program_crew."MD5", MAX(program_crew."ctid") AS "ctid" 
      FROM {0}.program_crew 
      WHERE {0}.program_crew."MD5" IN (SELECT "MD5" FROM program_crew_dupes)
      GROUP BY program_crew."MD5" )
  DELETE FROM {0}.program_crew
      WHERE EXISTS (
          SELECT 1 FROM program_crew_dupes
          WHERE program_crew_dupes."MD5"=program_crew."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_crew_max
          WHERE program_crew_max."MD5"=program_crew."MD5" 
            AND program_crew_max."ctid"=program_crew."ctid" );

WITH program_country_dupes AS (
      SELECT program_country_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_country" 
          GROUP BY "MD5" )
      AS program_country_counts
      WHERE program_country_counts."ctid_count" > 1 ),
  program_country_max AS (
      SELECT program_country."MD5", MAX(program_country."ctid") AS "ctid" 
      FROM {0}.program_country 
      WHERE {0}.program_country."MD5" IN (SELECT "MD5" FROM program_country_dupes)
      GROUP BY program_country."MD5" )
  DELETE FROM {0}.program_country
      WHERE EXISTS (
          SELECT 1 FROM program_country_dupes
          WHERE program_country_dupes."MD5"=program_country."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_country_max
          WHERE program_country_max."MD5"=program_country."MD5" 
            AND program_country_max."ctid"=program_country."ctid" );

WITH program_award_dupes AS (
      SELECT program_award_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_award" 
          GROUP BY "MD5" )
      AS program_award_counts
      WHERE program_award_counts."ctid_count" > 1 ),
  program_award_max AS (
      SELECT program_award."MD5", MAX(program_award."ctid") AS "ctid" 
      FROM {0}.program_award 
      WHERE {0}.program_award."MD5" IN (SELECT "MD5" FROM program_award_dupes)
      GROUP BY program_award."MD5" )
  DELETE FROM {0}.program_award
      WHERE EXISTS (
          SELECT 1 FROM program_award_dupes
          WHERE program_award_dupes."MD5"=program_award."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_award_max
          WHERE program_award_max."MD5"=program_award."MD5" 
            AND program_award_max."ctid"=program_award."ctid" );

WITH program_genre_dupes AS (
      SELECT program_genre_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_genre" 
          GROUP BY "MD5" )
      AS program_genre_counts
      WHERE program_genre_counts."ctid_count" > 1 ),
  program_genre_max AS (
      SELECT program_genre."MD5", MAX(program_genre."ctid") AS "ctid" 
      FROM {0}.program_genre 
      WHERE {0}.program_genre."MD5" IN (SELECT "MD5" FROM program_genre_dupes)
      GROUP BY program_genre."MD5" )
  DELETE FROM {0}.program_genre
      WHERE EXISTS (
          SELECT 1 FROM program_genre_dupes
          WHERE program_genre_dupes."MD5"=program_genre."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_genre_max
          WHERE program_genre_max."MD5"=program_genre."MD5" 
            AND program_genre_max."ctid"=program_genre."ctid" );

WITH program_rating_dupes AS (
      SELECT program_rating_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_rating" 
          GROUP BY "MD5" )
      AS program_rating_counts
      WHERE program_rating_counts."ctid_count" > 1 ),
  program_rating_max AS (
      SELECT program_rating."MD5", MAX(program_rating."ctid") AS "ctid" 
      FROM {0}.program_rating 
      WHERE {0}.program_rating."MD5" IN (SELECT "MD5" FROM program_rating_dupes)
      GROUP BY program_rating."MD5" )
  DELETE FROM {0}.program_rating
      WHERE EXISTS (
          SELECT 1 FROM program_rating_dupes
          WHERE program_rating_dupes."MD5"=program_rating."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_rating_max
          WHERE program_rating_max."MD5"=program_rating."MD5" 
            AND program_rating_max."ctid"=program_rating."ctid" );

WITH program_qualityrating_dupes AS (
      SELECT program_qualityrating_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_qualityrating" 
          GROUP BY "MD5" )
      AS program_qualityrating_counts
      WHERE program_qualityrating_counts."ctid_count" > 1 ),
  program_qualityrating_max AS (
      SELECT program_qualityrating."MD5", MAX(program_qualityrating."ctid") AS "ctid" 
      FROM {0}.program_qualityrating 
      WHERE {0}.program_qualityrating."MD5" IN (SELECT "MD5" FROM program_qualityrating_dupes)
      GROUP BY program_qualityrating."MD5" )
  DELETE FROM {0}.program_qualityrating
      WHERE EXISTS (
          SELECT 1 FROM program_qualityrating_dupes
          WHERE program_qualityrating_dupes."MD5"=program_qualityrating."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_qualityrating_max
          WHERE program_qualityrating_max."MD5"=program_qualityrating."MD5" 
            AND program_qualityrating_max."ctid"=program_qualityrating."ctid" );

WITH program_ratingadvisory_dupes AS (
      SELECT program_ratingadvisory_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_ratingadvisory" 
          GROUP BY "MD5" )
      AS program_ratingadvisory_counts
      WHERE program_ratingadvisory_counts."ctid_count" > 1 ),
  program_ratingadvisory_max AS (
      SELECT program_ratingadvisory."MD5", MAX(program_ratingadvisory."ctid") AS "ctid" 
      FROM {0}.program_ratingadvisory 
      WHERE {0}.program_ratingadvisory."MD5" IN (SELECT "MD5" FROM program_ratingadvisory_dupes)
      GROUP BY program_ratingadvisory."MD5" )
  DELETE FROM {0}.program_ratingadvisory
      WHERE EXISTS (
          SELECT 1 FROM program_ratingadvisory_dupes
          WHERE program_ratingadvisory_dupes."MD5"=program_ratingadvisory."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_ratingadvisory_max
          WHERE program_ratingadvisory_max."MD5"=program_ratingadvisory."MD5" 
            AND program_ratingadvisory_max."ctid"=program_ratingadvisory."ctid" );

WITH program_mvinfo_dupes AS (
      SELECT program_mvinfo_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_mvinfo" 
          GROUP BY "MD5" )
      AS program_mvinfo_counts
      WHERE program_mvinfo_counts."ctid_count" > 1 ),
  program_mvinfo_max AS (
      SELECT program_mvinfo."MD5", MAX(program_mvinfo."ctid") AS "ctid" 
      FROM {0}.program_mvinfo 
      WHERE {0}.program_mvinfo."MD5" IN (SELECT "MD5" FROM program_mvinfo_dupes)
      GROUP BY program_mvinfo."MD5" )
  DELETE FROM {0}.program_mvinfo
      WHERE EXISTS (
          SELECT 1 FROM program_mvinfo_dupes
          WHERE program_mvinfo_dupes."MD5"=program_mvinfo."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_mvinfo_max
          WHERE program_mvinfo_max."MD5"=program_mvinfo."MD5" 
            AND program_mvinfo_max."ctid"=program_mvinfo."ctid" );

WITH program_mvtrailer_dupes AS (
      SELECT program_mvtrailer_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_mvtrailer" 
          GROUP BY "MD5" )
      AS program_mvtrailer_counts
      WHERE program_mvtrailer_counts."ctid_count" > 1 ),
  program_mvtrailer_max AS (
      SELECT program_mvtrailer."MD5", MAX(program_mvtrailer."ctid") AS "ctid" 
      FROM {0}.program_mvtrailer 
      WHERE {0}.program_mvtrailer."MD5" IN (SELECT "MD5" FROM program_mvtrailer_dupes)
      GROUP BY program_mvtrailer."MD5" )
  DELETE FROM {0}.program_mvtrailer
      WHERE EXISTS (
          SELECT 1 FROM program_mvtrailer_dupes
          WHERE program_mvtrailer_dupes."MD5"=program_mvtrailer."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_mvtrailer_max
          WHERE program_mvtrailer_max."MD5"=program_mvtrailer."MD5" 
            AND program_mvtrailer_max."ctid"=program_mvtrailer."ctid" );

WITH program_epinfo_dupes AS (
      SELECT program_epinfo_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_epinfo" 
          GROUP BY "MD5" )
      AS program_epinfo_counts
      WHERE program_epinfo_counts."ctid_count" > 1 ),
  program_epinfo_max AS (
      SELECT program_epinfo."MD5", MAX(program_epinfo."ctid") AS "ctid" 
      FROM {0}.program_epinfo 
      WHERE {0}.program_epinfo."MD5" IN (SELECT "MD5" FROM program_epinfo_dupes)
      GROUP BY program_epinfo."MD5" )
  DELETE FROM {0}.program_epinfo
      WHERE EXISTS (
          SELECT 1 FROM program_epinfo_dupes
          WHERE program_epinfo_dupes."MD5"=program_epinfo."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_epinfo_max
          WHERE program_epinfo_max."MD5"=program_epinfo."MD5" 
            AND program_epinfo_max."ctid"=program_epinfo."ctid" );

WITH program_epinfo_alt_dupes AS (
      SELECT program_epinfo_alt_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_epinfo_alt" 
          GROUP BY "MD5" )
      AS program_epinfo_alt_counts
      WHERE program_epinfo_alt_counts."ctid_count" > 1 ),
  program_epinfo_alt_max AS (
      SELECT program_epinfo_alt."MD5", MAX(program_epinfo_alt."ctid") AS "ctid" 
      FROM {0}.program_epinfo_alt 
      WHERE {0}.program_epinfo_alt."MD5" IN (SELECT "MD5" FROM program_epinfo_alt_dupes)
      GROUP BY program_epinfo_alt."MD5" )
  DELETE FROM {0}.program_epinfo_alt
      WHERE EXISTS (
          SELECT 1 FROM program_epinfo_alt_dupes
          WHERE program_epinfo_alt_dupes."MD5"=program_epinfo_alt."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_epinfo_alt_max
          WHERE program_epinfo_alt_max."MD5"=program_epinfo_alt."MD5" 
            AND program_epinfo_alt_max."ctid"=program_epinfo_alt."ctid" );

WITH program_spinfo_dupes AS (
      SELECT program_spinfo_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_spinfo" 
          GROUP BY "MD5" )
      AS program_spinfo_counts
      WHERE program_spinfo_counts."ctid_count" > 1 ),
  program_spinfo_max AS (
      SELECT program_spinfo."MD5", MAX(program_spinfo."ctid") AS "ctid" 
      FROM {0}.program_spinfo 
      WHERE {0}.program_spinfo."MD5" IN (SELECT "MD5" FROM program_spinfo_dupes)
      GROUP BY program_spinfo."MD5" )
  DELETE FROM {0}.program_spinfo
      WHERE EXISTS (
          SELECT 1 FROM program_spinfo_dupes
          WHERE program_spinfo_dupes."MD5"=program_spinfo."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_spinfo_max
          WHERE program_spinfo_max."MD5"=program_spinfo."MD5" 
            AND program_spinfo_max."ctid"=program_spinfo."ctid" );

WITH program_spteam_dupes AS (
      SELECT program_spteam_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_spteam" 
          GROUP BY "MD5" )
      AS program_spteam_counts
      WHERE program_spteam_counts."ctid_count" > 1 ),
  program_spteam_max AS (
      SELECT program_spteam."MD5", MAX(program_spteam."ctid") AS "ctid" 
      FROM {0}.program_spteam 
      WHERE {0}.program_spteam."MD5" IN (SELECT "MD5" FROM program_spteam_dupes)
      GROUP BY program_spteam."MD5" )
  DELETE FROM {0}.program_spteam
      WHERE EXISTS (
          SELECT 1 FROM program_spteam_dupes
          WHERE program_spteam_dupes."MD5"=program_spteam."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_spteam_max
          WHERE program_spteam_max."MD5"=program_spteam."MD5" 
            AND program_spteam_max."ctid"=program_spteam."ctid" );

WITH program_spevent_dupes AS (
      SELECT program_spevent_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_spevent" 
          GROUP BY "MD5" )
      AS program_spevent_counts
      WHERE program_spevent_counts."ctid_count" > 1 ),
  program_spevent_max AS (
      SELECT program_spevent."MD5", MAX(program_spevent."ctid") AS "ctid" 
      FROM {0}.program_spevent 
      WHERE {0}.program_spevent."MD5" IN (SELECT "MD5" FROM program_spevent_dupes)
      GROUP BY program_spevent."MD5" )
  DELETE FROM {0}.program_spevent
      WHERE EXISTS (
          SELECT 1 FROM program_spevent_dupes
          WHERE program_spevent_dupes."MD5"=program_spevent."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_spevent_max
          WHERE program_spevent_max."MD5"=program_spevent."MD5" 
            AND program_spevent_max."ctid"=program_spevent."ctid" );

WITH program_spdata_dupes AS (
      SELECT program_spdata_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_spdata" 
          GROUP BY "MD5" )
      AS program_spdata_counts
      WHERE program_spdata_counts."ctid_count" > 1 ),
  program_spdata_max AS (
      SELECT program_spdata."MD5", MAX(program_spdata."ctid") AS "ctid" 
      FROM {0}.program_spdata 
      WHERE {0}.program_spdata."MD5" IN (SELECT "MD5" FROM program_spdata_dupes)
      GROUP BY program_spdata."MD5" )
  DELETE FROM {0}.program_spdata
      WHERE EXISTS (
          SELECT 1 FROM program_spdata_dupes
          WHERE program_spdata_dupes."MD5"=program_spdata."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_spdata_max
          WHERE program_spdata_max."MD5"=program_spdata."MD5" 
            AND program_spdata_max."ctid"=program_spdata."ctid" );

WITH program_spdata_event_dupes AS (
      SELECT program_spdata_event_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_spdata_event" 
          GROUP BY "MD5" )
      AS program_spdata_event_counts
      WHERE program_spdata_event_counts."ctid_count" > 1 ),
  program_spdata_event_max AS (
      SELECT program_spdata_event."MD5", MAX(program_spdata_event."ctid") AS "ctid" 
      FROM {0}.program_spdata_event 
      WHERE {0}.program_spdata_event."MD5" IN (SELECT "MD5" FROM program_spdata_event_dupes)
      GROUP BY program_spdata_event."MD5" )
  DELETE FROM {0}.program_spdata_event
      WHERE EXISTS (
          SELECT 1 FROM program_spdata_event_dupes
          WHERE program_spdata_event_dupes."MD5"=program_spdata_event."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_spdata_event_max
          WHERE program_spdata_event_max."MD5"=program_spdata_event."MD5" 
            AND program_spdata_event_max."ctid"=program_spdata_event."ctid" );

WITH program_asset_dupes AS (
      SELECT program_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_asset" 
          GROUP BY "MD5" )
      AS program_asset_counts
      WHERE program_asset_counts."ctid_count" > 1 ),
  program_asset_max AS (
      SELECT program_asset."MD5", MAX(program_asset."ctid") AS "ctid" 
      FROM {0}.program_asset 
      WHERE {0}.program_asset."MD5" IN (SELECT "MD5" FROM program_asset_dupes)
      GROUP BY program_asset."MD5" )
  DELETE FROM {0}.program_asset
      WHERE EXISTS (
          SELECT 1 FROM program_asset_dupes
          WHERE program_asset_dupes."MD5"=program_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_asset_max
          WHERE program_asset_max."MD5"=program_asset."MD5" 
            AND program_asset_max."ctid"=program_asset."ctid" );

WITH program_asset_id_dupes AS (
      SELECT program_asset_id_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_asset_id" 
          GROUP BY "MD5" )
      AS program_asset_id_counts
      WHERE program_asset_id_counts."ctid_count" > 1 ),
  program_asset_id_max AS (
      SELECT program_asset_id."MD5", MAX(program_asset_id."ctid") AS "ctid" 
      FROM {0}.program_asset_id 
      WHERE {0}.program_asset_id."MD5" IN (SELECT "MD5" FROM program_asset_id_dupes)
      GROUP BY program_asset_id."MD5" )
  DELETE FROM {0}.program_asset_id
      WHERE EXISTS (
          SELECT 1 FROM program_asset_id_dupes
          WHERE program_asset_id_dupes."MD5"=program_asset_id."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_asset_id_max
          WHERE program_asset_id_max."MD5"=program_asset_id."MD5" 
            AND program_asset_id_max."ctid"=program_asset_id."ctid" );

WITH program_release_dupes AS (
      SELECT program_release_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_release" 
          GROUP BY "MD5" )
      AS program_release_counts
      WHERE program_release_counts."ctid_count" > 1 ),
  program_release_max AS (
      SELECT program_release."MD5", MAX(program_release."ctid") AS "ctid" 
      FROM {0}.program_release 
      WHERE {0}.program_release."MD5" IN (SELECT "MD5" FROM program_release_dupes)
      GROUP BY program_release."MD5" )
  DELETE FROM {0}.program_release
      WHERE EXISTS (
          SELECT 1 FROM program_release_dupes
          WHERE program_release_dupes."MD5"=program_release."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_release_max
          WHERE program_release_max."MD5"=program_release."MD5" 
            AND program_release_max."ctid"=program_release."ctid" );

WITH program_release_attribute_dupes AS (
      SELECT program_release_attribute_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_release_attribute" 
          GROUP BY "MD5" )
      AS program_release_attribute_counts
      WHERE program_release_attribute_counts."ctid_count" > 1 ),
  program_release_attribute_max AS (
      SELECT program_release_attribute."MD5", MAX(program_release_attribute."ctid") AS "ctid" 
      FROM {0}.program_release_attribute 
      WHERE {0}.program_release_attribute."MD5" IN (SELECT "MD5" FROM program_release_attribute_dupes)
      GROUP BY program_release_attribute."MD5" )
  DELETE FROM {0}.program_release_attribute
      WHERE EXISTS (
          SELECT 1 FROM program_release_attribute_dupes
          WHERE program_release_attribute_dupes."MD5"=program_release_attribute."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_release_attribute_max
          WHERE program_release_attribute_max."MD5"=program_release_attribute."MD5" 
            AND program_release_attribute_max."ctid"=program_release_attribute."ctid" );

WITH program_release_distributor_dupes AS (
      SELECT program_release_distributor_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_release_distributor" 
          GROUP BY "MD5" )
      AS program_release_distributor_counts
      WHERE program_release_distributor_counts."ctid_count" > 1 ),
  program_release_distributor_max AS (
      SELECT program_release_distributor."MD5", MAX(program_release_distributor."ctid") AS "ctid" 
      FROM {0}.program_release_distributor 
      WHERE {0}.program_release_distributor."MD5" IN (SELECT "MD5" FROM program_release_distributor_dupes)
      GROUP BY program_release_distributor."MD5" )
  DELETE FROM {0}.program_release_distributor
      WHERE EXISTS (
          SELECT 1 FROM program_release_distributor_dupes
          WHERE program_release_distributor_dupes."MD5"=program_release_distributor."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_release_distributor_max
          WHERE program_release_distributor_max."MD5"=program_release_distributor."MD5" 
            AND program_release_distributor_max."ctid"=program_release_distributor."ctid" );

WITH program_relationship_dupes AS (
      SELECT program_relationship_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_relationship" 
          GROUP BY "MD5" )
      AS program_relationship_counts
      WHERE program_relationship_counts."ctid_count" > 1 ),
  program_relationship_max AS (
      SELECT program_relationship."MD5", MAX(program_relationship."ctid") AS "ctid" 
      FROM {0}.program_relationship 
      WHERE {0}.program_relationship."MD5" IN (SELECT "MD5" FROM program_relationship_dupes)
      GROUP BY program_relationship."MD5" )
  DELETE FROM {0}.program_relationship
      WHERE EXISTS (
          SELECT 1 FROM program_relationship_dupes
          WHERE program_relationship_dupes."MD5"=program_relationship."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_relationship_max
          WHERE program_relationship_max."MD5"=program_relationship."MD5" 
            AND program_relationship_max."ctid"=program_relationship."ctid" );

WITH program_externallink_dupes AS (
      SELECT program_externallink_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_externallink" 
          GROUP BY "MD5" )
      AS program_externallink_counts
      WHERE program_externallink_counts."ctid_count" > 1 ),
  program_externallink_max AS (
      SELECT program_externallink."MD5", MAX(program_externallink."ctid") AS "ctid" 
      FROM {0}.program_externallink 
      WHERE {0}.program_externallink."MD5" IN (SELECT "MD5" FROM program_externallink_dupes)
      GROUP BY program_externallink."MD5" )
  DELETE FROM {0}.program_externallink
      WHERE EXISTS (
          SELECT 1 FROM program_externallink_dupes
          WHERE program_externallink_dupes."MD5"=program_externallink."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_externallink_max
          WHERE program_externallink_max."MD5"=program_externallink."MD5" 
            AND program_externallink_max."ctid"=program_externallink."ctid" );

WITH program_descriptor_dupes AS (
      SELECT program_descriptor_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_descriptor" 
          GROUP BY "MD5" )
      AS program_descriptor_counts
      WHERE program_descriptor_counts."ctid_count" > 1 ),
  program_descriptor_max AS (
      SELECT program_descriptor."MD5", MAX(program_descriptor."ctid") AS "ctid" 
      FROM {0}.program_descriptor 
      WHERE {0}.program_descriptor."MD5" IN (SELECT "MD5" FROM program_descriptor_dupes)
      GROUP BY program_descriptor."MD5" )
  DELETE FROM {0}.program_descriptor
      WHERE EXISTS (
          SELECT 1 FROM program_descriptor_dupes
          WHERE program_descriptor_dupes."MD5"=program_descriptor."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_descriptor_max
          WHERE program_descriptor_max."MD5"=program_descriptor."MD5" 
            AND program_descriptor_max."ctid"=program_descriptor."ctid" );

WITH program_origaudiolang_dupes AS (
      SELECT program_origaudiolang_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."program_origaudiolang" 
          GROUP BY "MD5" )
      AS program_origaudiolang_counts
      WHERE program_origaudiolang_counts."ctid_count" > 1 ),
  program_origaudiolang_max AS (
      SELECT program_origaudiolang."MD5", MAX(program_origaudiolang."ctid") AS "ctid" 
      FROM {0}.program_origaudiolang 
      WHERE {0}.program_origaudiolang."MD5" IN (SELECT "MD5" FROM program_origaudiolang_dupes)
      GROUP BY program_origaudiolang."MD5" )
  DELETE FROM {0}.program_origaudiolang
      WHERE EXISTS (
          SELECT 1 FROM program_origaudiolang_dupes
          WHERE program_origaudiolang_dupes."MD5"=program_origaudiolang."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM program_origaudiolang_max
          WHERE program_origaudiolang_max."MD5"=program_origaudiolang."MD5" 
            AND program_origaudiolang_max."ctid"=program_origaudiolang."ctid" );
