-- {0}: stage schema
-- {1}: truth value


CREATE TEMP TABLE tmp_cv AS SELECT "cvId" FROM {0}.cv WHERE {0}.cv."deleted" = {1};
CREATE INDEX idx_tmp_cv_id ON tmp_cv("cvId");

DELETE FROM {0}.cv_attribute c USING tmp_cv d WHERE d."cvId"=c."cvId";
DELETE FROM {0}.cv WHERE {0}.cv."deleted" = {1};

CREATE TEMP TABLE tmp_source AS SELECT "prgSvcId" FROM {0}.source WHERE {0}.source."deleted" = {1};
CREATE INDEX idx_tmp_source_id ON tmp_source("prgSvcId");

DELETE FROM {0}.source_transportid c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_group c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_genre c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_marketid c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_asset c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_affiliate c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_relationship c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_bcastlang c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_edlang c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_attribute c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_altname c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source_country c USING tmp_source d WHERE d."prgSvcId"=c."prgSvcId";
DELETE FROM {0}.source WHERE {0}.source."deleted" = {1};

CREATE TEMP TABLE tmp_lineup AS SELECT "lineupId" FROM {0}.lineup WHERE {0}.lineup."deleted" = {1};
CREATE INDEX idx_tmp_lineup_id ON tmp_lineup("lineupId");

DELETE FROM {0}.lineup_market c USING tmp_lineup d WHERE d."lineupId"=c."lineupId";
DELETE FROM {0}.lineup_postalcode c USING tmp_lineup d WHERE d."lineupId"=c."lineupId";
DELETE FROM {0}.lineup_channel_transport_id c USING tmp_lineup d WHERE d."lineupId"=c."lineupId";
DELETE FROM {0}.lineup_channel_transport c USING tmp_lineup d WHERE d."lineupId"=c."lineupId";
DELETE FROM {0}.lineup_channel c USING tmp_lineup d WHERE d."lineupId"=c."lineupId";
DELETE FROM {0}.lineup WHERE {0}.lineup."deleted" = {1};

CREATE TEMP TABLE tmp_celebrity AS SELECT "personId" FROM {0}.celebrity WHERE {0}.celebrity."deleted" = {1};
CREATE INDEX idx_tmp_celebrity_id ON tmp_celebrity("personId");

DELETE FROM {0}.celebrity_enhancedaward c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_socialmedia c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_highlight c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_quote c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_note c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_milestone c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_education c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_relationshipevent c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_relationship c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_biography c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_participanttype c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_mediography_credit c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_mediography c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_asset c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_award c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity_name c USING tmp_celebrity d WHERE d."personId"=c."personId";
DELETE FROM {0}.celebrity WHERE {0}.celebrity."deleted" = {1};

CREATE TEMP TABLE tmp_descriptortaxonomy AS SELECT "taxonomyId" FROM {0}.descriptortaxonomy WHERE {0}.descriptortaxonomy."deleted" = {1};
CREATE INDEX idx_tmp_descriptortaxonomy_id ON tmp_descriptortaxonomy("taxonomyId");

DELETE FROM {0}.descriptortaxonomy_descriptor c USING tmp_descriptortaxonomy d WHERE d."taxonomyId"=c."taxonomyId";
DELETE FROM {0}.descriptortaxonomy WHERE {0}.descriptortaxonomy."deleted" = {1};

CREATE TEMP TABLE tmp_descriptor AS SELECT "descriptorId" FROM {0}.descriptor WHERE {0}.descriptor."deleted" = {1};
CREATE INDEX idx_tmp_descriptor_id ON tmp_descriptor("descriptorId");

DELETE FROM {0}.descriptor WHERE {0}.descriptor."deleted" = {1};

CREATE TEMP TABLE tmp_season AS SELECT "seasonTMSId" FROM {0}.season WHERE {0}.season."deleted" = {1};
CREATE INDEX idx_tmp_season_id ON tmp_season("seasonTMSId");

DELETE FROM {0}.season_asset_id c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_asset c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_crew c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_cast c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_description c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season_title c USING tmp_season d WHERE d."seasonTMSId"=c."seasonTMSId";
DELETE FROM {0}.season WHERE {0}.season."deleted" = {1};

CREATE TEMP TABLE tmp_program AS SELECT "TMSId" FROM {0}.program WHERE {0}.program."deleted" = {1};
CREATE INDEX idx_tmp_program_id ON tmp_program("TMSId");

DELETE FROM {0}.program_origaudiolang c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_descriptor c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_externallink c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_relationship c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_release_distributor c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_release_attribute c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_release c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_asset_id c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_asset c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spdata_event c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spdata c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spevent c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spteam c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_spinfo c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_epinfo_alt c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_epinfo c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_mvtrailer c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_mvinfo c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_ratingadvisory c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_qualityrating c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_rating c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_genre c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_award c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_country c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_crew c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_cast c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_description c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_title c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program_season c USING tmp_program d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.program WHERE {0}.program."deleted" = {1};

CREATE TEMP TABLE tmp_availability AS SELECT "availabilityId" FROM {0}.availability WHERE {0}.availability."deleted" = {1};
CREATE INDEX idx_tmp_availability_id ON tmp_availability("availabilityId");

DELETE FROM {0}.availability_providerdata c USING tmp_availability d WHERE d."availabilityId"=c."availabilityId";
DELETE FROM {0}.availability_viewingoption c USING tmp_availability d WHERE d."availabilityId"=c."availabilityId";
DELETE FROM {0}.availability_url c USING tmp_availability d WHERE d."availabilityId"=c."availabilityId";
DELETE FROM {0}.availability_id c USING tmp_availability d WHERE d."availabilityId"=c."availabilityId";
DELETE FROM {0}.availability WHERE {0}.availability."deleted" = {1};

CREATE TEMP TABLE tmp_mapping AS SELECT "mappingId" FROM {0}.mapping WHERE {0}.mapping."deleted" = {1};
CREATE INDEX idx_tmp_mapping_id ON tmp_mapping("mappingId");

DELETE FROM {0}.mapping_link c USING tmp_mapping d WHERE d."mappingId"=c."mappingId";
DELETE FROM {0}.mapping_id c USING tmp_mapping d WHERE d."mappingId"=c."mappingId";
DELETE FROM {0}.mapping WHERE {0}.mapping."deleted" = {1};

CREATE TEMP TABLE tmp_sourceprogram AS SELECT "gnidsId" FROM {0}.sourceprogram WHERE {0}.sourceprogram."deleted" = {1};
CREATE INDEX idx_tmp_sourceprogram_id ON tmp_sourceprogram("gnidsId");

DELETE FROM {0}.sourceprogram_xid c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_asset_tag c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_asset_extattr c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_asset_market c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_asset_language c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_asset_id c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_asset c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_xid c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_asset_tag c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_asset_extattr c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_asset_market c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_asset_language c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_asset_id c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_asset c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_crew c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_cast c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_desc c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season_title c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_season c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_epinfo c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_mvinfo c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_rating_advisory c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_rating c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_genre c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_country c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_crew c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_cast c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_description c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_title c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_catalog_market c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_catalog_language c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_catalog c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_versionlabel c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram_label c USING tmp_sourceprogram d WHERE d."gnidsId"=c."gnidsId";
DELETE FROM {0}.sourceprogram WHERE {0}.sourceprogram."deleted" = {1};

CREATE TEMP TABLE tmp_popularity AS SELECT "popularityId" FROM {0}.popularity WHERE {0}.popularity."deleted" = {1};
CREATE INDEX idx_tmp_popularity_id ON tmp_popularity("popularityId");

DELETE FROM {0}.popularity WHERE {0}.popularity."deleted" = {1};

CREATE TEMP TABLE tmp_university AS SELECT "universityId" FROM {0}.university WHERE {0}.university."deleted" = {1};
CREATE INDEX idx_tmp_university_id ON tmp_university("universityId");

DELETE FROM {0}.university_asset c USING tmp_university d WHERE d."universityId"=c."universityId";
DELETE FROM {0}.university_name c USING tmp_university d WHERE d."universityId"=c."universityId";
DELETE FROM {0}.university WHERE {0}.university."deleted" = {1};

CREATE TEMP TABLE tmp_venue AS SELECT "venueId" FROM {0}.venue WHERE {0}.venue."deleted" = {1};
CREATE INDEX idx_tmp_venue_id ON tmp_venue("venueId");

DELETE FROM {0}.venue WHERE {0}.venue."deleted" = {1};

CREATE TEMP TABLE tmp_venuebrand AS SELECT "venueBrandId" FROM {0}.venuebrand WHERE {0}.venuebrand."deleted" = {1};
CREATE INDEX idx_tmp_venuebrand_id ON tmp_venuebrand("venueBrandId");

DELETE FROM {0}.venuebrand_name c USING tmp_venuebrand d WHERE d."venueBrandId"=c."venueBrandId";
DELETE FROM {0}.venuebrand WHERE {0}.venuebrand."deleted" = {1};

CREATE TEMP TABLE tmp_sportsorg AS SELECT "organizationId" FROM {0}.sportsorg WHERE {0}.sportsorg."deleted" = {1};
CREATE INDEX idx_tmp_sportsorg_id ON tmp_sportsorg("organizationId");

DELETE FROM {0}.sportsorg_event c USING tmp_sportsorg d WHERE d."organizationId"=c."organizationId";
DELETE FROM {0}.sportsorg_teambrand c USING tmp_sportsorg d WHERE d."organizationId"=c."organizationId";
DELETE FROM {0}.sportsorg_div c USING tmp_sportsorg d WHERE d."organizationId"=c."organizationId";
DELETE FROM {0}.sportsorg_conf_asset c USING tmp_sportsorg d WHERE d."organizationId"=c."organizationId";
DELETE FROM {0}.sportsorg_conf c USING tmp_sportsorg d WHERE d."organizationId"=c."organizationId";
DELETE FROM {0}.sportsorg_asset c USING tmp_sportsorg d WHERE d."organizationId"=c."organizationId";
DELETE FROM {0}.sportsorg WHERE {0}.sportsorg."deleted" = {1};

CREATE TEMP TABLE tmp_team AS SELECT "teamId" FROM {0}.team WHERE {0}.team."deleted" = {1};
CREATE INDEX idx_tmp_team_id ON tmp_team("teamId");

DELETE FROM {0}.team_genre c USING tmp_team d WHERE d."teamId"=c."teamId";
DELETE FROM {0}.team WHERE {0}.team."deleted" = {1};

CREATE TEMP TABLE tmp_teambrand AS SELECT "teamBrandId" FROM {0}.teambrand WHERE {0}.teambrand."deleted" = {1};
CREATE INDEX idx_tmp_teambrand_id ON tmp_teambrand("teamBrandId");

DELETE FROM {0}.teambrand_asset c USING tmp_teambrand d WHERE d."teamBrandId"=c."teamBrandId";
DELETE FROM {0}.teambrand_name c USING tmp_teambrand d WHERE d."teamBrandId"=c."teamBrandId";
DELETE FROM {0}.teambrand WHERE {0}.teambrand."deleted" = {1};

CREATE TEMP TABLE tmp_vdannotation AS SELECT "TMSId" FROM {0}.vdannotation WHERE {0}.vdannotation."deleted" = {1};
CREATE INDEX idx_tmp_vdannotation_id ON tmp_vdannotation("TMSId");

DELETE FROM {0}.vdannotation_descriptor c USING tmp_vdannotation d WHERE d."TMSId"=c."TMSId";
DELETE FROM {0}.vdannotation WHERE {0}.vdannotation."deleted" = {1};
