-- {0}: stage schema


WITH schedule_dupes AS (
      SELECT schedule_counts."scheduleId" FROM (
          SELECT "scheduleId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."schedule" 
          GROUP BY "scheduleId" )
      AS schedule_counts
      WHERE schedule_counts."updateId_count" > 1 ),
  schedule_max AS (
      SELECT schedule."scheduleId", MAX(schedule."updateId") AS "updateId" 
      FROM {0}.schedule 
      WHERE {0}.schedule."scheduleId" IN (SELECT "scheduleId" FROM schedule_dupes)
      GROUP BY schedule."scheduleId" )
  DELETE FROM {0}.schedule
      WHERE EXISTS (
          SELECT 1 FROM schedule_dupes
          WHERE schedule_dupes."scheduleId"=schedule."scheduleId" )
      AND NOT EXISTS (
          SELECT 1 FROM schedule_max
          WHERE schedule_max."scheduleId"=schedule."scheduleId" 
            AND schedule_max."updateId"=schedule."updateId" );

DELETE FROM {0}.schedule_event WHERE NOT EXISTS (
    SELECT 1 FROM {0}.schedule 
        WHERE schedule_event."scheduleId"=schedule."scheduleId"
            AND schedule_event."updateId"=schedule."updateId" );

DELETE FROM {0}.schedule_event_bcastid WHERE NOT EXISTS (
    SELECT 1 FROM {0}.schedule 
        WHERE schedule_event_bcastid."scheduleId"=schedule."scheduleId"
            AND schedule_event_bcastid."updateId"=schedule."updateId" );

DELETE FROM {0}.schedule_event_right WHERE NOT EXISTS (
    SELECT 1 FROM {0}.schedule 
        WHERE schedule_event_right."scheduleId"=schedule."scheduleId"
            AND schedule_event_right."updateId"=schedule."updateId" );

DELETE FROM {0}.schedule_event_right_param WHERE NOT EXISTS (
    SELECT 1 FROM {0}.schedule 
        WHERE schedule_event_right_param."scheduleId"=schedule."scheduleId"
            AND schedule_event_right_param."updateId"=schedule."updateId" );
