-- {0}: stage schema


WITH schedule_dupes AS (
      SELECT schedule_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."schedule" 
          GROUP BY "MD5" )
      AS schedule_counts
      WHERE schedule_counts."ctid_count" > 1 ),
  schedule_max AS (
      SELECT schedule."MD5", MAX(schedule."ctid") AS "ctid" 
      FROM {0}.schedule 
      WHERE {0}.schedule."MD5" IN (SELECT "MD5" FROM schedule_dupes)
      GROUP BY schedule."MD5" )
  DELETE FROM {0}.schedule
      WHERE EXISTS (
          SELECT 1 FROM schedule_dupes
          WHERE schedule_dupes."MD5"=schedule."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM schedule_max
          WHERE schedule_max."MD5"=schedule."MD5" 
            AND schedule_max."ctid"=schedule."ctid" );

WITH schedule_event_dupes AS (
      SELECT schedule_event_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."schedule_event" 
          GROUP BY "MD5" )
      AS schedule_event_counts
      WHERE schedule_event_counts."ctid_count" > 1 ),
  schedule_event_max AS (
      SELECT schedule_event."MD5", MAX(schedule_event."ctid") AS "ctid" 
      FROM {0}.schedule_event 
      WHERE {0}.schedule_event."MD5" IN (SELECT "MD5" FROM schedule_event_dupes)
      GROUP BY schedule_event."MD5" )
  DELETE FROM {0}.schedule_event
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_dupes
          WHERE schedule_event_dupes."MD5"=schedule_event."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_max
          WHERE schedule_event_max."MD5"=schedule_event."MD5" 
            AND schedule_event_max."ctid"=schedule_event."ctid" );

WITH schedule_event_bcastid_dupes AS (
      SELECT schedule_event_bcastid_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."schedule_event_bcastid" 
          GROUP BY "MD5" )
      AS schedule_event_bcastid_counts
      WHERE schedule_event_bcastid_counts."ctid_count" > 1 ),
  schedule_event_bcastid_max AS (
      SELECT schedule_event_bcastid."MD5", MAX(schedule_event_bcastid."ctid") AS "ctid" 
      FROM {0}.schedule_event_bcastid 
      WHERE {0}.schedule_event_bcastid."MD5" IN (SELECT "MD5" FROM schedule_event_bcastid_dupes)
      GROUP BY schedule_event_bcastid."MD5" )
  DELETE FROM {0}.schedule_event_bcastid
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_bcastid_dupes
          WHERE schedule_event_bcastid_dupes."MD5"=schedule_event_bcastid."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_bcastid_max
          WHERE schedule_event_bcastid_max."MD5"=schedule_event_bcastid."MD5" 
            AND schedule_event_bcastid_max."ctid"=schedule_event_bcastid."ctid" );

WITH schedule_event_right_dupes AS (
      SELECT schedule_event_right_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."schedule_event_right" 
          GROUP BY "MD5" )
      AS schedule_event_right_counts
      WHERE schedule_event_right_counts."ctid_count" > 1 ),
  schedule_event_right_max AS (
      SELECT schedule_event_right."MD5", MAX(schedule_event_right."ctid") AS "ctid" 
      FROM {0}.schedule_event_right 
      WHERE {0}.schedule_event_right."MD5" IN (SELECT "MD5" FROM schedule_event_right_dupes)
      GROUP BY schedule_event_right."MD5" )
  DELETE FROM {0}.schedule_event_right
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_right_dupes
          WHERE schedule_event_right_dupes."MD5"=schedule_event_right."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_right_max
          WHERE schedule_event_right_max."MD5"=schedule_event_right."MD5" 
            AND schedule_event_right_max."ctid"=schedule_event_right."ctid" );

WITH schedule_event_right_param_dupes AS (
      SELECT schedule_event_right_param_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."schedule_event_right_param" 
          GROUP BY "MD5" )
      AS schedule_event_right_param_counts
      WHERE schedule_event_right_param_counts."ctid_count" > 1 ),
  schedule_event_right_param_max AS (
      SELECT schedule_event_right_param."MD5", MAX(schedule_event_right_param."ctid") AS "ctid" 
      FROM {0}.schedule_event_right_param 
      WHERE {0}.schedule_event_right_param."MD5" IN (SELECT "MD5" FROM schedule_event_right_param_dupes)
      GROUP BY schedule_event_right_param."MD5" )
  DELETE FROM {0}.schedule_event_right_param
      WHERE EXISTS (
          SELECT 1 FROM schedule_event_right_param_dupes
          WHERE schedule_event_right_param_dupes."MD5"=schedule_event_right_param."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM schedule_event_right_param_max
          WHERE schedule_event_right_param_max."MD5"=schedule_event_right_param."MD5" 
            AND schedule_event_right_param_max."ctid"=schedule_event_right_param."ctid" );
