-- {0}: stage schema


WITH season_dupes AS (
      SELECT season_counts."seasonTMSId" FROM (
          SELECT "seasonTMSId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."season" 
          GROUP BY "seasonTMSId" )
      AS season_counts
      WHERE season_counts."updateId_count" > 1 ),
  season_max AS (
      SELECT season."seasonTMSId", MAX(season."updateId") AS "updateId" 
      FROM {0}.season 
      WHERE {0}.season."seasonTMSId" IN (SELECT "seasonTMSId" FROM season_dupes)
      GROUP BY season."seasonTMSId" )
  DELETE FROM {0}.season
      WHERE EXISTS (
          SELECT 1 FROM season_dupes
          WHERE season_dupes."seasonTMSId"=season."seasonTMSId" )
      AND NOT EXISTS (
          SELECT 1 FROM season_max
          WHERE season_max."seasonTMSId"=season."seasonTMSId" 
            AND season_max."updateId"=season."updateId" );

DELETE FROM {0}.season_title WHERE NOT EXISTS (
    SELECT 1 FROM {0}.season 
        WHERE season_title."seasonTMSId"=season."seasonTMSId"
            AND season_title."updateId"=season."updateId" );

DELETE FROM {0}.season_description WHERE NOT EXISTS (
    SELECT 1 FROM {0}.season 
        WHERE season_description."seasonTMSId"=season."seasonTMSId"
            AND season_description."updateId"=season."updateId" );

DELETE FROM {0}.season_cast WHERE NOT EXISTS (
    SELECT 1 FROM {0}.season 
        WHERE season_cast."seasonTMSId"=season."seasonTMSId"
            AND season_cast."updateId"=season."updateId" );

DELETE FROM {0}.season_crew WHERE NOT EXISTS (
    SELECT 1 FROM {0}.season 
        WHERE season_crew."seasonTMSId"=season."seasonTMSId"
            AND season_crew."updateId"=season."updateId" );

DELETE FROM {0}.season_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.season 
        WHERE season_asset."seasonTMSId"=season."seasonTMSId"
            AND season_asset."updateId"=season."updateId" );

DELETE FROM {0}.season_asset_id WHERE NOT EXISTS (
    SELECT 1 FROM {0}.season 
        WHERE season_asset_id."seasonTMSId"=season."seasonTMSId"
            AND season_asset_id."updateId"=season."updateId" );
