-- {0}: stage schema


WITH source_dupes AS (
      SELECT source_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source" 
          GROUP BY "MD5" )
      AS source_counts
      WHERE source_counts."ctid_count" > 1 ),
  source_max AS (
      SELECT source."MD5", MAX(source."ctid") AS "ctid" 
      FROM {0}.source 
      WHERE {0}.source."MD5" IN (SELECT "MD5" FROM source_dupes)
      GROUP BY source."MD5" )
  DELETE FROM {0}.source
      WHERE EXISTS (
          SELECT 1 FROM source_dupes
          WHERE source_dupes."MD5"=source."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_max
          WHERE source_max."MD5"=source."MD5" 
            AND source_max."ctid"=source."ctid" );

WITH source_country_dupes AS (
      SELECT source_country_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_country" 
          GROUP BY "MD5" )
      AS source_country_counts
      WHERE source_country_counts."ctid_count" > 1 ),
  source_country_max AS (
      SELECT source_country."MD5", MAX(source_country."ctid") AS "ctid" 
      FROM {0}.source_country 
      WHERE {0}.source_country."MD5" IN (SELECT "MD5" FROM source_country_dupes)
      GROUP BY source_country."MD5" )
  DELETE FROM {0}.source_country
      WHERE EXISTS (
          SELECT 1 FROM source_country_dupes
          WHERE source_country_dupes."MD5"=source_country."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_country_max
          WHERE source_country_max."MD5"=source_country."MD5" 
            AND source_country_max."ctid"=source_country."ctid" );

WITH source_altname_dupes AS (
      SELECT source_altname_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_altname" 
          GROUP BY "MD5" )
      AS source_altname_counts
      WHERE source_altname_counts."ctid_count" > 1 ),
  source_altname_max AS (
      SELECT source_altname."MD5", MAX(source_altname."ctid") AS "ctid" 
      FROM {0}.source_altname 
      WHERE {0}.source_altname."MD5" IN (SELECT "MD5" FROM source_altname_dupes)
      GROUP BY source_altname."MD5" )
  DELETE FROM {0}.source_altname
      WHERE EXISTS (
          SELECT 1 FROM source_altname_dupes
          WHERE source_altname_dupes."MD5"=source_altname."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_altname_max
          WHERE source_altname_max."MD5"=source_altname."MD5" 
            AND source_altname_max."ctid"=source_altname."ctid" );

WITH source_attribute_dupes AS (
      SELECT source_attribute_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_attribute" 
          GROUP BY "MD5" )
      AS source_attribute_counts
      WHERE source_attribute_counts."ctid_count" > 1 ),
  source_attribute_max AS (
      SELECT source_attribute."MD5", MAX(source_attribute."ctid") AS "ctid" 
      FROM {0}.source_attribute 
      WHERE {0}.source_attribute."MD5" IN (SELECT "MD5" FROM source_attribute_dupes)
      GROUP BY source_attribute."MD5" )
  DELETE FROM {0}.source_attribute
      WHERE EXISTS (
          SELECT 1 FROM source_attribute_dupes
          WHERE source_attribute_dupes."MD5"=source_attribute."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_attribute_max
          WHERE source_attribute_max."MD5"=source_attribute."MD5" 
            AND source_attribute_max."ctid"=source_attribute."ctid" );

WITH source_edlang_dupes AS (
      SELECT source_edlang_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_edlang" 
          GROUP BY "MD5" )
      AS source_edlang_counts
      WHERE source_edlang_counts."ctid_count" > 1 ),
  source_edlang_max AS (
      SELECT source_edlang."MD5", MAX(source_edlang."ctid") AS "ctid" 
      FROM {0}.source_edlang 
      WHERE {0}.source_edlang."MD5" IN (SELECT "MD5" FROM source_edlang_dupes)
      GROUP BY source_edlang."MD5" )
  DELETE FROM {0}.source_edlang
      WHERE EXISTS (
          SELECT 1 FROM source_edlang_dupes
          WHERE source_edlang_dupes."MD5"=source_edlang."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_edlang_max
          WHERE source_edlang_max."MD5"=source_edlang."MD5" 
            AND source_edlang_max."ctid"=source_edlang."ctid" );

WITH source_bcastlang_dupes AS (
      SELECT source_bcastlang_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_bcastlang" 
          GROUP BY "MD5" )
      AS source_bcastlang_counts
      WHERE source_bcastlang_counts."ctid_count" > 1 ),
  source_bcastlang_max AS (
      SELECT source_bcastlang."MD5", MAX(source_bcastlang."ctid") AS "ctid" 
      FROM {0}.source_bcastlang 
      WHERE {0}.source_bcastlang."MD5" IN (SELECT "MD5" FROM source_bcastlang_dupes)
      GROUP BY source_bcastlang."MD5" )
  DELETE FROM {0}.source_bcastlang
      WHERE EXISTS (
          SELECT 1 FROM source_bcastlang_dupes
          WHERE source_bcastlang_dupes."MD5"=source_bcastlang."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_bcastlang_max
          WHERE source_bcastlang_max."MD5"=source_bcastlang."MD5" 
            AND source_bcastlang_max."ctid"=source_bcastlang."ctid" );

WITH source_relationship_dupes AS (
      SELECT source_relationship_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_relationship" 
          GROUP BY "MD5" )
      AS source_relationship_counts
      WHERE source_relationship_counts."ctid_count" > 1 ),
  source_relationship_max AS (
      SELECT source_relationship."MD5", MAX(source_relationship."ctid") AS "ctid" 
      FROM {0}.source_relationship 
      WHERE {0}.source_relationship."MD5" IN (SELECT "MD5" FROM source_relationship_dupes)
      GROUP BY source_relationship."MD5" )
  DELETE FROM {0}.source_relationship
      WHERE EXISTS (
          SELECT 1 FROM source_relationship_dupes
          WHERE source_relationship_dupes."MD5"=source_relationship."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_relationship_max
          WHERE source_relationship_max."MD5"=source_relationship."MD5" 
            AND source_relationship_max."ctid"=source_relationship."ctid" );

WITH source_affiliate_dupes AS (
      SELECT source_affiliate_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_affiliate" 
          GROUP BY "MD5" )
      AS source_affiliate_counts
      WHERE source_affiliate_counts."ctid_count" > 1 ),
  source_affiliate_max AS (
      SELECT source_affiliate."MD5", MAX(source_affiliate."ctid") AS "ctid" 
      FROM {0}.source_affiliate 
      WHERE {0}.source_affiliate."MD5" IN (SELECT "MD5" FROM source_affiliate_dupes)
      GROUP BY source_affiliate."MD5" )
  DELETE FROM {0}.source_affiliate
      WHERE EXISTS (
          SELECT 1 FROM source_affiliate_dupes
          WHERE source_affiliate_dupes."MD5"=source_affiliate."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_affiliate_max
          WHERE source_affiliate_max."MD5"=source_affiliate."MD5" 
            AND source_affiliate_max."ctid"=source_affiliate."ctid" );

WITH source_asset_dupes AS (
      SELECT source_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_asset" 
          GROUP BY "MD5" )
      AS source_asset_counts
      WHERE source_asset_counts."ctid_count" > 1 ),
  source_asset_max AS (
      SELECT source_asset."MD5", MAX(source_asset."ctid") AS "ctid" 
      FROM {0}.source_asset 
      WHERE {0}.source_asset."MD5" IN (SELECT "MD5" FROM source_asset_dupes)
      GROUP BY source_asset."MD5" )
  DELETE FROM {0}.source_asset
      WHERE EXISTS (
          SELECT 1 FROM source_asset_dupes
          WHERE source_asset_dupes."MD5"=source_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_asset_max
          WHERE source_asset_max."MD5"=source_asset."MD5" 
            AND source_asset_max."ctid"=source_asset."ctid" );

WITH source_marketid_dupes AS (
      SELECT source_marketid_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_marketid" 
          GROUP BY "MD5" )
      AS source_marketid_counts
      WHERE source_marketid_counts."ctid_count" > 1 ),
  source_marketid_max AS (
      SELECT source_marketid."MD5", MAX(source_marketid."ctid") AS "ctid" 
      FROM {0}.source_marketid 
      WHERE {0}.source_marketid."MD5" IN (SELECT "MD5" FROM source_marketid_dupes)
      GROUP BY source_marketid."MD5" )
  DELETE FROM {0}.source_marketid
      WHERE EXISTS (
          SELECT 1 FROM source_marketid_dupes
          WHERE source_marketid_dupes."MD5"=source_marketid."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_marketid_max
          WHERE source_marketid_max."MD5"=source_marketid."MD5" 
            AND source_marketid_max."ctid"=source_marketid."ctid" );

WITH source_genre_dupes AS (
      SELECT source_genre_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_genre" 
          GROUP BY "MD5" )
      AS source_genre_counts
      WHERE source_genre_counts."ctid_count" > 1 ),
  source_genre_max AS (
      SELECT source_genre."MD5", MAX(source_genre."ctid") AS "ctid" 
      FROM {0}.source_genre 
      WHERE {0}.source_genre."MD5" IN (SELECT "MD5" FROM source_genre_dupes)
      GROUP BY source_genre."MD5" )
  DELETE FROM {0}.source_genre
      WHERE EXISTS (
          SELECT 1 FROM source_genre_dupes
          WHERE source_genre_dupes."MD5"=source_genre."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_genre_max
          WHERE source_genre_max."MD5"=source_genre."MD5" 
            AND source_genre_max."ctid"=source_genre."ctid" );

WITH source_group_dupes AS (
      SELECT source_group_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_group" 
          GROUP BY "MD5" )
      AS source_group_counts
      WHERE source_group_counts."ctid_count" > 1 ),
  source_group_max AS (
      SELECT source_group."MD5", MAX(source_group."ctid") AS "ctid" 
      FROM {0}.source_group 
      WHERE {0}.source_group."MD5" IN (SELECT "MD5" FROM source_group_dupes)
      GROUP BY source_group."MD5" )
  DELETE FROM {0}.source_group
      WHERE EXISTS (
          SELECT 1 FROM source_group_dupes
          WHERE source_group_dupes."MD5"=source_group."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_group_max
          WHERE source_group_max."MD5"=source_group."MD5" 
            AND source_group_max."ctid"=source_group."ctid" );

WITH source_transportid_dupes AS (
      SELECT source_transportid_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."source_transportid" 
          GROUP BY "MD5" )
      AS source_transportid_counts
      WHERE source_transportid_counts."ctid_count" > 1 ),
  source_transportid_max AS (
      SELECT source_transportid."MD5", MAX(source_transportid."ctid") AS "ctid" 
      FROM {0}.source_transportid 
      WHERE {0}.source_transportid."MD5" IN (SELECT "MD5" FROM source_transportid_dupes)
      GROUP BY source_transportid."MD5" )
  DELETE FROM {0}.source_transportid
      WHERE EXISTS (
          SELECT 1 FROM source_transportid_dupes
          WHERE source_transportid_dupes."MD5"=source_transportid."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM source_transportid_max
          WHERE source_transportid_max."MD5"=source_transportid."MD5" 
            AND source_transportid_max."ctid"=source_transportid."ctid" );
