-- {0}: stage schema


WITH sport_dupes AS (
      SELECT sport_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sport" 
          GROUP BY "MD5" )
      AS sport_counts
      WHERE sport_counts."ctid_count" > 1 ),
  sport_max AS (
      SELECT sport."MD5", MAX(sport."ctid") AS "ctid" 
      FROM {0}.sport 
      WHERE {0}.sport."MD5" IN (SELECT "MD5" FROM sport_dupes)
      GROUP BY sport."MD5" )
  DELETE FROM {0}.sport
      WHERE EXISTS (
          SELECT 1 FROM sport_dupes
          WHERE sport_dupes."MD5"=sport."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sport_max
          WHERE sport_max."MD5"=sport."MD5" 
            AND sport_max."ctid"=sport."ctid" );

WITH sport_name_dupes AS (
      SELECT sport_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sport_name" 
          GROUP BY "MD5" )
      AS sport_name_counts
      WHERE sport_name_counts."ctid_count" > 1 ),
  sport_name_max AS (
      SELECT sport_name."MD5", MAX(sport_name."ctid") AS "ctid" 
      FROM {0}.sport_name 
      WHERE {0}.sport_name."MD5" IN (SELECT "MD5" FROM sport_name_dupes)
      GROUP BY sport_name."MD5" )
  DELETE FROM {0}.sport_name
      WHERE EXISTS (
          SELECT 1 FROM sport_name_dupes
          WHERE sport_name_dupes."MD5"=sport_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sport_name_max
          WHERE sport_name_max."MD5"=sport_name."MD5" 
            AND sport_name_max."ctid"=sport_name."ctid" );
