-- {0}: stage schema


WITH sportsevent_dupes AS (
      SELECT sportsevent_counts."gId" FROM (
          SELECT "gId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."sportsevent" 
          GROUP BY "gId" )
      AS sportsevent_counts
      WHERE sportsevent_counts."updateId_count" > 1 ),
  sportsevent_max AS (
      SELECT sportsevent."gId", MAX(sportsevent."updateId") AS "updateId" 
      FROM {0}.sportsevent 
      WHERE {0}.sportsevent."gId" IN (SELECT "gId" FROM sportsevent_dupes)
      GROUP BY sportsevent."gId" )
  DELETE FROM {0}.sportsevent
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_dupes
          WHERE sportsevent_dupes."gId"=sportsevent."gId" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_max
          WHERE sportsevent_max."gId"=sportsevent."gId" 
            AND sportsevent_max."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_name."gId"=sportsevent."gId"
            AND sportsevent_name."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_related WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_related."gId"=sportsevent."gId"
            AND sportsevent_related."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_asset."gId"=sportsevent."gId"
            AND sportsevent_asset."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_team WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_team."gId"=sportsevent."gId"
            AND sportsevent_team."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_conf WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_conf."gId"=sportsevent."gId"
            AND sportsevent_conf."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_conf_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_conf_name."gId"=sportsevent."gId"
            AND sportsevent_conf_name."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_conf_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_conf_asset."gId"=sportsevent."gId"
            AND sportsevent_conf_asset."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_div WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_div."gId"=sportsevent."gId"
            AND sportsevent_div."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_div_name WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_div_name."gId"=sportsevent."gId"
            AND sportsevent_div_name."updateId"=sportsevent."updateId" );

DELETE FROM {0}.sportsevent_div_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsevent 
        WHERE sportsevent_div_asset."gId"=sportsevent."gId"
            AND sportsevent_div_asset."updateId"=sportsevent."updateId" );
