-- {0}: stage schema


WITH sportsevent_dupes AS (
      SELECT sportsevent_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent" 
          GROUP BY "MD5" )
      AS sportsevent_counts
      WHERE sportsevent_counts."ctid_count" > 1 ),
  sportsevent_max AS (
      SELECT sportsevent."MD5", MAX(sportsevent."ctid") AS "ctid" 
      FROM {0}.sportsevent 
      WHERE {0}.sportsevent."MD5" IN (SELECT "MD5" FROM sportsevent_dupes)
      GROUP BY sportsevent."MD5" )
  DELETE FROM {0}.sportsevent
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_dupes
          WHERE sportsevent_dupes."MD5"=sportsevent."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_max
          WHERE sportsevent_max."MD5"=sportsevent."MD5" 
            AND sportsevent_max."ctid"=sportsevent."ctid" );

WITH sportsevent_name_dupes AS (
      SELECT sportsevent_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_name" 
          GROUP BY "MD5" )
      AS sportsevent_name_counts
      WHERE sportsevent_name_counts."ctid_count" > 1 ),
  sportsevent_name_max AS (
      SELECT sportsevent_name."MD5", MAX(sportsevent_name."ctid") AS "ctid" 
      FROM {0}.sportsevent_name 
      WHERE {0}.sportsevent_name."MD5" IN (SELECT "MD5" FROM sportsevent_name_dupes)
      GROUP BY sportsevent_name."MD5" )
  DELETE FROM {0}.sportsevent_name
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_name_dupes
          WHERE sportsevent_name_dupes."MD5"=sportsevent_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_name_max
          WHERE sportsevent_name_max."MD5"=sportsevent_name."MD5" 
            AND sportsevent_name_max."ctid"=sportsevent_name."ctid" );

WITH sportsevent_related_dupes AS (
      SELECT sportsevent_related_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_related" 
          GROUP BY "MD5" )
      AS sportsevent_related_counts
      WHERE sportsevent_related_counts."ctid_count" > 1 ),
  sportsevent_related_max AS (
      SELECT sportsevent_related."MD5", MAX(sportsevent_related."ctid") AS "ctid" 
      FROM {0}.sportsevent_related 
      WHERE {0}.sportsevent_related."MD5" IN (SELECT "MD5" FROM sportsevent_related_dupes)
      GROUP BY sportsevent_related."MD5" )
  DELETE FROM {0}.sportsevent_related
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_related_dupes
          WHERE sportsevent_related_dupes."MD5"=sportsevent_related."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_related_max
          WHERE sportsevent_related_max."MD5"=sportsevent_related."MD5" 
            AND sportsevent_related_max."ctid"=sportsevent_related."ctid" );

WITH sportsevent_asset_dupes AS (
      SELECT sportsevent_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_asset" 
          GROUP BY "MD5" )
      AS sportsevent_asset_counts
      WHERE sportsevent_asset_counts."ctid_count" > 1 ),
  sportsevent_asset_max AS (
      SELECT sportsevent_asset."MD5", MAX(sportsevent_asset."ctid") AS "ctid" 
      FROM {0}.sportsevent_asset 
      WHERE {0}.sportsevent_asset."MD5" IN (SELECT "MD5" FROM sportsevent_asset_dupes)
      GROUP BY sportsevent_asset."MD5" )
  DELETE FROM {0}.sportsevent_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_asset_dupes
          WHERE sportsevent_asset_dupes."MD5"=sportsevent_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_asset_max
          WHERE sportsevent_asset_max."MD5"=sportsevent_asset."MD5" 
            AND sportsevent_asset_max."ctid"=sportsevent_asset."ctid" );

WITH sportsevent_team_dupes AS (
      SELECT sportsevent_team_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_team" 
          GROUP BY "MD5" )
      AS sportsevent_team_counts
      WHERE sportsevent_team_counts."ctid_count" > 1 ),
  sportsevent_team_max AS (
      SELECT sportsevent_team."MD5", MAX(sportsevent_team."ctid") AS "ctid" 
      FROM {0}.sportsevent_team 
      WHERE {0}.sportsevent_team."MD5" IN (SELECT "MD5" FROM sportsevent_team_dupes)
      GROUP BY sportsevent_team."MD5" )
  DELETE FROM {0}.sportsevent_team
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_team_dupes
          WHERE sportsevent_team_dupes."MD5"=sportsevent_team."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_team_max
          WHERE sportsevent_team_max."MD5"=sportsevent_team."MD5" 
            AND sportsevent_team_max."ctid"=sportsevent_team."ctid" );

WITH sportsevent_conf_dupes AS (
      SELECT sportsevent_conf_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_conf" 
          GROUP BY "MD5" )
      AS sportsevent_conf_counts
      WHERE sportsevent_conf_counts."ctid_count" > 1 ),
  sportsevent_conf_max AS (
      SELECT sportsevent_conf."MD5", MAX(sportsevent_conf."ctid") AS "ctid" 
      FROM {0}.sportsevent_conf 
      WHERE {0}.sportsevent_conf."MD5" IN (SELECT "MD5" FROM sportsevent_conf_dupes)
      GROUP BY sportsevent_conf."MD5" )
  DELETE FROM {0}.sportsevent_conf
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_conf_dupes
          WHERE sportsevent_conf_dupes."MD5"=sportsevent_conf."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_conf_max
          WHERE sportsevent_conf_max."MD5"=sportsevent_conf."MD5" 
            AND sportsevent_conf_max."ctid"=sportsevent_conf."ctid" );

WITH sportsevent_conf_name_dupes AS (
      SELECT sportsevent_conf_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_conf_name" 
          GROUP BY "MD5" )
      AS sportsevent_conf_name_counts
      WHERE sportsevent_conf_name_counts."ctid_count" > 1 ),
  sportsevent_conf_name_max AS (
      SELECT sportsevent_conf_name."MD5", MAX(sportsevent_conf_name."ctid") AS "ctid" 
      FROM {0}.sportsevent_conf_name 
      WHERE {0}.sportsevent_conf_name."MD5" IN (SELECT "MD5" FROM sportsevent_conf_name_dupes)
      GROUP BY sportsevent_conf_name."MD5" )
  DELETE FROM {0}.sportsevent_conf_name
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_conf_name_dupes
          WHERE sportsevent_conf_name_dupes."MD5"=sportsevent_conf_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_conf_name_max
          WHERE sportsevent_conf_name_max."MD5"=sportsevent_conf_name."MD5" 
            AND sportsevent_conf_name_max."ctid"=sportsevent_conf_name."ctid" );

WITH sportsevent_conf_asset_dupes AS (
      SELECT sportsevent_conf_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_conf_asset" 
          GROUP BY "MD5" )
      AS sportsevent_conf_asset_counts
      WHERE sportsevent_conf_asset_counts."ctid_count" > 1 ),
  sportsevent_conf_asset_max AS (
      SELECT sportsevent_conf_asset."MD5", MAX(sportsevent_conf_asset."ctid") AS "ctid" 
      FROM {0}.sportsevent_conf_asset 
      WHERE {0}.sportsevent_conf_asset."MD5" IN (SELECT "MD5" FROM sportsevent_conf_asset_dupes)
      GROUP BY sportsevent_conf_asset."MD5" )
  DELETE FROM {0}.sportsevent_conf_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_conf_asset_dupes
          WHERE sportsevent_conf_asset_dupes."MD5"=sportsevent_conf_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_conf_asset_max
          WHERE sportsevent_conf_asset_max."MD5"=sportsevent_conf_asset."MD5" 
            AND sportsevent_conf_asset_max."ctid"=sportsevent_conf_asset."ctid" );

WITH sportsevent_div_dupes AS (
      SELECT sportsevent_div_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_div" 
          GROUP BY "MD5" )
      AS sportsevent_div_counts
      WHERE sportsevent_div_counts."ctid_count" > 1 ),
  sportsevent_div_max AS (
      SELECT sportsevent_div."MD5", MAX(sportsevent_div."ctid") AS "ctid" 
      FROM {0}.sportsevent_div 
      WHERE {0}.sportsevent_div."MD5" IN (SELECT "MD5" FROM sportsevent_div_dupes)
      GROUP BY sportsevent_div."MD5" )
  DELETE FROM {0}.sportsevent_div
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_div_dupes
          WHERE sportsevent_div_dupes."MD5"=sportsevent_div."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_div_max
          WHERE sportsevent_div_max."MD5"=sportsevent_div."MD5" 
            AND sportsevent_div_max."ctid"=sportsevent_div."ctid" );

WITH sportsevent_div_name_dupes AS (
      SELECT sportsevent_div_name_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_div_name" 
          GROUP BY "MD5" )
      AS sportsevent_div_name_counts
      WHERE sportsevent_div_name_counts."ctid_count" > 1 ),
  sportsevent_div_name_max AS (
      SELECT sportsevent_div_name."MD5", MAX(sportsevent_div_name."ctid") AS "ctid" 
      FROM {0}.sportsevent_div_name 
      WHERE {0}.sportsevent_div_name."MD5" IN (SELECT "MD5" FROM sportsevent_div_name_dupes)
      GROUP BY sportsevent_div_name."MD5" )
  DELETE FROM {0}.sportsevent_div_name
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_div_name_dupes
          WHERE sportsevent_div_name_dupes."MD5"=sportsevent_div_name."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_div_name_max
          WHERE sportsevent_div_name_max."MD5"=sportsevent_div_name."MD5" 
            AND sportsevent_div_name_max."ctid"=sportsevent_div_name."ctid" );

WITH sportsevent_div_asset_dupes AS (
      SELECT sportsevent_div_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsevent_div_asset" 
          GROUP BY "MD5" )
      AS sportsevent_div_asset_counts
      WHERE sportsevent_div_asset_counts."ctid_count" > 1 ),
  sportsevent_div_asset_max AS (
      SELECT sportsevent_div_asset."MD5", MAX(sportsevent_div_asset."ctid") AS "ctid" 
      FROM {0}.sportsevent_div_asset 
      WHERE {0}.sportsevent_div_asset."MD5" IN (SELECT "MD5" FROM sportsevent_div_asset_dupes)
      GROUP BY sportsevent_div_asset."MD5" )
  DELETE FROM {0}.sportsevent_div_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsevent_div_asset_dupes
          WHERE sportsevent_div_asset_dupes."MD5"=sportsevent_div_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsevent_div_asset_max
          WHERE sportsevent_div_asset_max."MD5"=sportsevent_div_asset."MD5" 
            AND sportsevent_div_asset_max."ctid"=sportsevent_div_asset."ctid" );
