-- {0}: stage schema


WITH sportsorg_dupes AS (
      SELECT sportsorg_counts."organizationId" FROM (
          SELECT "organizationId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."sportsorg" 
          GROUP BY "organizationId" )
      AS sportsorg_counts
      WHERE sportsorg_counts."updateId_count" > 1 ),
  sportsorg_max AS (
      SELECT sportsorg."organizationId", MAX(sportsorg."updateId") AS "updateId" 
      FROM {0}.sportsorg 
      WHERE {0}.sportsorg."organizationId" IN (SELECT "organizationId" FROM sportsorg_dupes)
      GROUP BY sportsorg."organizationId" )
  DELETE FROM {0}.sportsorg
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_dupes
          WHERE sportsorg_dupes."organizationId"=sportsorg."organizationId" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_max
          WHERE sportsorg_max."organizationId"=sportsorg."organizationId" 
            AND sportsorg_max."updateId"=sportsorg."updateId" );

DELETE FROM {0}.sportsorg_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsorg 
        WHERE sportsorg_asset."organizationId"=sportsorg."organizationId"
            AND sportsorg_asset."updateId"=sportsorg."updateId" );

DELETE FROM {0}.sportsorg_conf WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsorg 
        WHERE sportsorg_conf."organizationId"=sportsorg."organizationId"
            AND sportsorg_conf."updateId"=sportsorg."updateId" );

DELETE FROM {0}.sportsorg_conf_asset WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsorg 
        WHERE sportsorg_conf_asset."organizationId"=sportsorg."organizationId"
            AND sportsorg_conf_asset."updateId"=sportsorg."updateId" );

DELETE FROM {0}.sportsorg_div WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsorg 
        WHERE sportsorg_div."organizationId"=sportsorg."organizationId"
            AND sportsorg_div."updateId"=sportsorg."updateId" );

DELETE FROM {0}.sportsorg_teambrand WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsorg 
        WHERE sportsorg_teambrand."organizationId"=sportsorg."organizationId"
            AND sportsorg_teambrand."updateId"=sportsorg."updateId" );

DELETE FROM {0}.sportsorg_event WHERE NOT EXISTS (
    SELECT 1 FROM {0}.sportsorg 
        WHERE sportsorg_event."organizationId"=sportsorg."organizationId"
            AND sportsorg_event."updateId"=sportsorg."updateId" );
