-- {0}: stage schema


WITH sportsorg_dupes AS (
      SELECT sportsorg_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg" 
          GROUP BY "MD5" )
      AS sportsorg_counts
      WHERE sportsorg_counts."ctid_count" > 1 ),
  sportsorg_max AS (
      SELECT sportsorg."MD5", MAX(sportsorg."ctid") AS "ctid" 
      FROM {0}.sportsorg 
      WHERE {0}.sportsorg."MD5" IN (SELECT "MD5" FROM sportsorg_dupes)
      GROUP BY sportsorg."MD5" )
  DELETE FROM {0}.sportsorg
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_dupes
          WHERE sportsorg_dupes."MD5"=sportsorg."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_max
          WHERE sportsorg_max."MD5"=sportsorg."MD5" 
            AND sportsorg_max."ctid"=sportsorg."ctid" );

WITH sportsorg_asset_dupes AS (
      SELECT sportsorg_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg_asset" 
          GROUP BY "MD5" )
      AS sportsorg_asset_counts
      WHERE sportsorg_asset_counts."ctid_count" > 1 ),
  sportsorg_asset_max AS (
      SELECT sportsorg_asset."MD5", MAX(sportsorg_asset."ctid") AS "ctid" 
      FROM {0}.sportsorg_asset 
      WHERE {0}.sportsorg_asset."MD5" IN (SELECT "MD5" FROM sportsorg_asset_dupes)
      GROUP BY sportsorg_asset."MD5" )
  DELETE FROM {0}.sportsorg_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_asset_dupes
          WHERE sportsorg_asset_dupes."MD5"=sportsorg_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_asset_max
          WHERE sportsorg_asset_max."MD5"=sportsorg_asset."MD5" 
            AND sportsorg_asset_max."ctid"=sportsorg_asset."ctid" );

WITH sportsorg_conf_dupes AS (
      SELECT sportsorg_conf_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg_conf" 
          GROUP BY "MD5" )
      AS sportsorg_conf_counts
      WHERE sportsorg_conf_counts."ctid_count" > 1 ),
  sportsorg_conf_max AS (
      SELECT sportsorg_conf."MD5", MAX(sportsorg_conf."ctid") AS "ctid" 
      FROM {0}.sportsorg_conf 
      WHERE {0}.sportsorg_conf."MD5" IN (SELECT "MD5" FROM sportsorg_conf_dupes)
      GROUP BY sportsorg_conf."MD5" )
  DELETE FROM {0}.sportsorg_conf
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_conf_dupes
          WHERE sportsorg_conf_dupes."MD5"=sportsorg_conf."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_conf_max
          WHERE sportsorg_conf_max."MD5"=sportsorg_conf."MD5" 
            AND sportsorg_conf_max."ctid"=sportsorg_conf."ctid" );

WITH sportsorg_conf_asset_dupes AS (
      SELECT sportsorg_conf_asset_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg_conf_asset" 
          GROUP BY "MD5" )
      AS sportsorg_conf_asset_counts
      WHERE sportsorg_conf_asset_counts."ctid_count" > 1 ),
  sportsorg_conf_asset_max AS (
      SELECT sportsorg_conf_asset."MD5", MAX(sportsorg_conf_asset."ctid") AS "ctid" 
      FROM {0}.sportsorg_conf_asset 
      WHERE {0}.sportsorg_conf_asset."MD5" IN (SELECT "MD5" FROM sportsorg_conf_asset_dupes)
      GROUP BY sportsorg_conf_asset."MD5" )
  DELETE FROM {0}.sportsorg_conf_asset
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_conf_asset_dupes
          WHERE sportsorg_conf_asset_dupes."MD5"=sportsorg_conf_asset."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_conf_asset_max
          WHERE sportsorg_conf_asset_max."MD5"=sportsorg_conf_asset."MD5" 
            AND sportsorg_conf_asset_max."ctid"=sportsorg_conf_asset."ctid" );

WITH sportsorg_div_dupes AS (
      SELECT sportsorg_div_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg_div" 
          GROUP BY "MD5" )
      AS sportsorg_div_counts
      WHERE sportsorg_div_counts."ctid_count" > 1 ),
  sportsorg_div_max AS (
      SELECT sportsorg_div."MD5", MAX(sportsorg_div."ctid") AS "ctid" 
      FROM {0}.sportsorg_div 
      WHERE {0}.sportsorg_div."MD5" IN (SELECT "MD5" FROM sportsorg_div_dupes)
      GROUP BY sportsorg_div."MD5" )
  DELETE FROM {0}.sportsorg_div
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_div_dupes
          WHERE sportsorg_div_dupes."MD5"=sportsorg_div."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_div_max
          WHERE sportsorg_div_max."MD5"=sportsorg_div."MD5" 
            AND sportsorg_div_max."ctid"=sportsorg_div."ctid" );

WITH sportsorg_teambrand_dupes AS (
      SELECT sportsorg_teambrand_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg_teambrand" 
          GROUP BY "MD5" )
      AS sportsorg_teambrand_counts
      WHERE sportsorg_teambrand_counts."ctid_count" > 1 ),
  sportsorg_teambrand_max AS (
      SELECT sportsorg_teambrand."MD5", MAX(sportsorg_teambrand."ctid") AS "ctid" 
      FROM {0}.sportsorg_teambrand 
      WHERE {0}.sportsorg_teambrand."MD5" IN (SELECT "MD5" FROM sportsorg_teambrand_dupes)
      GROUP BY sportsorg_teambrand."MD5" )
  DELETE FROM {0}.sportsorg_teambrand
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_teambrand_dupes
          WHERE sportsorg_teambrand_dupes."MD5"=sportsorg_teambrand."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_teambrand_max
          WHERE sportsorg_teambrand_max."MD5"=sportsorg_teambrand."MD5" 
            AND sportsorg_teambrand_max."ctid"=sportsorg_teambrand."ctid" );

WITH sportsorg_event_dupes AS (
      SELECT sportsorg_event_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."sportsorg_event" 
          GROUP BY "MD5" )
      AS sportsorg_event_counts
      WHERE sportsorg_event_counts."ctid_count" > 1 ),
  sportsorg_event_max AS (
      SELECT sportsorg_event."MD5", MAX(sportsorg_event."ctid") AS "ctid" 
      FROM {0}.sportsorg_event 
      WHERE {0}.sportsorg_event."MD5" IN (SELECT "MD5" FROM sportsorg_event_dupes)
      GROUP BY sportsorg_event."MD5" )
  DELETE FROM {0}.sportsorg_event
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_event_dupes
          WHERE sportsorg_event_dupes."MD5"=sportsorg_event."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_event_max
          WHERE sportsorg_event_max."MD5"=sportsorg_event."MD5" 
            AND sportsorg_event_max."ctid"=sportsorg_event."ctid" );
