-- {0}: stage schema


WITH vdannotation_dupes AS (
      SELECT vdannotation_counts."TMSId" FROM (
          SELECT "TMSId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."vdannotation" 
          GROUP BY "TMSId" )
      AS vdannotation_counts
      WHERE vdannotation_counts."updateId_count" > 1 ),
  vdannotation_max AS (
      SELECT vdannotation."TMSId", MAX(vdannotation."updateId") AS "updateId" 
      FROM {0}.vdannotation 
      WHERE {0}.vdannotation."TMSId" IN (SELECT "TMSId" FROM vdannotation_dupes)
      GROUP BY vdannotation."TMSId" )
  DELETE FROM {0}.vdannotation
      WHERE EXISTS (
          SELECT 1 FROM vdannotation_dupes
          WHERE vdannotation_dupes."TMSId"=vdannotation."TMSId" )
      AND NOT EXISTS (
          SELECT 1 FROM vdannotation_max
          WHERE vdannotation_max."TMSId"=vdannotation."TMSId" 
            AND vdannotation_max."updateId"=vdannotation."updateId" );

DELETE FROM {0}.vdannotation_descriptor WHERE NOT EXISTS (
    SELECT 1 FROM {0}.vdannotation 
        WHERE vdannotation_descriptor."TMSId"=vdannotation."TMSId"
            AND vdannotation_descriptor."updateId"=vdannotation."updateId" );
