-- {0}: stage schema


WITH vdannotation_dupes AS (
      SELECT vdannotation_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."vdannotation" 
          GROUP BY "MD5" )
      AS vdannotation_counts
      WHERE vdannotation_counts."ctid_count" > 1 ),
  vdannotation_max AS (
      SELECT vdannotation."MD5", MAX(vdannotation."ctid") AS "ctid" 
      FROM {0}.vdannotation 
      WHERE {0}.vdannotation."MD5" IN (SELECT "MD5" FROM vdannotation_dupes)
      GROUP BY vdannotation."MD5" )
  DELETE FROM {0}.vdannotation
      WHERE EXISTS (
          SELECT 1 FROM vdannotation_dupes
          WHERE vdannotation_dupes."MD5"=vdannotation."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM vdannotation_max
          WHERE vdannotation_max."MD5"=vdannotation."MD5" 
            AND vdannotation_max."ctid"=vdannotation."ctid" );

WITH vdannotation_descriptor_dupes AS (
      SELECT vdannotation_descriptor_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."vdannotation_descriptor" 
          GROUP BY "MD5" )
      AS vdannotation_descriptor_counts
      WHERE vdannotation_descriptor_counts."ctid_count" > 1 ),
  vdannotation_descriptor_max AS (
      SELECT vdannotation_descriptor."MD5", MAX(vdannotation_descriptor."ctid") AS "ctid" 
      FROM {0}.vdannotation_descriptor 
      WHERE {0}.vdannotation_descriptor."MD5" IN (SELECT "MD5" FROM vdannotation_descriptor_dupes)
      GROUP BY vdannotation_descriptor."MD5" )
  DELETE FROM {0}.vdannotation_descriptor
      WHERE EXISTS (
          SELECT 1 FROM vdannotation_descriptor_dupes
          WHERE vdannotation_descriptor_dupes."MD5"=vdannotation_descriptor."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM vdannotation_descriptor_max
          WHERE vdannotation_descriptor_max."MD5"=vdannotation_descriptor."MD5" 
            AND vdannotation_descriptor_max."ctid"=vdannotation_descriptor."ctid" );
