-- {0}: stage schema


WITH venue_dupes AS (
      SELECT venue_counts."venueId" FROM (
          SELECT "venueId", COUNT(DISTINCT "updateId") AS "updateId_count" 
          FROM {0}."venue" 
          GROUP BY "venueId" )
      AS venue_counts
      WHERE venue_counts."updateId_count" > 1 ),
  venue_max AS (
      SELECT venue."venueId", MAX(venue."updateId") AS "updateId" 
      FROM {0}.venue 
      WHERE {0}.venue."venueId" IN (SELECT "venueId" FROM venue_dupes)
      GROUP BY venue."venueId" )
  DELETE FROM {0}.venue
      WHERE EXISTS (
          SELECT 1 FROM venue_dupes
          WHERE venue_dupes."venueId"=venue."venueId" )
      AND NOT EXISTS (
          SELECT 1 FROM venue_max
          WHERE venue_max."venueId"=venue."venueId" 
            AND venue_max."updateId"=venue."updateId" );
