-- {0}: stage schema


WITH venue_dupes AS (
      SELECT venue_counts."MD5" FROM (
          SELECT "MD5", COUNT(DISTINCT "ctid") AS "ctid_count" 
          FROM {0}."venue" 
          GROUP BY "MD5" )
      AS venue_counts
      WHERE venue_counts."ctid_count" > 1 ),
  venue_max AS (
      SELECT venue."MD5", MAX(venue."ctid") AS "ctid" 
      FROM {0}.venue 
      WHERE {0}.venue."MD5" IN (SELECT "MD5" FROM venue_dupes)
      GROUP BY venue."MD5" )
  DELETE FROM {0}.venue
      WHERE EXISTS (
          SELECT 1 FROM venue_dupes
          WHERE venue_dupes."MD5"=venue."MD5" )
      AND NOT EXISTS (
          SELECT 1 FROM venue_max
          WHERE venue_max."MD5"=venue."MD5" 
            AND venue_max."ctid"=venue."ctid" );
