-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_celebrity AS SELECT * FROM {0}.celebrity 
  WHERE 1=1 
    AND {0}.celebrity."batchUpdateOrd" > {2} 
    AND {0}.celebrity."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_celebrity_id ON tmp_celebrity("personId");

DELETE FROM {1}.celebrity_enhancedaward WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_socialmedia WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_highlight WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_quote WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_note WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_milestone WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_education WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_relationshipevent WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_relationship WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_biography WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_participanttype WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_mediography_credit WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_mediography WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_asset WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_award WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_name WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);

UPDATE {1}.celebrity AS core SET ("updateId","updateDate","deleted","type","gender","nationality","ethnicity","birthName","birthPlace","birthDate","deathDate","deathPlace","deathCause","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."type",t."gender",t."nationality",t."ethnicity",t."birthName",t."birthPlace",t."birthDate",t."deathDate",t."deathPlace",t."deathCause",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_celebrity t WHERE t."personId"=core."personId";

INSERT INTO {1}.celebrity_name SELECT * FROM {0}.celebrity_name WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_award SELECT * FROM {0}.celebrity_award WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_asset SELECT * FROM {0}.celebrity_asset WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_mediography SELECT * FROM {0}.celebrity_mediography WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_mediography_credit SELECT * FROM {0}.celebrity_mediography_credit WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_participanttype SELECT * FROM {0}.celebrity_participanttype WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_biography SELECT * FROM {0}.celebrity_biography WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_relationship SELECT * FROM {0}.celebrity_relationship WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_relationshipevent SELECT * FROM {0}.celebrity_relationshipevent WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_education SELECT * FROM {0}.celebrity_education WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_milestone SELECT * FROM {0}.celebrity_milestone WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_note SELECT * FROM {0}.celebrity_note WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_quote SELECT * FROM {0}.celebrity_quote WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_highlight SELECT * FROM {0}.celebrity_highlight WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_socialmedia SELECT * FROM {0}.celebrity_socialmedia WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
INSERT INTO {1}.celebrity_enhancedaward SELECT * FROM {0}.celebrity_enhancedaward WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
