-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_mapping AS SELECT * FROM {0}.mapping 
  WHERE 1=1 
    AND {0}.mapping."batchUpdateOrd" > {2} 
    AND {0}.mapping."batchUpdateOrd" <= {3}
    AND ( {0}.mapping."deleted" IS NULL OR 
          {0}.mapping."deleted" != {4} )
;

CREATE INDEX idx_tmp_mapping_id ON tmp_mapping("mappingId");

DELETE FROM {1}.mapping_link WHERE "mappingId" IN (SELECT "mappingId" FROM tmp_mapping);
DELETE FROM {1}.mapping_id WHERE "mappingId" IN (SELECT "mappingId" FROM tmp_mapping);

UPDATE {1}.mapping AS core SET ("updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."creationDate",t."status",t."catalogName",t."avail_start",t."avail_end",t."message_reason",t."message_detail",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_mapping t WHERE t."mappingId"=core."mappingId";

INSERT INTO {1}.mapping_id SELECT * FROM {0}.mapping_id WHERE "mappingId" IN (SELECT "mappingId" FROM tmp_mapping);
INSERT INTO {1}.mapping_link SELECT * FROM {0}.mapping_link WHERE "mappingId" IN (SELECT "mappingId" FROM tmp_mapping);


CREATE TEMP TABLE tmp_mapping_del AS SELECT * FROM {0}.mapping 
  WHERE 1=1 
    AND {0}.mapping."batchUpdateOrd" > {2} 
    AND {0}.mapping."batchUpdateOrd" <= {3} 
    AND {0}.mapping."deleted" = {4} 
;
UPDATE {1}.mapping AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_mapping_del t WHERE t."mappingId"=core."mappingId" 
;
UPDATE {1}.mapping_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_mapping_del t WHERE t."mappingId"=core."mappingId" 
;


UPDATE {1}.mapping_link AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_mapping_del t WHERE t."mappingId"=core."mappingId" 
;

