-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_popularity AS SELECT * FROM {0}.popularity 
  WHERE 1=1 
    AND {0}.popularity."batchUpdateOrd" > {2} 
    AND {0}.popularity."batchUpdateOrd" <= {3}
    AND ( {0}.popularity."deleted" IS NULL OR 
          {0}.popularity."deleted" != {4} )
;

CREATE INDEX idx_tmp_popularity_id ON tmp_popularity("popularityId");


UPDATE {1}.popularity AS core SET ("updateId","updateDate","deleted","country","rootId","score","scoreDate","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."country",t."rootId",t."score",t."scoreDate",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_popularity t WHERE t."popularityId"=core."popularityId";



CREATE TEMP TABLE tmp_popularity_del AS SELECT * FROM {0}.popularity 
  WHERE 1=1 
    AND {0}.popularity."batchUpdateOrd" > {2} 
    AND {0}.popularity."batchUpdateOrd" <= {3} 
    AND {0}.popularity."deleted" = {4} 
;
UPDATE {1}.popularity AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_popularity_del t WHERE t."popularityId"=core."popularityId" 
;