-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_program AS SELECT * FROM {0}.program 
  WHERE 1=1 
    AND {0}.program."batchUpdateOrd" > {2} 
    AND {0}.program."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_program_id ON tmp_program("TMSId");

DELETE FROM {1}.program_origaudiolang WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_descriptor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_externallink WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_relationship WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_release_distributor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_release_attribute WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_release WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_asset_id WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_asset WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_spdata_event WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_spdata WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_spevent WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_spteam WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_spinfo WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_epinfo_alt WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_epinfo WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_mvtrailer WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_mvinfo WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_ratingadvisory WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_qualityrating WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_rating WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_genre WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_award WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_country WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_crew WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_cast WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_description WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_title WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
DELETE FROM {1}.program_season WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);

UPDATE {1}.program AS core SET ("updateId","updateDate","deleted","inactive","rootId","versionId","connectorId","seasonId","seriesId","title_lang","desc_lang","title_subType","runTime","progType","subType","holiday","holidayId","origAirDate","colorCode","versionLabel","animation","origAudioLang","sourceType","origNetwork","origNetwork_prgSvcId","lastOrigNetwork","lastOrigNetwork_prgSvcId","seriesPremiere","seriesFinale","showcard","officialURL","partNumber","totalParts","duration","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."inactive",t."rootId",t."versionId",t."connectorId",t."seasonId",t."seriesId",t."title_lang",t."desc_lang",t."title_subType",t."runTime",t."progType",t."subType",t."holiday",t."holidayId",t."origAirDate",t."colorCode",t."versionLabel",t."animation",t."origAudioLang",t."sourceType",t."origNetwork",t."origNetwork_prgSvcId",t."lastOrigNetwork",t."lastOrigNetwork_prgSvcId",t."seriesPremiere",t."seriesFinale",t."showcard",t."officialURL",t."partNumber",t."totalParts",t."duration",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_program t WHERE t."TMSId"=core."TMSId";

INSERT INTO {1}.program_season SELECT * FROM {0}.program_season WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_title SELECT * FROM {0}.program_title WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_description SELECT * FROM {0}.program_description WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_cast SELECT * FROM {0}.program_cast WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_crew SELECT * FROM {0}.program_crew WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_country SELECT * FROM {0}.program_country WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_award SELECT * FROM {0}.program_award WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_genre SELECT * FROM {0}.program_genre WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_rating SELECT * FROM {0}.program_rating WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_qualityrating SELECT * FROM {0}.program_qualityrating WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_ratingadvisory SELECT * FROM {0}.program_ratingadvisory WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_mvinfo SELECT * FROM {0}.program_mvinfo WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_mvtrailer SELECT * FROM {0}.program_mvtrailer WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_epinfo SELECT * FROM {0}.program_epinfo WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_epinfo_alt SELECT * FROM {0}.program_epinfo_alt WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_spinfo SELECT * FROM {0}.program_spinfo WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_spteam SELECT * FROM {0}.program_spteam WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_spevent SELECT * FROM {0}.program_spevent WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_spdata SELECT * FROM {0}.program_spdata WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_spdata_event SELECT * FROM {0}.program_spdata_event WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_asset SELECT * FROM {0}.program_asset WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_asset_id SELECT * FROM {0}.program_asset_id WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_release SELECT * FROM {0}.program_release WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_release_attribute SELECT * FROM {0}.program_release_attribute WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_release_distributor SELECT * FROM {0}.program_release_distributor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_relationship SELECT * FROM {0}.program_relationship WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_externallink SELECT * FROM {0}.program_externallink WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_descriptor SELECT * FROM {0}.program_descriptor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
INSERT INTO {1}.program_origaudiolang SELECT * FROM {0}.program_origaudiolang WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_program);
