-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_source AS SELECT * FROM {0}.source 
  WHERE 1=1 
    AND {0}.source."batchUpdateOrd" > {2} 
    AND {0}.source."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_source_id ON tmp_source("prgSvcId");

DELETE FROM {1}.source_transportid WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_group WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_genre WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_marketid WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_asset WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_affiliate WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_relationship WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_bcastlang WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_edlang WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_attribute WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_altname WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
DELETE FROM {1}.source_country WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);

UPDATE {1}.source AS core SET ("updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."inactive",t."name",t."callSign",t."num",t."majorNum",t."minorNum",t."city",t."state",t."postalCode",t."country",t."type",t."status",t."statusId",t."reach",t."signalType",t."videoType",t."truResolution",t."enhancedCallSign",t."cityOfLicense",t."timeZone",t."ianaTimeZone",t."URL",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_source t WHERE t."prgSvcId"=core."prgSvcId";

INSERT INTO {1}.source_country SELECT * FROM {0}.source_country WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_altname SELECT * FROM {0}.source_altname WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_attribute SELECT * FROM {0}.source_attribute WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_edlang SELECT * FROM {0}.source_edlang WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_bcastlang SELECT * FROM {0}.source_bcastlang WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_relationship SELECT * FROM {0}.source_relationship WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_affiliate SELECT * FROM {0}.source_affiliate WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_asset SELECT * FROM {0}.source_asset WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_marketid SELECT * FROM {0}.source_marketid WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_genre SELECT * FROM {0}.source_genre WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_group SELECT * FROM {0}.source_group WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
INSERT INTO {1}.source_transportid SELECT * FROM {0}.source_transportid WHERE "prgSvcId" IN (SELECT "prgSvcId" FROM tmp_source);
