-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_sourceprogram AS SELECT * FROM {0}.sourceprogram 
  WHERE 1=1 
    AND {0}.sourceprogram."batchUpdateOrd" > {2} 
    AND {0}.sourceprogram."batchUpdateOrd" <= {3}
    AND ( {0}.sourceprogram."deleted" IS NULL OR 
          {0}.sourceprogram."deleted" != {4} )
;

CREATE INDEX idx_tmp_sourceprogram_id ON tmp_sourceprogram("gnidsId");

DELETE FROM {1}.sourceprogram_xid WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_tag WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_extattr WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_id WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_xid WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_tag WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_extattr WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_id WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_crew WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_cast WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_desc WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_title WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_epinfo WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_mvinfo WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_rating_advisory WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_rating WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_genre WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_country WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_crew WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_cast WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_description WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_title WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_versionlabel WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_label WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);

UPDATE {1}.sourceprogram AS core SET ("updateId","updateDate","deleted","TMSId","desc_lang","progType","subType","sourceDataProviderId","sourceDataProviderName","origNetwork","targetAudience","productionStatus","releaseDate","yearOfRelease","partNumber","version_yearOfRelease","version_releaseDate","version_colorCode","version_duration","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."TMSId",t."desc_lang",t."progType",t."subType",t."sourceDataProviderId",t."sourceDataProviderName",t."origNetwork",t."targetAudience",t."productionStatus",t."releaseDate",t."yearOfRelease",t."partNumber",t."version_yearOfRelease",t."version_releaseDate",t."version_colorCode",t."version_duration",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_sourceprogram t WHERE t."gnidsId"=core."gnidsId";

INSERT INTO {1}.sourceprogram_label SELECT * FROM {0}.sourceprogram_label WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_versionlabel SELECT * FROM {0}.sourceprogram_versionlabel WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_catalog SELECT * FROM {0}.sourceprogram_catalog WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_catalog_language SELECT * FROM {0}.sourceprogram_catalog_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_catalog_market SELECT * FROM {0}.sourceprogram_catalog_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_title SELECT * FROM {0}.sourceprogram_title WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_description SELECT * FROM {0}.sourceprogram_description WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_cast SELECT * FROM {0}.sourceprogram_cast WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_crew SELECT * FROM {0}.sourceprogram_crew WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_country SELECT * FROM {0}.sourceprogram_country WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_genre SELECT * FROM {0}.sourceprogram_genre WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_rating SELECT * FROM {0}.sourceprogram_rating WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_rating_advisory SELECT * FROM {0}.sourceprogram_rating_advisory WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_mvinfo SELECT * FROM {0}.sourceprogram_mvinfo WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_epinfo SELECT * FROM {0}.sourceprogram_epinfo WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season SELECT * FROM {0}.sourceprogram_season WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_title SELECT * FROM {0}.sourceprogram_season_title WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_desc SELECT * FROM {0}.sourceprogram_season_desc WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_cast SELECT * FROM {0}.sourceprogram_season_cast WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_crew SELECT * FROM {0}.sourceprogram_season_crew WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset SELECT * FROM {0}.sourceprogram_season_asset WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_id SELECT * FROM {0}.sourceprogram_season_asset_id WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_language SELECT * FROM {0}.sourceprogram_season_asset_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_market SELECT * FROM {0}.sourceprogram_season_asset_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_extattr SELECT * FROM {0}.sourceprogram_season_asset_extattr WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_asset_tag SELECT * FROM {0}.sourceprogram_season_asset_tag WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_season_xid SELECT * FROM {0}.sourceprogram_season_xid WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset SELECT * FROM {0}.sourceprogram_asset WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_id SELECT * FROM {0}.sourceprogram_asset_id WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_language SELECT * FROM {0}.sourceprogram_asset_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_market SELECT * FROM {0}.sourceprogram_asset_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_extattr SELECT * FROM {0}.sourceprogram_asset_extattr WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_asset_tag SELECT * FROM {0}.sourceprogram_asset_tag WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
INSERT INTO {1}.sourceprogram_xid SELECT * FROM {0}.sourceprogram_xid WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);


CREATE TEMP TABLE tmp_sourceprogram_del AS SELECT * FROM {0}.sourceprogram 
  WHERE 1=1 
    AND {0}.sourceprogram."batchUpdateOrd" > {2} 
    AND {0}.sourceprogram."batchUpdateOrd" <= {3} 
    AND {0}.sourceprogram."deleted" = {4} 
;
UPDATE {1}.sourceprogram AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;
UPDATE {1}.sourceprogram_label AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_versionlabel AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_catalog AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_catalog_language AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_catalog_market AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_title AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_description AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_cast AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_crew AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_country AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_genre AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_rating AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_rating_advisory AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_mvinfo AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_epinfo AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_title AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_desc AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_cast AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_crew AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_asset_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_asset_language AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_asset_market AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_asset_extattr AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_asset_tag AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_season_xid AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_asset_id AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_asset_language AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_asset_market AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_asset_extattr AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_asset_tag AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;


UPDATE {1}.sourceprogram_xid AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sourceprogram_del t WHERE t."gnidsId"=core."gnidsId" 
;

