-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_sport AS SELECT * FROM {0}.sport 
  WHERE 1=1 
    AND {0}.sport."None" > {2} 
    AND {0}.sport."None" <= {3}
    AND ( {0}.sport."deleted" IS NULL OR 
          {0}.sport."deleted" != {4} )
;

CREATE INDEX idx_tmp_sport_id ON tmp_sport("sportGId");

DELETE FROM {1}.sport_name WHERE "sportGId" IN (SELECT "sportGId" FROM tmp_sport);

UPDATE {1}.sport AS core SET ("updateId","updateDate","deleted","name_default","MD5","ingestId")=
    (t."updateId",t."updateDate",t."deleted",t."name_default",t."MD5",t."ingestId")
  FROM tmp_sport t WHERE t."sportGId"=core."sportGId";

INSERT INTO {1}.sport_name SELECT * FROM {0}.sport_name WHERE "sportGId" IN (SELECT "sportGId" FROM tmp_sport);


CREATE TEMP TABLE tmp_sport_del AS SELECT * FROM {0}.sport 
  WHERE 1=1 
    AND {0}.sport."None" > {2} 
    AND {0}.sport."None" <= {3} 
    AND {0}.sport."deleted" = {4} 
;
UPDATE {1}.sport AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_sport_del t WHERE t."sportGId"=core."sportGId" 
;
UPDATE {1}.sport_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sport_del t WHERE t."sportGId"=core."sportGId" 
;

