-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_sportsconf AS SELECT * FROM {0}.sportsconf 
  WHERE 1=1 
    AND {0}.sportsconf."batchUpdateOrd" > {2} 
    AND {0}.sportsconf."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_sportsconf_id ON tmp_sportsconf("conferenceId");

DELETE FROM {1}.sportsconf_asset WHERE "conferenceId" IN (SELECT "conferenceId" FROM tmp_sportsconf);

UPDATE {1}.sportsconf AS core SET ("updateId","updateDate","name","abbreviation","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."name",t."abbreviation",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_sportsconf t WHERE t."conferenceId"=core."conferenceId";

INSERT INTO {1}.sportsconf_asset SELECT * FROM {0}.sportsconf_asset WHERE "conferenceId" IN (SELECT "conferenceId" FROM tmp_sportsconf);

