-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_sportsevent AS SELECT * FROM {0}.sportsevent 
  WHERE 1=1 
    AND {0}.sportsevent."batchUpdateOrd" > {2} 
    AND {0}.sportsevent."batchUpdateOrd" <= {3}
    AND ( {0}.sportsevent."deleted" IS NULL OR 
          {0}.sportsevent."deleted" != {4} )
;

CREATE INDEX idx_tmp_sportsevent_id ON tmp_sportsevent("gId");

DELETE FROM {1}.sportsevent_div_asset WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_div_name WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_div WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_conf_asset WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_conf_name WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_conf WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_team WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_asset WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_related WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
DELETE FROM {1}.sportsevent_name WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);

UPDATE {1}.sportsevent AS core SET ("updateId","updateDate","deleted","type","typeDetail","name_default","names_lang","sportGId","gender","season","seasonGId","venueGId","league_nationalityGId","leagueSeason_isCurrent","leagueSeason_startDateLocal","leagueSeason_endDateLocal","match_scheduleStatus","match_resultStatus","match_participantType","match_homeParticipant","match_awayParticipant","match_scheduledStartTimeUTC","match_scheduledEndTimeUTC","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."type",t."typeDetail",t."name_default",t."names_lang",t."sportGId",t."gender",t."season",t."seasonGId",t."venueGId",t."league_nationalityGId",t."leagueSeason_isCurrent",t."leagueSeason_startDateLocal",t."leagueSeason_endDateLocal",t."match_scheduleStatus",t."match_resultStatus",t."match_participantType",t."match_homeParticipant",t."match_awayParticipant",t."match_scheduledStartTimeUTC",t."match_scheduledEndTimeUTC",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_sportsevent t WHERE t."gId"=core."gId";

INSERT INTO {1}.sportsevent_name SELECT * FROM {0}.sportsevent_name WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_related SELECT * FROM {0}.sportsevent_related WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_asset SELECT * FROM {0}.sportsevent_asset WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_team SELECT * FROM {0}.sportsevent_team WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_conf SELECT * FROM {0}.sportsevent_conf WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_conf_name SELECT * FROM {0}.sportsevent_conf_name WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_conf_asset SELECT * FROM {0}.sportsevent_conf_asset WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_div SELECT * FROM {0}.sportsevent_div WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_div_name SELECT * FROM {0}.sportsevent_div_name WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);
INSERT INTO {1}.sportsevent_div_asset SELECT * FROM {0}.sportsevent_div_asset WHERE "gId" IN (SELECT "gId" FROM tmp_sportsevent);


CREATE TEMP TABLE tmp_sportsevent_del AS SELECT * FROM {0}.sportsevent 
  WHERE 1=1 
    AND {0}.sportsevent."batchUpdateOrd" > {2} 
    AND {0}.sportsevent."batchUpdateOrd" <= {3} 
    AND {0}.sportsevent."deleted" = {4} 
;
UPDATE {1}.sportsevent AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;
UPDATE {1}.sportsevent_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_related AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_team AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_conf AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_conf_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_conf_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_div AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_div_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;


UPDATE {1}.sportsevent_div_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_sportsevent_del t WHERE t."gId"=core."gId" 
;

