-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_team AS SELECT * FROM {0}.team 
  WHERE 1=1 
    AND {0}.team."batchUpdateOrd" > {2} 
    AND {0}.team."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_team_id ON tmp_team("teamId");

DELETE FROM {1}.team_genre WHERE "teamId" IN (SELECT "teamId" FROM tmp_team);

UPDATE {1}.team AS core SET ("updateId","updateDate","deleted","teamGId","type","class","color_primary","color_secondary","gender","country","genreId","sportGId","venueId","venueGId","universityId","universityGId","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."teamGId",t."type",t."class",t."color_primary",t."color_secondary",t."gender",t."country",t."genreId",t."sportGId",t."venueId",t."venueGId",t."universityId",t."universityGId",t."address_city",t."address_state",t."address_country",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_team t WHERE t."teamId"=core."teamId";

INSERT INTO {1}.team_genre SELECT * FROM {0}.team_genre WHERE "teamId" IN (SELECT "teamId" FROM tmp_team);
