-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_university AS SELECT * FROM {0}.university 
  WHERE 1=1 
    AND {0}.university."batchUpdateOrd" > {2} 
    AND {0}.university."batchUpdateOrd" <= {3}
    AND ( {0}.university."deleted" IS NULL OR 
          {0}.university."deleted" != {4} )
;

CREATE INDEX idx_tmp_university_id ON tmp_university("universityId");

DELETE FROM {1}.university_asset WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);
DELETE FROM {1}.university_name WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);

UPDATE {1}.university AS core SET ("updateId","updateDate","deleted","universityGId","name","names_lang","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."universityGId",t."name",t."names_lang",t."address_city",t."address_state",t."address_country",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_university t WHERE t."universityId"=core."universityId";

INSERT INTO {1}.university_name SELECT * FROM {0}.university_name WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);
INSERT INTO {1}.university_asset SELECT * FROM {0}.university_asset WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);


CREATE TEMP TABLE tmp_university_del AS SELECT * FROM {0}.university 
  WHERE 1=1 
    AND {0}.university."batchUpdateOrd" > {2} 
    AND {0}.university."batchUpdateOrd" <= {3} 
    AND {0}.university."deleted" = {4} 
;
UPDATE {1}.university AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_university_del t WHERE t."universityId"=core."universityId" 
;
UPDATE {1}.university_name AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_university_del t WHERE t."universityId"=core."universityId" 
;


UPDATE {1}.university_asset AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_university_del t WHERE t."universityId"=core."universityId" 
;

