-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_university AS SELECT * FROM {0}.university 
  WHERE 1=1 
    AND {0}.university."batchUpdateOrd" > {2} 
    AND {0}.university."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_university_id ON tmp_university("universityId");

DELETE FROM {1}.university_asset WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);
DELETE FROM {1}.university_name WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);

UPDATE {1}.university AS core SET ("updateId","updateDate","deleted","universityGId","name","names_lang","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."universityGId",t."name",t."names_lang",t."address_city",t."address_state",t."address_country",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_university t WHERE t."universityId"=core."universityId";

INSERT INTO {1}.university_name SELECT * FROM {0}.university_name WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);
INSERT INTO {1}.university_asset SELECT * FROM {0}.university_asset WHERE "universityId" IN (SELECT "universityId" FROM tmp_university);
