-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_vdannotation AS SELECT * FROM {0}.vdannotation 
  WHERE 1=1 
    AND {0}.vdannotation."batchUpdateOrd" > {2} 
    AND {0}.vdannotation."batchUpdateOrd" <= {3}
    AND ( {0}.vdannotation."deleted" IS NULL OR 
          {0}.vdannotation."deleted" != {4} )
;

CREATE INDEX idx_tmp_vdannotation_id ON tmp_vdannotation("TMSId");

DELETE FROM {1}.vdannotation_descriptor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_vdannotation);

UPDATE {1}.vdannotation AS core SET ("updateId","updateDate","deleted","rootId","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."rootId",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_vdannotation t WHERE t."TMSId"=core."TMSId";

INSERT INTO {1}.vdannotation_descriptor SELECT * FROM {0}.vdannotation_descriptor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_vdannotation);


CREATE TEMP TABLE tmp_vdannotation_del AS SELECT * FROM {0}.vdannotation 
  WHERE 1=1 
    AND {0}.vdannotation."batchUpdateOrd" > {2} 
    AND {0}.vdannotation."batchUpdateOrd" <= {3} 
    AND {0}.vdannotation."deleted" = {4} 
;
UPDATE {1}.vdannotation AS core SET ("deleted","ingestId","updateId","updateDate")= 
    (t."deleted",t."ingestId",t."updateId",t."updateDate")
  FROM tmp_vdannotation_del t WHERE t."TMSId"=core."TMSId" 
;
UPDATE {1}.vdannotation_descriptor AS core SET ("ingestId","updateId")= 
    (t."ingestId",t."updateId")
  FROM tmp_vdannotation_del t WHERE t."TMSId"=core."TMSId" 
;

