-- {0}: core schema
-- {1}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS core;

-- Delete INACTIVE source entities
CREATE TABLE temp.source AS SELECT prgSvcId FROM core.source WHERE core.source.inactive = {1};
CREATE INDEX temp.idx_source_id ON source(prgSvcId);

DELETE FROM core.source_transportid WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_transportid.prgSvcId);
DELETE FROM core.source_group WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_group.prgSvcId);
DELETE FROM core.source_genre WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_genre.prgSvcId);
DELETE FROM core.source_marketid WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_marketid.prgSvcId);
DELETE FROM core.source_asset WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_asset.prgSvcId);
DELETE FROM core.source_affiliate WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_affiliate.prgSvcId);
DELETE FROM core.source_relationship WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_relationship.prgSvcId);
DELETE FROM core.source_bcastlang WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_bcastlang.prgSvcId);
DELETE FROM core.source_edlang WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_edlang.prgSvcId);
DELETE FROM core.source_attribute WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_attribute.prgSvcId);
DELETE FROM core.source_altname WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_altname.prgSvcId);
DELETE FROM core.source_country WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source_country.prgSvcId);
DELETE FROM core.source WHERE core.source.inactive = {1};

-- Delete INACTIVE season entities
CREATE TABLE temp.season AS SELECT seasonTMSId FROM core.season WHERE core.season.inactive = {1};
CREATE INDEX temp.idx_season_id ON season(seasonTMSId);

DELETE FROM core.season_asset_id WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season_asset_id.seasonTMSId);
DELETE FROM core.season_asset WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season_asset.seasonTMSId);
DELETE FROM core.season_crew WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season_crew.seasonTMSId);
DELETE FROM core.season_cast WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season_cast.seasonTMSId);
DELETE FROM core.season_description WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season_description.seasonTMSId);
DELETE FROM core.season_title WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season_title.seasonTMSId);
DELETE FROM core.season WHERE core.season.inactive = {1};

-- Delete INACTIVE program entities
CREATE TABLE temp.program AS SELECT TMSId FROM core.program WHERE core.program.inactive = {1};
CREATE INDEX temp.idx_program_id ON program(TMSId);

DELETE FROM core.program_origaudiolang WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_origaudiolang.TMSId);
DELETE FROM core.program_descriptor WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_descriptor.TMSId);
DELETE FROM core.program_externallink WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_externallink.TMSId);
DELETE FROM core.program_relationship WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_relationship.TMSId);
DELETE FROM core.program_release_distributor WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_release_distributor.TMSId);
DELETE FROM core.program_release_attribute WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_release_attribute.TMSId);
DELETE FROM core.program_release WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_release.TMSId);
DELETE FROM core.program_asset_id WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_asset_id.TMSId);
DELETE FROM core.program_asset WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_asset.TMSId);
DELETE FROM core.program_spdata_event WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_spdata_event.TMSId);
DELETE FROM core.program_spdata WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_spdata.TMSId);
DELETE FROM core.program_spevent WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_spevent.TMSId);
DELETE FROM core.program_spteam WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_spteam.TMSId);
DELETE FROM core.program_spinfo WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_spinfo.TMSId);
DELETE FROM core.program_epinfo_alt WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_epinfo_alt.TMSId);
DELETE FROM core.program_epinfo WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_epinfo.TMSId);
DELETE FROM core.program_mvtrailer WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_mvtrailer.TMSId);
DELETE FROM core.program_mvinfo WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_mvinfo.TMSId);
DELETE FROM core.program_ratingadvisory WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_ratingadvisory.TMSId);
DELETE FROM core.program_qualityrating WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_qualityrating.TMSId);
DELETE FROM core.program_rating WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_rating.TMSId);
DELETE FROM core.program_genre WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_genre.TMSId);
DELETE FROM core.program_award WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_award.TMSId);
DELETE FROM core.program_country WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_country.TMSId);
DELETE FROM core.program_crew WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_crew.TMSId);
DELETE FROM core.program_cast WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_cast.TMSId);
DELETE FROM core.program_description WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_description.TMSId);
DELETE FROM core.program_title WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_title.TMSId);
DELETE FROM core.program_season WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=core.program_season.TMSId);
DELETE FROM core.program WHERE core.program.inactive = {1};
