ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;

WITH cv_dupes AS (
      SELECT cvId FROM (
 	        SELECT cvId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.cv
          GROUP BY cvId )
      WHERE updateId_count > 1),
  cv_max AS (
 	    SELECT cvId, MAX(updateId) AS updateId
      FROM stage.cv 
      WHERE stage.cv.cvId IN cv_dupes
      GROUP BY cvId )
  DELETE FROM stage.cv
      WHERE EXISTS (
          SELECT 1 FROM cv_dupes
          WHERE cv_dupes.cvId=stage.cv.cvId ) 
      AND NOT EXISTS (
          SELECT 1 FROM cv_max
          WHERE cv_max.cvId=stage.cv.cvId
              AND cv_max.updateId=stage.cv.updateId );

WITH source_dupes AS (
      SELECT prgSvcId FROM (
 	        SELECT prgSvcId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.source
          GROUP BY prgSvcId )
      WHERE updateId_count > 1),
  source_max AS (
 	    SELECT prgSvcId, MAX(updateId) AS updateId
      FROM stage.source 
      WHERE stage.source.prgSvcId IN source_dupes
      GROUP BY prgSvcId )
  DELETE FROM stage.source
      WHERE EXISTS (
          SELECT 1 FROM source_dupes
          WHERE source_dupes.prgSvcId=stage.source.prgSvcId ) 
      AND NOT EXISTS (
          SELECT 1 FROM source_max
          WHERE source_max.prgSvcId=stage.source.prgSvcId
              AND source_max.updateId=stage.source.updateId );

WITH lineup_dupes AS (
      SELECT lineupId FROM (
 	        SELECT lineupId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.lineup
          GROUP BY lineupId )
      WHERE updateId_count > 1),
  lineup_max AS (
 	    SELECT lineupId, MAX(updateId) AS updateId
      FROM stage.lineup 
      WHERE stage.lineup.lineupId IN lineup_dupes
      GROUP BY lineupId )
  DELETE FROM stage.lineup
      WHERE EXISTS (
          SELECT 1 FROM lineup_dupes
          WHERE lineup_dupes.lineupId=stage.lineup.lineupId ) 
      AND NOT EXISTS (
          SELECT 1 FROM lineup_max
          WHERE lineup_max.lineupId=stage.lineup.lineupId
              AND lineup_max.updateId=stage.lineup.updateId );

WITH celebrity_dupes AS (
      SELECT personId FROM (
 	        SELECT personId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.celebrity
          GROUP BY personId )
      WHERE updateId_count > 1),
  celebrity_max AS (
 	    SELECT personId, MAX(updateId) AS updateId
      FROM stage.celebrity 
      WHERE stage.celebrity.personId IN celebrity_dupes
      GROUP BY personId )
  DELETE FROM stage.celebrity
      WHERE EXISTS (
          SELECT 1 FROM celebrity_dupes
          WHERE celebrity_dupes.personId=stage.celebrity.personId ) 
      AND NOT EXISTS (
          SELECT 1 FROM celebrity_max
          WHERE celebrity_max.personId=stage.celebrity.personId
              AND celebrity_max.updateId=stage.celebrity.updateId );

WITH descriptortaxonomy_dupes AS (
      SELECT taxonomyId FROM (
 	        SELECT taxonomyId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.descriptortaxonomy
          GROUP BY taxonomyId )
      WHERE updateId_count > 1),
  descriptortaxonomy_max AS (
 	    SELECT taxonomyId, MAX(updateId) AS updateId
      FROM stage.descriptortaxonomy 
      WHERE stage.descriptortaxonomy.taxonomyId IN descriptortaxonomy_dupes
      GROUP BY taxonomyId )
  DELETE FROM stage.descriptortaxonomy
      WHERE EXISTS (
          SELECT 1 FROM descriptortaxonomy_dupes
          WHERE descriptortaxonomy_dupes.taxonomyId=stage.descriptortaxonomy.taxonomyId ) 
      AND NOT EXISTS (
          SELECT 1 FROM descriptortaxonomy_max
          WHERE descriptortaxonomy_max.taxonomyId=stage.descriptortaxonomy.taxonomyId
              AND descriptortaxonomy_max.updateId=stage.descriptortaxonomy.updateId );

WITH descriptor_dupes AS (
      SELECT descriptorId FROM (
 	        SELECT descriptorId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.descriptor
          GROUP BY descriptorId )
      WHERE updateId_count > 1),
  descriptor_max AS (
 	    SELECT descriptorId, MAX(updateId) AS updateId
      FROM stage.descriptor 
      WHERE stage.descriptor.descriptorId IN descriptor_dupes
      GROUP BY descriptorId )
  DELETE FROM stage.descriptor
      WHERE EXISTS (
          SELECT 1 FROM descriptor_dupes
          WHERE descriptor_dupes.descriptorId=stage.descriptor.descriptorId ) 
      AND NOT EXISTS (
          SELECT 1 FROM descriptor_max
          WHERE descriptor_max.descriptorId=stage.descriptor.descriptorId
              AND descriptor_max.updateId=stage.descriptor.updateId );

WITH season_dupes AS (
      SELECT seasonTMSId FROM (
 	        SELECT seasonTMSId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.season
          GROUP BY seasonTMSId )
      WHERE updateId_count > 1),
  season_max AS (
 	    SELECT seasonTMSId, MAX(updateId) AS updateId
      FROM stage.season 
      WHERE stage.season.seasonTMSId IN season_dupes
      GROUP BY seasonTMSId )
  DELETE FROM stage.season
      WHERE EXISTS (
          SELECT 1 FROM season_dupes
          WHERE season_dupes.seasonTMSId=stage.season.seasonTMSId ) 
      AND NOT EXISTS (
          SELECT 1 FROM season_max
          WHERE season_max.seasonTMSId=stage.season.seasonTMSId
              AND season_max.updateId=stage.season.updateId );

WITH program_dupes AS (
      SELECT TMSId FROM (
 	        SELECT TMSId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.program
          GROUP BY TMSId )
      WHERE updateId_count > 1),
  program_max AS (
 	    SELECT TMSId, MAX(updateId) AS updateId
      FROM stage.program 
      WHERE stage.program.TMSId IN program_dupes
      GROUP BY TMSId )
  DELETE FROM stage.program
      WHERE EXISTS (
          SELECT 1 FROM program_dupes
          WHERE program_dupes.TMSId=stage.program.TMSId ) 
      AND NOT EXISTS (
          SELECT 1 FROM program_max
          WHERE program_max.TMSId=stage.program.TMSId
              AND program_max.updateId=stage.program.updateId );

WITH availability_dupes AS (
      SELECT availabilityId FROM (
 	        SELECT availabilityId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.availability
          GROUP BY availabilityId )
      WHERE updateId_count > 1),
  availability_max AS (
 	    SELECT availabilityId, MAX(updateId) AS updateId
      FROM stage.availability 
      WHERE stage.availability.availabilityId IN availability_dupes
      GROUP BY availabilityId )
  DELETE FROM stage.availability
      WHERE EXISTS (
          SELECT 1 FROM availability_dupes
          WHERE availability_dupes.availabilityId=stage.availability.availabilityId ) 
      AND NOT EXISTS (
          SELECT 1 FROM availability_max
          WHERE availability_max.availabilityId=stage.availability.availabilityId
              AND availability_max.updateId=stage.availability.updateId );

WITH mapping_dupes AS (
      SELECT mappingId FROM (
 	        SELECT mappingId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.mapping
          GROUP BY mappingId )
      WHERE updateId_count > 1),
  mapping_max AS (
 	    SELECT mappingId, MAX(updateId) AS updateId
      FROM stage.mapping 
      WHERE stage.mapping.mappingId IN mapping_dupes
      GROUP BY mappingId )
  DELETE FROM stage.mapping
      WHERE EXISTS (
          SELECT 1 FROM mapping_dupes
          WHERE mapping_dupes.mappingId=stage.mapping.mappingId ) 
      AND NOT EXISTS (
          SELECT 1 FROM mapping_max
          WHERE mapping_max.mappingId=stage.mapping.mappingId
              AND mapping_max.updateId=stage.mapping.updateId );

WITH schedule_dupes AS (
      SELECT scheduleId FROM (
 	        SELECT scheduleId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.schedule
          GROUP BY scheduleId )
      WHERE updateId_count > 1),
  schedule_max AS (
 	    SELECT scheduleId, MAX(updateId) AS updateId
      FROM stage.schedule 
      WHERE stage.schedule.scheduleId IN schedule_dupes
      GROUP BY scheduleId )
  DELETE FROM stage.schedule
      WHERE EXISTS (
          SELECT 1 FROM schedule_dupes
          WHERE schedule_dupes.scheduleId=stage.schedule.scheduleId ) 
      AND NOT EXISTS (
          SELECT 1 FROM schedule_max
          WHERE schedule_max.scheduleId=stage.schedule.scheduleId
              AND schedule_max.updateId=stage.schedule.updateId );

WITH sourceprogram_dupes AS (
      SELECT gnidsId FROM (
 	        SELECT gnidsId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.sourceprogram
          GROUP BY gnidsId )
      WHERE updateId_count > 1),
  sourceprogram_max AS (
 	    SELECT gnidsId, MAX(updateId) AS updateId
      FROM stage.sourceprogram 
      WHERE stage.sourceprogram.gnidsId IN sourceprogram_dupes
      GROUP BY gnidsId )
  DELETE FROM stage.sourceprogram
      WHERE EXISTS (
          SELECT 1 FROM sourceprogram_dupes
          WHERE sourceprogram_dupes.gnidsId=stage.sourceprogram.gnidsId ) 
      AND NOT EXISTS (
          SELECT 1 FROM sourceprogram_max
          WHERE sourceprogram_max.gnidsId=stage.sourceprogram.gnidsId
              AND sourceprogram_max.updateId=stage.sourceprogram.updateId );

WITH popularity_dupes AS (
      SELECT popularityId FROM (
 	        SELECT popularityId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.popularity
          GROUP BY popularityId )
      WHERE updateId_count > 1),
  popularity_max AS (
 	    SELECT popularityId, MAX(updateId) AS updateId
      FROM stage.popularity 
      WHERE stage.popularity.popularityId IN popularity_dupes
      GROUP BY popularityId )
  DELETE FROM stage.popularity
      WHERE EXISTS (
          SELECT 1 FROM popularity_dupes
          WHERE popularity_dupes.popularityId=stage.popularity.popularityId ) 
      AND NOT EXISTS (
          SELECT 1 FROM popularity_max
          WHERE popularity_max.popularityId=stage.popularity.popularityId
              AND popularity_max.updateId=stage.popularity.updateId );

WITH university_dupes AS (
      SELECT universityId FROM (
 	        SELECT universityId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.university
          GROUP BY universityId )
      WHERE updateId_count > 1),
  university_max AS (
 	    SELECT universityId, MAX(updateId) AS updateId
      FROM stage.university 
      WHERE stage.university.universityId IN university_dupes
      GROUP BY universityId )
  DELETE FROM stage.university
      WHERE EXISTS (
          SELECT 1 FROM university_dupes
          WHERE university_dupes.universityId=stage.university.universityId ) 
      AND NOT EXISTS (
          SELECT 1 FROM university_max
          WHERE university_max.universityId=stage.university.universityId
              AND university_max.updateId=stage.university.updateId );

WITH venue_dupes AS (
      SELECT venueId FROM (
 	        SELECT venueId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.venue
          GROUP BY venueId )
      WHERE updateId_count > 1),
  venue_max AS (
 	    SELECT venueId, MAX(updateId) AS updateId
      FROM stage.venue 
      WHERE stage.venue.venueId IN venue_dupes
      GROUP BY venueId )
  DELETE FROM stage.venue
      WHERE EXISTS (
          SELECT 1 FROM venue_dupes
          WHERE venue_dupes.venueId=stage.venue.venueId ) 
      AND NOT EXISTS (
          SELECT 1 FROM venue_max
          WHERE venue_max.venueId=stage.venue.venueId
              AND venue_max.updateId=stage.venue.updateId );

WITH venuebrand_dupes AS (
      SELECT venueBrandId FROM (
 	        SELECT venueBrandId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.venuebrand
          GROUP BY venueBrandId )
      WHERE updateId_count > 1),
  venuebrand_max AS (
 	    SELECT venueBrandId, MAX(updateId) AS updateId
      FROM stage.venuebrand 
      WHERE stage.venuebrand.venueBrandId IN venuebrand_dupes
      GROUP BY venueBrandId )
  DELETE FROM stage.venuebrand
      WHERE EXISTS (
          SELECT 1 FROM venuebrand_dupes
          WHERE venuebrand_dupes.venueBrandId=stage.venuebrand.venueBrandId ) 
      AND NOT EXISTS (
          SELECT 1 FROM venuebrand_max
          WHERE venuebrand_max.venueBrandId=stage.venuebrand.venueBrandId
              AND venuebrand_max.updateId=stage.venuebrand.updateId );

WITH sportsorg_dupes AS (
      SELECT organizationId FROM (
 	        SELECT organizationId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.sportsorg
          GROUP BY organizationId )
      WHERE updateId_count > 1),
  sportsorg_max AS (
 	    SELECT organizationId, MAX(updateId) AS updateId
      FROM stage.sportsorg 
      WHERE stage.sportsorg.organizationId IN sportsorg_dupes
      GROUP BY organizationId )
  DELETE FROM stage.sportsorg
      WHERE EXISTS (
          SELECT 1 FROM sportsorg_dupes
          WHERE sportsorg_dupes.organizationId=stage.sportsorg.organizationId ) 
      AND NOT EXISTS (
          SELECT 1 FROM sportsorg_max
          WHERE sportsorg_max.organizationId=stage.sportsorg.organizationId
              AND sportsorg_max.updateId=stage.sportsorg.updateId );

WITH team_dupes AS (
      SELECT teamId FROM (
 	        SELECT teamId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.team
          GROUP BY teamId )
      WHERE updateId_count > 1),
  team_max AS (
 	    SELECT teamId, MAX(updateId) AS updateId
      FROM stage.team 
      WHERE stage.team.teamId IN team_dupes
      GROUP BY teamId )
  DELETE FROM stage.team
      WHERE EXISTS (
          SELECT 1 FROM team_dupes
          WHERE team_dupes.teamId=stage.team.teamId ) 
      AND NOT EXISTS (
          SELECT 1 FROM team_max
          WHERE team_max.teamId=stage.team.teamId
              AND team_max.updateId=stage.team.updateId );

WITH teambrand_dupes AS (
      SELECT teamBrandId FROM (
 	        SELECT teamBrandId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.teambrand
          GROUP BY teamBrandId )
      WHERE updateId_count > 1),
  teambrand_max AS (
 	    SELECT teamBrandId, MAX(updateId) AS updateId
      FROM stage.teambrand 
      WHERE stage.teambrand.teamBrandId IN teambrand_dupes
      GROUP BY teamBrandId )
  DELETE FROM stage.teambrand
      WHERE EXISTS (
          SELECT 1 FROM teambrand_dupes
          WHERE teambrand_dupes.teamBrandId=stage.teambrand.teamBrandId ) 
      AND NOT EXISTS (
          SELECT 1 FROM teambrand_max
          WHERE teambrand_max.teamBrandId=stage.teambrand.teamBrandId
              AND teambrand_max.updateId=stage.teambrand.updateId );

WITH vdannotation_dupes AS (
      SELECT TMSId FROM (
 	        SELECT TMSId, COUNT(DISTINCT updateId) AS updateId_count 
          FROM stage.vdannotation
          GROUP BY TMSId )
      WHERE updateId_count > 1),
  vdannotation_max AS (
 	    SELECT TMSId, MAX(updateId) AS updateId
      FROM stage.vdannotation 
      WHERE stage.vdannotation.TMSId IN vdannotation_dupes
      GROUP BY TMSId )
  DELETE FROM stage.vdannotation
      WHERE EXISTS (
          SELECT 1 FROM vdannotation_dupes
          WHERE vdannotation_dupes.TMSId=stage.vdannotation.TMSId ) 
      AND NOT EXISTS (
          SELECT 1 FROM vdannotation_max
          WHERE vdannotation_max.TMSId=stage.vdannotation.TMSId
              AND vdannotation_max.updateId=stage.vdannotation.updateId );

WITH deletes AS (
    SELECT cv_attribute.cvId, cv_attribute.updateId FROM stage.cv_attribute
        JOIN stage.cv ON cv_attribute.cvId=cv.cvId 
            AND cv_attribute.updateId!=cv.updateId )
DELETE FROM stage.cv_attribute WHERE (cvId,updateId) IN (
    SELECT cvId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_country.prgSvcId, source_country.updateId FROM stage.source_country
        JOIN stage.source ON source_country.prgSvcId=source.prgSvcId 
            AND source_country.updateId!=source.updateId )
DELETE FROM stage.source_country WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_altname.prgSvcId, source_altname.updateId FROM stage.source_altname
        JOIN stage.source ON source_altname.prgSvcId=source.prgSvcId 
            AND source_altname.updateId!=source.updateId )
DELETE FROM stage.source_altname WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_attribute.prgSvcId, source_attribute.updateId FROM stage.source_attribute
        JOIN stage.source ON source_attribute.prgSvcId=source.prgSvcId 
            AND source_attribute.updateId!=source.updateId )
DELETE FROM stage.source_attribute WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_edlang.prgSvcId, source_edlang.updateId FROM stage.source_edlang
        JOIN stage.source ON source_edlang.prgSvcId=source.prgSvcId 
            AND source_edlang.updateId!=source.updateId )
DELETE FROM stage.source_edlang WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_bcastlang.prgSvcId, source_bcastlang.updateId FROM stage.source_bcastlang
        JOIN stage.source ON source_bcastlang.prgSvcId=source.prgSvcId 
            AND source_bcastlang.updateId!=source.updateId )
DELETE FROM stage.source_bcastlang WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_relationship.prgSvcId, source_relationship.updateId FROM stage.source_relationship
        JOIN stage.source ON source_relationship.prgSvcId=source.prgSvcId 
            AND source_relationship.updateId!=source.updateId )
DELETE FROM stage.source_relationship WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_affiliate.prgSvcId, source_affiliate.updateId FROM stage.source_affiliate
        JOIN stage.source ON source_affiliate.prgSvcId=source.prgSvcId 
            AND source_affiliate.updateId!=source.updateId )
DELETE FROM stage.source_affiliate WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_asset.prgSvcId, source_asset.updateId FROM stage.source_asset
        JOIN stage.source ON source_asset.prgSvcId=source.prgSvcId 
            AND source_asset.updateId!=source.updateId )
DELETE FROM stage.source_asset WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_marketid.prgSvcId, source_marketid.updateId FROM stage.source_marketid
        JOIN stage.source ON source_marketid.prgSvcId=source.prgSvcId 
            AND source_marketid.updateId!=source.updateId )
DELETE FROM stage.source_marketid WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_genre.prgSvcId, source_genre.updateId FROM stage.source_genre
        JOIN stage.source ON source_genre.prgSvcId=source.prgSvcId 
            AND source_genre.updateId!=source.updateId )
DELETE FROM stage.source_genre WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_group.prgSvcId, source_group.updateId FROM stage.source_group
        JOIN stage.source ON source_group.prgSvcId=source.prgSvcId 
            AND source_group.updateId!=source.updateId )
DELETE FROM stage.source_group WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT source_transportid.prgSvcId, source_transportid.updateId FROM stage.source_transportid
        JOIN stage.source ON source_transportid.prgSvcId=source.prgSvcId 
            AND source_transportid.updateId!=source.updateId )
DELETE FROM stage.source_transportid WHERE (prgSvcId,updateId) IN (
    SELECT prgSvcId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT lineup_channel.lineupId, lineup_channel.updateId FROM stage.lineup_channel
        JOIN stage.lineup ON lineup_channel.lineupId=lineup.lineupId 
            AND lineup_channel.updateId!=lineup.updateId )
DELETE FROM stage.lineup_channel WHERE (lineupId,updateId) IN (
    SELECT lineupId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT lineup_channel_transport.lineupId, lineup_channel_transport.updateId FROM stage.lineup_channel_transport
        JOIN stage.lineup ON lineup_channel_transport.lineupId=lineup.lineupId 
            AND lineup_channel_transport.updateId!=lineup.updateId )
DELETE FROM stage.lineup_channel_transport WHERE (lineupId,updateId) IN (
    SELECT lineupId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT lineup_channel_transport_id.lineupId, lineup_channel_transport_id.updateId FROM stage.lineup_channel_transport_id
        JOIN stage.lineup ON lineup_channel_transport_id.lineupId=lineup.lineupId 
            AND lineup_channel_transport_id.updateId!=lineup.updateId )
DELETE FROM stage.lineup_channel_transport_id WHERE (lineupId,updateId) IN (
    SELECT lineupId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT lineup_postalcode.lineupId, lineup_postalcode.updateId FROM stage.lineup_postalcode
        JOIN stage.lineup ON lineup_postalcode.lineupId=lineup.lineupId 
            AND lineup_postalcode.updateId!=lineup.updateId )
DELETE FROM stage.lineup_postalcode WHERE (lineupId,updateId) IN (
    SELECT lineupId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT lineup_market.lineupId, lineup_market.updateId FROM stage.lineup_market
        JOIN stage.lineup ON lineup_market.lineupId=lineup.lineupId 
            AND lineup_market.updateId!=lineup.updateId )
DELETE FROM stage.lineup_market WHERE (lineupId,updateId) IN (
    SELECT lineupId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_name.personId, celebrity_name.updateId FROM stage.celebrity_name
        JOIN stage.celebrity ON celebrity_name.personId=celebrity.personId 
            AND celebrity_name.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_name WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_award.personId, celebrity_award.updateId FROM stage.celebrity_award
        JOIN stage.celebrity ON celebrity_award.personId=celebrity.personId 
            AND celebrity_award.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_award WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_asset.personId, celebrity_asset.updateId FROM stage.celebrity_asset
        JOIN stage.celebrity ON celebrity_asset.personId=celebrity.personId 
            AND celebrity_asset.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_asset WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_mediography.personId, celebrity_mediography.updateId FROM stage.celebrity_mediography
        JOIN stage.celebrity ON celebrity_mediography.personId=celebrity.personId 
            AND celebrity_mediography.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_mediography WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_mediography_credit.personId, celebrity_mediography_credit.updateId FROM stage.celebrity_mediography_credit
        JOIN stage.celebrity ON celebrity_mediography_credit.personId=celebrity.personId 
            AND celebrity_mediography_credit.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_mediography_credit WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_participanttype.personId, celebrity_participanttype.updateId FROM stage.celebrity_participanttype
        JOIN stage.celebrity ON celebrity_participanttype.personId=celebrity.personId 
            AND celebrity_participanttype.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_participanttype WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_biography.personId, celebrity_biography.updateId FROM stage.celebrity_biography
        JOIN stage.celebrity ON celebrity_biography.personId=celebrity.personId 
            AND celebrity_biography.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_biography WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_relationship.personId, celebrity_relationship.updateId FROM stage.celebrity_relationship
        JOIN stage.celebrity ON celebrity_relationship.personId=celebrity.personId 
            AND celebrity_relationship.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_relationship WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_relationshipevent.personId, celebrity_relationshipevent.updateId FROM stage.celebrity_relationshipevent
        JOIN stage.celebrity ON celebrity_relationshipevent.personId=celebrity.personId 
            AND celebrity_relationshipevent.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_relationshipevent WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_education.personId, celebrity_education.updateId FROM stage.celebrity_education
        JOIN stage.celebrity ON celebrity_education.personId=celebrity.personId 
            AND celebrity_education.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_education WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_milestone.personId, celebrity_milestone.updateId FROM stage.celebrity_milestone
        JOIN stage.celebrity ON celebrity_milestone.personId=celebrity.personId 
            AND celebrity_milestone.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_milestone WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_note.personId, celebrity_note.updateId FROM stage.celebrity_note
        JOIN stage.celebrity ON celebrity_note.personId=celebrity.personId 
            AND celebrity_note.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_note WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_quote.personId, celebrity_quote.updateId FROM stage.celebrity_quote
        JOIN stage.celebrity ON celebrity_quote.personId=celebrity.personId 
            AND celebrity_quote.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_quote WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_highlight.personId, celebrity_highlight.updateId FROM stage.celebrity_highlight
        JOIN stage.celebrity ON celebrity_highlight.personId=celebrity.personId 
            AND celebrity_highlight.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_highlight WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_socialmedia.personId, celebrity_socialmedia.updateId FROM stage.celebrity_socialmedia
        JOIN stage.celebrity ON celebrity_socialmedia.personId=celebrity.personId 
            AND celebrity_socialmedia.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_socialmedia WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT celebrity_enhancedaward.personId, celebrity_enhancedaward.updateId FROM stage.celebrity_enhancedaward
        JOIN stage.celebrity ON celebrity_enhancedaward.personId=celebrity.personId 
            AND celebrity_enhancedaward.updateId!=celebrity.updateId )
DELETE FROM stage.celebrity_enhancedaward WHERE (personId,updateId) IN (
    SELECT personId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT descriptortaxonomy_descriptor.taxonomyId, descriptortaxonomy_descriptor.updateId FROM stage.descriptortaxonomy_descriptor
        JOIN stage.descriptortaxonomy ON descriptortaxonomy_descriptor.taxonomyId=descriptortaxonomy.taxonomyId 
            AND descriptortaxonomy_descriptor.updateId!=descriptortaxonomy.updateId )
DELETE FROM stage.descriptortaxonomy_descriptor WHERE (taxonomyId,updateId) IN (
    SELECT taxonomyId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT season_title.seasonTMSId, season_title.updateId FROM stage.season_title
        JOIN stage.season ON season_title.seasonTMSId=season.seasonTMSId 
            AND season_title.updateId!=season.updateId )
DELETE FROM stage.season_title WHERE (seasonTMSId,updateId) IN (
    SELECT seasonTMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT season_description.seasonTMSId, season_description.updateId FROM stage.season_description
        JOIN stage.season ON season_description.seasonTMSId=season.seasonTMSId 
            AND season_description.updateId!=season.updateId )
DELETE FROM stage.season_description WHERE (seasonTMSId,updateId) IN (
    SELECT seasonTMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT season_cast.seasonTMSId, season_cast.updateId FROM stage.season_cast
        JOIN stage.season ON season_cast.seasonTMSId=season.seasonTMSId 
            AND season_cast.updateId!=season.updateId )
DELETE FROM stage.season_cast WHERE (seasonTMSId,updateId) IN (
    SELECT seasonTMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT season_crew.seasonTMSId, season_crew.updateId FROM stage.season_crew
        JOIN stage.season ON season_crew.seasonTMSId=season.seasonTMSId 
            AND season_crew.updateId!=season.updateId )
DELETE FROM stage.season_crew WHERE (seasonTMSId,updateId) IN (
    SELECT seasonTMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT season_asset.seasonTMSId, season_asset.updateId FROM stage.season_asset
        JOIN stage.season ON season_asset.seasonTMSId=season.seasonTMSId 
            AND season_asset.updateId!=season.updateId )
DELETE FROM stage.season_asset WHERE (seasonTMSId,updateId) IN (
    SELECT seasonTMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT season_asset_id.seasonTMSId, season_asset_id.updateId FROM stage.season_asset_id
        JOIN stage.season ON season_asset_id.seasonTMSId=season.seasonTMSId 
            AND season_asset_id.updateId!=season.updateId )
DELETE FROM stage.season_asset_id WHERE (seasonTMSId,updateId) IN (
    SELECT seasonTMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_season.TMSId, program_season.updateId FROM stage.program_season
        JOIN stage.program ON program_season.TMSId=program.TMSId 
            AND program_season.updateId!=program.updateId )
DELETE FROM stage.program_season WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_title.TMSId, program_title.updateId FROM stage.program_title
        JOIN stage.program ON program_title.TMSId=program.TMSId 
            AND program_title.updateId!=program.updateId )
DELETE FROM stage.program_title WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_description.TMSId, program_description.updateId FROM stage.program_description
        JOIN stage.program ON program_description.TMSId=program.TMSId 
            AND program_description.updateId!=program.updateId )
DELETE FROM stage.program_description WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_cast.TMSId, program_cast.updateId FROM stage.program_cast
        JOIN stage.program ON program_cast.TMSId=program.TMSId 
            AND program_cast.updateId!=program.updateId )
DELETE FROM stage.program_cast WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_crew.TMSId, program_crew.updateId FROM stage.program_crew
        JOIN stage.program ON program_crew.TMSId=program.TMSId 
            AND program_crew.updateId!=program.updateId )
DELETE FROM stage.program_crew WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_country.TMSId, program_country.updateId FROM stage.program_country
        JOIN stage.program ON program_country.TMSId=program.TMSId 
            AND program_country.updateId!=program.updateId )
DELETE FROM stage.program_country WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_award.TMSId, program_award.updateId FROM stage.program_award
        JOIN stage.program ON program_award.TMSId=program.TMSId 
            AND program_award.updateId!=program.updateId )
DELETE FROM stage.program_award WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_genre.TMSId, program_genre.updateId FROM stage.program_genre
        JOIN stage.program ON program_genre.TMSId=program.TMSId 
            AND program_genre.updateId!=program.updateId )
DELETE FROM stage.program_genre WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_rating.TMSId, program_rating.updateId FROM stage.program_rating
        JOIN stage.program ON program_rating.TMSId=program.TMSId 
            AND program_rating.updateId!=program.updateId )
DELETE FROM stage.program_rating WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_qualityrating.TMSId, program_qualityrating.updateId FROM stage.program_qualityrating
        JOIN stage.program ON program_qualityrating.TMSId=program.TMSId 
            AND program_qualityrating.updateId!=program.updateId )
DELETE FROM stage.program_qualityrating WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_ratingadvisory.TMSId, program_ratingadvisory.updateId FROM stage.program_ratingadvisory
        JOIN stage.program ON program_ratingadvisory.TMSId=program.TMSId 
            AND program_ratingadvisory.updateId!=program.updateId )
DELETE FROM stage.program_ratingadvisory WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_mvinfo.TMSId, program_mvinfo.updateId FROM stage.program_mvinfo
        JOIN stage.program ON program_mvinfo.TMSId=program.TMSId 
            AND program_mvinfo.updateId!=program.updateId )
DELETE FROM stage.program_mvinfo WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_mvtrailer.TMSId, program_mvtrailer.updateId FROM stage.program_mvtrailer
        JOIN stage.program ON program_mvtrailer.TMSId=program.TMSId 
            AND program_mvtrailer.updateId!=program.updateId )
DELETE FROM stage.program_mvtrailer WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_epinfo.TMSId, program_epinfo.updateId FROM stage.program_epinfo
        JOIN stage.program ON program_epinfo.TMSId=program.TMSId 
            AND program_epinfo.updateId!=program.updateId )
DELETE FROM stage.program_epinfo WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_epinfo_alt.TMSId, program_epinfo_alt.updateId FROM stage.program_epinfo_alt
        JOIN stage.program ON program_epinfo_alt.TMSId=program.TMSId 
            AND program_epinfo_alt.updateId!=program.updateId )
DELETE FROM stage.program_epinfo_alt WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_spinfo.TMSId, program_spinfo.updateId FROM stage.program_spinfo
        JOIN stage.program ON program_spinfo.TMSId=program.TMSId 
            AND program_spinfo.updateId!=program.updateId )
DELETE FROM stage.program_spinfo WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_spteam.TMSId, program_spteam.updateId FROM stage.program_spteam
        JOIN stage.program ON program_spteam.TMSId=program.TMSId 
            AND program_spteam.updateId!=program.updateId )
DELETE FROM stage.program_spteam WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_spevent.TMSId, program_spevent.updateId FROM stage.program_spevent
        JOIN stage.program ON program_spevent.TMSId=program.TMSId 
            AND program_spevent.updateId!=program.updateId )
DELETE FROM stage.program_spevent WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_spdata.TMSId, program_spdata.updateId FROM stage.program_spdata
        JOIN stage.program ON program_spdata.TMSId=program.TMSId 
            AND program_spdata.updateId!=program.updateId )
DELETE FROM stage.program_spdata WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_spdata_event.TMSId, program_spdata_event.updateId FROM stage.program_spdata_event
        JOIN stage.program ON program_spdata_event.TMSId=program.TMSId 
            AND program_spdata_event.updateId!=program.updateId )
DELETE FROM stage.program_spdata_event WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_asset.TMSId, program_asset.updateId FROM stage.program_asset
        JOIN stage.program ON program_asset.TMSId=program.TMSId 
            AND program_asset.updateId!=program.updateId )
DELETE FROM stage.program_asset WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_asset_id.TMSId, program_asset_id.updateId FROM stage.program_asset_id
        JOIN stage.program ON program_asset_id.TMSId=program.TMSId 
            AND program_asset_id.updateId!=program.updateId )
DELETE FROM stage.program_asset_id WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_release.TMSId, program_release.updateId FROM stage.program_release
        JOIN stage.program ON program_release.TMSId=program.TMSId 
            AND program_release.updateId!=program.updateId )
DELETE FROM stage.program_release WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_release_attribute.TMSId, program_release_attribute.updateId FROM stage.program_release_attribute
        JOIN stage.program ON program_release_attribute.TMSId=program.TMSId 
            AND program_release_attribute.updateId!=program.updateId )
DELETE FROM stage.program_release_attribute WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_release_distributor.TMSId, program_release_distributor.updateId FROM stage.program_release_distributor
        JOIN stage.program ON program_release_distributor.TMSId=program.TMSId 
            AND program_release_distributor.updateId!=program.updateId )
DELETE FROM stage.program_release_distributor WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_relationship.TMSId, program_relationship.updateId FROM stage.program_relationship
        JOIN stage.program ON program_relationship.TMSId=program.TMSId 
            AND program_relationship.updateId!=program.updateId )
DELETE FROM stage.program_relationship WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_externallink.TMSId, program_externallink.updateId FROM stage.program_externallink
        JOIN stage.program ON program_externallink.TMSId=program.TMSId 
            AND program_externallink.updateId!=program.updateId )
DELETE FROM stage.program_externallink WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_descriptor.TMSId, program_descriptor.updateId FROM stage.program_descriptor
        JOIN stage.program ON program_descriptor.TMSId=program.TMSId 
            AND program_descriptor.updateId!=program.updateId )
DELETE FROM stage.program_descriptor WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT program_origaudiolang.TMSId, program_origaudiolang.updateId FROM stage.program_origaudiolang
        JOIN stage.program ON program_origaudiolang.TMSId=program.TMSId 
            AND program_origaudiolang.updateId!=program.updateId )
DELETE FROM stage.program_origaudiolang WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT availability_id.availabilityId, availability_id.updateId FROM stage.availability_id
        JOIN stage.availability ON availability_id.availabilityId=availability.availabilityId 
            AND availability_id.updateId!=availability.updateId )
DELETE FROM stage.availability_id WHERE (availabilityId,updateId) IN (
    SELECT availabilityId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT availability_url.availabilityId, availability_url.updateId FROM stage.availability_url
        JOIN stage.availability ON availability_url.availabilityId=availability.availabilityId 
            AND availability_url.updateId!=availability.updateId )
DELETE FROM stage.availability_url WHERE (availabilityId,updateId) IN (
    SELECT availabilityId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT availability_viewingoption.availabilityId, availability_viewingoption.updateId FROM stage.availability_viewingoption
        JOIN stage.availability ON availability_viewingoption.availabilityId=availability.availabilityId 
            AND availability_viewingoption.updateId!=availability.updateId )
DELETE FROM stage.availability_viewingoption WHERE (availabilityId,updateId) IN (
    SELECT availabilityId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT availability_providerdata.availabilityId, availability_providerdata.updateId FROM stage.availability_providerdata
        JOIN stage.availability ON availability_providerdata.availabilityId=availability.availabilityId 
            AND availability_providerdata.updateId!=availability.updateId )
DELETE FROM stage.availability_providerdata WHERE (availabilityId,updateId) IN (
    SELECT availabilityId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT mapping_id.mappingId, mapping_id.updateId FROM stage.mapping_id
        JOIN stage.mapping ON mapping_id.mappingId=mapping.mappingId 
            AND mapping_id.updateId!=mapping.updateId )
DELETE FROM stage.mapping_id WHERE (mappingId,updateId) IN (
    SELECT mappingId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT mapping_link.mappingId, mapping_link.updateId FROM stage.mapping_link
        JOIN stage.mapping ON mapping_link.mappingId=mapping.mappingId 
            AND mapping_link.updateId!=mapping.updateId )
DELETE FROM stage.mapping_link WHERE (mappingId,updateId) IN (
    SELECT mappingId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_label.gnidsId, sourceprogram_label.updateId FROM stage.sourceprogram_label
        JOIN stage.sourceprogram ON sourceprogram_label.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_label.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_label WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_versionlabel.gnidsId, sourceprogram_versionlabel.updateId FROM stage.sourceprogram_versionlabel
        JOIN stage.sourceprogram ON sourceprogram_versionlabel.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_versionlabel.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_versionlabel WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_catalog.gnidsId, sourceprogram_catalog.updateId FROM stage.sourceprogram_catalog
        JOIN stage.sourceprogram ON sourceprogram_catalog.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_catalog.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_catalog WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_catalog_language.gnidsId, sourceprogram_catalog_language.updateId FROM stage.sourceprogram_catalog_language
        JOIN stage.sourceprogram ON sourceprogram_catalog_language.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_catalog_language.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_catalog_language WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_catalog_market.gnidsId, sourceprogram_catalog_market.updateId FROM stage.sourceprogram_catalog_market
        JOIN stage.sourceprogram ON sourceprogram_catalog_market.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_catalog_market.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_catalog_market WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_title.gnidsId, sourceprogram_title.updateId FROM stage.sourceprogram_title
        JOIN stage.sourceprogram ON sourceprogram_title.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_title.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_title WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_description.gnidsId, sourceprogram_description.updateId FROM stage.sourceprogram_description
        JOIN stage.sourceprogram ON sourceprogram_description.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_description.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_description WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_cast.gnidsId, sourceprogram_cast.updateId FROM stage.sourceprogram_cast
        JOIN stage.sourceprogram ON sourceprogram_cast.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_cast.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_cast WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_crew.gnidsId, sourceprogram_crew.updateId FROM stage.sourceprogram_crew
        JOIN stage.sourceprogram ON sourceprogram_crew.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_crew.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_crew WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_country.gnidsId, sourceprogram_country.updateId FROM stage.sourceprogram_country
        JOIN stage.sourceprogram ON sourceprogram_country.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_country.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_country WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_genre.gnidsId, sourceprogram_genre.updateId FROM stage.sourceprogram_genre
        JOIN stage.sourceprogram ON sourceprogram_genre.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_genre.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_genre WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_rating.gnidsId, sourceprogram_rating.updateId FROM stage.sourceprogram_rating
        JOIN stage.sourceprogram ON sourceprogram_rating.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_rating.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_rating WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_rating_advisory.gnidsId, sourceprogram_rating_advisory.updateId FROM stage.sourceprogram_rating_advisory
        JOIN stage.sourceprogram ON sourceprogram_rating_advisory.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_rating_advisory.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_rating_advisory WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_mvinfo.gnidsId, sourceprogram_mvinfo.updateId FROM stage.sourceprogram_mvinfo
        JOIN stage.sourceprogram ON sourceprogram_mvinfo.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_mvinfo.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_mvinfo WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_epinfo.gnidsId, sourceprogram_epinfo.updateId FROM stage.sourceprogram_epinfo
        JOIN stage.sourceprogram ON sourceprogram_epinfo.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_epinfo.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_epinfo WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season.gnidsId, sourceprogram_season.updateId FROM stage.sourceprogram_season
        JOIN stage.sourceprogram ON sourceprogram_season.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_title.gnidsId, sourceprogram_season_title.updateId FROM stage.sourceprogram_season_title
        JOIN stage.sourceprogram ON sourceprogram_season_title.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_title.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_title WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_desc.gnidsId, sourceprogram_season_desc.updateId FROM stage.sourceprogram_season_desc
        JOIN stage.sourceprogram ON sourceprogram_season_desc.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_desc.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_desc WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_cast.gnidsId, sourceprogram_season_cast.updateId FROM stage.sourceprogram_season_cast
        JOIN stage.sourceprogram ON sourceprogram_season_cast.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_cast.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_cast WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_crew.gnidsId, sourceprogram_season_crew.updateId FROM stage.sourceprogram_season_crew
        JOIN stage.sourceprogram ON sourceprogram_season_crew.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_crew.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_crew WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_asset.gnidsId, sourceprogram_season_asset.updateId FROM stage.sourceprogram_season_asset
        JOIN stage.sourceprogram ON sourceprogram_season_asset.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_asset.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_asset WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_asset_id.gnidsId, sourceprogram_season_asset_id.updateId FROM stage.sourceprogram_season_asset_id
        JOIN stage.sourceprogram ON sourceprogram_season_asset_id.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_asset_id.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_asset_id WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_asset_language.gnidsId, sourceprogram_season_asset_language.updateId FROM stage.sourceprogram_season_asset_language
        JOIN stage.sourceprogram ON sourceprogram_season_asset_language.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_asset_language.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_asset_language WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_asset_market.gnidsId, sourceprogram_season_asset_market.updateId FROM stage.sourceprogram_season_asset_market
        JOIN stage.sourceprogram ON sourceprogram_season_asset_market.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_asset_market.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_asset_market WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_asset_extattr.gnidsId, sourceprogram_season_asset_extattr.updateId FROM stage.sourceprogram_season_asset_extattr
        JOIN stage.sourceprogram ON sourceprogram_season_asset_extattr.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_asset_extattr.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_asset_extattr WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_asset_tag.gnidsId, sourceprogram_season_asset_tag.updateId FROM stage.sourceprogram_season_asset_tag
        JOIN stage.sourceprogram ON sourceprogram_season_asset_tag.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_asset_tag.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_asset_tag WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_season_xid.gnidsId, sourceprogram_season_xid.updateId FROM stage.sourceprogram_season_xid
        JOIN stage.sourceprogram ON sourceprogram_season_xid.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_season_xid.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_season_xid WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_asset.gnidsId, sourceprogram_asset.updateId FROM stage.sourceprogram_asset
        JOIN stage.sourceprogram ON sourceprogram_asset.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_asset.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_asset WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_asset_id.gnidsId, sourceprogram_asset_id.updateId FROM stage.sourceprogram_asset_id
        JOIN stage.sourceprogram ON sourceprogram_asset_id.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_asset_id.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_asset_id WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_asset_language.gnidsId, sourceprogram_asset_language.updateId FROM stage.sourceprogram_asset_language
        JOIN stage.sourceprogram ON sourceprogram_asset_language.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_asset_language.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_asset_language WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_asset_market.gnidsId, sourceprogram_asset_market.updateId FROM stage.sourceprogram_asset_market
        JOIN stage.sourceprogram ON sourceprogram_asset_market.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_asset_market.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_asset_market WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_asset_extattr.gnidsId, sourceprogram_asset_extattr.updateId FROM stage.sourceprogram_asset_extattr
        JOIN stage.sourceprogram ON sourceprogram_asset_extattr.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_asset_extattr.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_asset_extattr WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_asset_tag.gnidsId, sourceprogram_asset_tag.updateId FROM stage.sourceprogram_asset_tag
        JOIN stage.sourceprogram ON sourceprogram_asset_tag.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_asset_tag.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_asset_tag WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sourceprogram_xid.gnidsId, sourceprogram_xid.updateId FROM stage.sourceprogram_xid
        JOIN stage.sourceprogram ON sourceprogram_xid.gnidsId=sourceprogram.gnidsId 
            AND sourceprogram_xid.updateId!=sourceprogram.updateId )
DELETE FROM stage.sourceprogram_xid WHERE (gnidsId,updateId) IN (
    SELECT gnidsId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT team_genre.teamId, team_genre.updateId FROM stage.team_genre
        JOIN stage.team ON team_genre.teamId=team.teamId 
            AND team_genre.updateId!=team.updateId )
DELETE FROM stage.team_genre WHERE (teamId,updateId) IN (
    SELECT teamId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT teambrand_name.teamBrandId, teambrand_name.updateId FROM stage.teambrand_name
        JOIN stage.teambrand ON teambrand_name.teamBrandId=teambrand.teamBrandId 
            AND teambrand_name.updateId!=teambrand.updateId )
DELETE FROM stage.teambrand_name WHERE (teamBrandId,updateId) IN (
    SELECT teamBrandId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT teambrand_asset.teamBrandId, teambrand_asset.updateId FROM stage.teambrand_asset
        JOIN stage.teambrand ON teambrand_asset.teamBrandId=teambrand.teamBrandId 
            AND teambrand_asset.updateId!=teambrand.updateId )
DELETE FROM stage.teambrand_asset WHERE (teamBrandId,updateId) IN (
    SELECT teamBrandId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sportsorg_asset.organizationId, sportsorg_asset.updateId FROM stage.sportsorg_asset
        JOIN stage.sportsorg ON sportsorg_asset.organizationId=sportsorg.organizationId 
            AND sportsorg_asset.updateId!=sportsorg.updateId )
DELETE FROM stage.sportsorg_asset WHERE (organizationId,updateId) IN (
    SELECT organizationId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sportsorg_conf.organizationId, sportsorg_conf.updateId FROM stage.sportsorg_conf
        JOIN stage.sportsorg ON sportsorg_conf.organizationId=sportsorg.organizationId 
            AND sportsorg_conf.updateId!=sportsorg.updateId )
DELETE FROM stage.sportsorg_conf WHERE (organizationId,updateId) IN (
    SELECT organizationId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sportsorg_conf_asset.organizationId, sportsorg_conf_asset.updateId FROM stage.sportsorg_conf_asset
        JOIN stage.sportsorg ON sportsorg_conf_asset.organizationId=sportsorg.organizationId 
            AND sportsorg_conf_asset.updateId!=sportsorg.updateId )
DELETE FROM stage.sportsorg_conf_asset WHERE (organizationId,updateId) IN (
    SELECT organizationId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sportsorg_div.organizationId, sportsorg_div.updateId FROM stage.sportsorg_div
        JOIN stage.sportsorg ON sportsorg_div.organizationId=sportsorg.organizationId 
            AND sportsorg_div.updateId!=sportsorg.updateId )
DELETE FROM stage.sportsorg_div WHERE (organizationId,updateId) IN (
    SELECT organizationId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sportsorg_teambrand.organizationId, sportsorg_teambrand.updateId FROM stage.sportsorg_teambrand
        JOIN stage.sportsorg ON sportsorg_teambrand.organizationId=sportsorg.organizationId 
            AND sportsorg_teambrand.updateId!=sportsorg.updateId )
DELETE FROM stage.sportsorg_teambrand WHERE (organizationId,updateId) IN (
    SELECT organizationId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT sportsorg_event.organizationId, sportsorg_event.updateId FROM stage.sportsorg_event
        JOIN stage.sportsorg ON sportsorg_event.organizationId=sportsorg.organizationId 
            AND sportsorg_event.updateId!=sportsorg.updateId )
DELETE FROM stage.sportsorg_event WHERE (organizationId,updateId) IN (
    SELECT organizationId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT university_name.universityId, university_name.updateId FROM stage.university_name
        JOIN stage.university ON university_name.universityId=university.universityId 
            AND university_name.updateId!=university.updateId )
DELETE FROM stage.university_name WHERE (universityId,updateId) IN (
    SELECT universityId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT university_asset.universityId, university_asset.updateId FROM stage.university_asset
        JOIN stage.university ON university_asset.universityId=university.universityId 
            AND university_asset.updateId!=university.updateId )
DELETE FROM stage.university_asset WHERE (universityId,updateId) IN (
    SELECT universityId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT venuebrand_name.venueBrandId, venuebrand_name.updateId FROM stage.venuebrand_name
        JOIN stage.venuebrand ON venuebrand_name.venueBrandId=venuebrand.venueBrandId 
            AND venuebrand_name.updateId!=venuebrand.updateId )
DELETE FROM stage.venuebrand_name WHERE (venueBrandId,updateId) IN (
    SELECT venueBrandId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT schedule_event.scheduleId, schedule_event.updateId FROM stage.schedule_event
        JOIN stage.schedule ON schedule_event.scheduleId=schedule.scheduleId 
            AND schedule_event.updateId!=schedule.updateId )
DELETE FROM stage.schedule_event WHERE (scheduleId,updateId) IN (
    SELECT scheduleId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT schedule_event_bcastid.scheduleId, schedule_event_bcastid.updateId FROM stage.schedule_event_bcastid
        JOIN stage.schedule ON schedule_event_bcastid.scheduleId=schedule.scheduleId 
            AND schedule_event_bcastid.updateId!=schedule.updateId )
DELETE FROM stage.schedule_event_bcastid WHERE (scheduleId,updateId) IN (
    SELECT scheduleId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT schedule_event_right.scheduleId, schedule_event_right.updateId FROM stage.schedule_event_right
        JOIN stage.schedule ON schedule_event_right.scheduleId=schedule.scheduleId 
            AND schedule_event_right.updateId!=schedule.updateId )
DELETE FROM stage.schedule_event_right WHERE (scheduleId,updateId) IN (
    SELECT scheduleId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT schedule_event_right_param.scheduleId, schedule_event_right_param.updateId FROM stage.schedule_event_right_param
        JOIN stage.schedule ON schedule_event_right_param.scheduleId=schedule.scheduleId 
            AND schedule_event_right_param.updateId!=schedule.updateId )
DELETE FROM stage.schedule_event_right_param WHERE (scheduleId,updateId) IN (
    SELECT scheduleId,updateId FROM deletes ); 

WITH deletes AS (
    SELECT vdannotation_descriptor.TMSId, vdannotation_descriptor.updateId FROM stage.vdannotation_descriptor
        JOIN stage.vdannotation ON vdannotation_descriptor.TMSId=vdannotation.TMSId 
            AND vdannotation_descriptor.updateId!=vdannotation.updateId )
DELETE FROM stage.vdannotation_descriptor WHERE (TMSId,updateId) IN (
    SELECT TMSId,updateId FROM deletes ); 
