ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;

-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


WITH stage_dep AS (SELECT venueBrandId,venueId FROM stage.venuebrand)
INSERT INTO stage.venuebrand (venueBrandId,venueId,updateId,updateDate,MD5,ingestId,batchUpdateOrd,deleted)
SELECT core_dep.venueBrandId,core_dep.venueId,stage_main.updateId,stage_main.updateDate,stage_main.MD5,stage_main.ingestId,1,{2}
FROM core.venuebrand core_dep
    JOIN stage.venue stage_main ON core_dep.venueId=stage_main.venueId
WHERE NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_dep.venueId=stage_dep.venueId AND core_dep.venueBrandId=stage_dep.venueBrandId ) 
;


WITH stage_dep AS (SELECT teamBrandId,teamId FROM stage.teambrand)
INSERT INTO stage.teambrand (teamBrandId,teamId,updateId,updateDate,MD5,ingestId,batchUpdateOrd,deleted)
SELECT core_dep.teamBrandId,core_dep.teamId,stage_main.updateId,stage_main.updateDate,stage_main.MD5,stage_main.ingestId,1,{2}
FROM core.teambrand core_dep
    JOIN stage.team stage_main ON core_dep.teamId=stage_main.teamId
WHERE NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_dep.teamId=stage_dep.teamId AND core_dep.teamBrandId=stage_dep.teamBrandId ) 
;


WITH stage_dep AS (SELECT descriptorId FROM stage.descriptor)
INSERT INTO stage.descriptor (descriptorId,updateId,updateDate,MD5,ingestId,batchUpdateOrd,deleted,descriptorName,typeId,typeName)
SELECT core_main_dep.descriptorId,stage_main.updateId,stage_main.updateDate,stage_main.MD5,stage_main.ingestId,1,{2},'','',''
FROM core.descriptortaxonomy_descriptor core_main_dep
    JOIN stage.descriptortaxonomy stage_main ON core_main_dep.taxonomyId=stage_main.taxonomyId
WHERE NOT EXISTS (
    SELECT 1 FROM stage.descriptortaxonomy_descriptor stage_main_dep
    WHERE stage_main_dep.taxonomyId=core_main_dep.taxonomyId AND stage_main_dep.descriptorId=core_main_dep.descriptorId )
  AND NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_main_dep.descriptorId=stage_dep.descriptorId ) 
;


WITH stage_dep AS (SELECT seasonTMSId FROM stage.season)
INSERT INTO stage.season (seasonTMSId,updateId,updateDate,MD5,ingestId,batchUpdateOrd,deleted,seasonId)
SELECT core_main_dep.seasonTMSId,stage_main.updateId,stage_main.updateDate,stage_main.MD5,stage_main.ingestId,1,{2},0
FROM core.program_season core_main_dep
    JOIN stage.program stage_main ON core_main_dep.TMSId=stage_main.TMSId
WHERE NOT EXISTS (
    SELECT 1 FROM stage.program_season stage_main_dep
    WHERE stage_main_dep.TMSId=core_main_dep.TMSId AND stage_main_dep.seasonTMSId=core_main_dep.seasonTMSId )
  AND NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_main_dep.seasonTMSId=stage_dep.seasonTMSId ) 
  AND (stage_main.deleted = {2} OR (stage_main.deleted IS NULL AND stage_main.inactive IS NULL));


WITH stage_dep AS (SELECT seasonTMSId FROM stage.season)
INSERT INTO stage.season (seasonTMSId,updateId,updateDate,MD5,ingestId,batchUpdateOrd,inactive,seasonId)
SELECT core_main_dep.seasonTMSId,stage_main.updateId,stage_main.updateDate,stage_main.MD5,stage_main.ingestId,1,{2},0
FROM core.program_season core_main_dep
    JOIN stage.program stage_main ON core_main_dep.TMSId=stage_main.TMSId
WHERE NOT EXISTS (
    SELECT 1 FROM stage.program_season stage_main_dep
    WHERE stage_main_dep.TMSId=core_main_dep.TMSId AND stage_main_dep.seasonTMSId=core_main_dep.seasonTMSId )
  AND NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_main_dep.seasonTMSId=stage_dep.seasonTMSId ) 
  AND stage_main.inactive = {2} AND stage_main.deleted IS NULL;

