ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;

CREATE TABLE temp.cv AS SELECT cvId FROM stage.cv WHERE stage.cv.deleted = {1};
CREATE INDEX temp.idx_cv_id ON cv(cvId);

DELETE FROM stage.cv_attribute WHERE EXISTS (SELECT 1 FROM temp.cv WHERE temp.cv.cvId=stage.cv_attribute.cvId);
DELETE FROM stage.cv WHERE stage.cv.deleted = {1};

CREATE TABLE temp.source AS SELECT prgSvcId FROM stage.source WHERE stage.source.deleted = {1};
CREATE INDEX temp.idx_source_id ON source(prgSvcId);

DELETE FROM stage.source_transportid WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_transportid.prgSvcId);
DELETE FROM stage.source_group WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_group.prgSvcId);
DELETE FROM stage.source_genre WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_genre.prgSvcId);
DELETE FROM stage.source_marketid WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_marketid.prgSvcId);
DELETE FROM stage.source_asset WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_asset.prgSvcId);
DELETE FROM stage.source_affiliate WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_affiliate.prgSvcId);
DELETE FROM stage.source_relationship WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_relationship.prgSvcId);
DELETE FROM stage.source_bcastlang WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_bcastlang.prgSvcId);
DELETE FROM stage.source_edlang WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_edlang.prgSvcId);
DELETE FROM stage.source_attribute WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_attribute.prgSvcId);
DELETE FROM stage.source_altname WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_altname.prgSvcId);
DELETE FROM stage.source_country WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=stage.source_country.prgSvcId);
DELETE FROM stage.source WHERE stage.source.deleted = {1};

CREATE TABLE temp.lineup AS SELECT lineupId FROM stage.lineup WHERE stage.lineup.deleted = {1};
CREATE INDEX temp.idx_lineup_id ON lineup(lineupId);

DELETE FROM stage.lineup_market WHERE EXISTS (SELECT 1 FROM temp.lineup WHERE temp.lineup.lineupId=stage.lineup_market.lineupId);
DELETE FROM stage.lineup_postalcode WHERE EXISTS (SELECT 1 FROM temp.lineup WHERE temp.lineup.lineupId=stage.lineup_postalcode.lineupId);
DELETE FROM stage.lineup_channel_transport_id WHERE EXISTS (SELECT 1 FROM temp.lineup WHERE temp.lineup.lineupId=stage.lineup_channel_transport_id.lineupId);
DELETE FROM stage.lineup_channel_transport WHERE EXISTS (SELECT 1 FROM temp.lineup WHERE temp.lineup.lineupId=stage.lineup_channel_transport.lineupId);
DELETE FROM stage.lineup_channel WHERE EXISTS (SELECT 1 FROM temp.lineup WHERE temp.lineup.lineupId=stage.lineup_channel.lineupId);
DELETE FROM stage.lineup WHERE stage.lineup.deleted = {1};

CREATE TABLE temp.celebrity AS SELECT personId FROM stage.celebrity WHERE stage.celebrity.deleted = {1};
CREATE INDEX temp.idx_celebrity_id ON celebrity(personId);

DELETE FROM stage.celebrity_enhancedaward WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_enhancedaward.personId);
DELETE FROM stage.celebrity_socialmedia WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_socialmedia.personId);
DELETE FROM stage.celebrity_highlight WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_highlight.personId);
DELETE FROM stage.celebrity_quote WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_quote.personId);
DELETE FROM stage.celebrity_note WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_note.personId);
DELETE FROM stage.celebrity_milestone WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_milestone.personId);
DELETE FROM stage.celebrity_education WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_education.personId);
DELETE FROM stage.celebrity_relationshipevent WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_relationshipevent.personId);
DELETE FROM stage.celebrity_relationship WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_relationship.personId);
DELETE FROM stage.celebrity_biography WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_biography.personId);
DELETE FROM stage.celebrity_participanttype WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_participanttype.personId);
DELETE FROM stage.celebrity_mediography_credit WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_mediography_credit.personId);
DELETE FROM stage.celebrity_mediography WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_mediography.personId);
DELETE FROM stage.celebrity_asset WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_asset.personId);
DELETE FROM stage.celebrity_award WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_award.personId);
DELETE FROM stage.celebrity_name WHERE EXISTS (SELECT 1 FROM temp.celebrity WHERE temp.celebrity.personId=stage.celebrity_name.personId);
DELETE FROM stage.celebrity WHERE stage.celebrity.deleted = {1};

CREATE TABLE temp.descriptortaxonomy AS SELECT taxonomyId FROM stage.descriptortaxonomy WHERE stage.descriptortaxonomy.deleted = {1};
CREATE INDEX temp.idx_descriptortaxonomy_id ON descriptortaxonomy(taxonomyId);

DELETE FROM stage.descriptortaxonomy_descriptor WHERE EXISTS (SELECT 1 FROM temp.descriptortaxonomy WHERE temp.descriptortaxonomy.taxonomyId=stage.descriptortaxonomy_descriptor.taxonomyId);
DELETE FROM stage.descriptortaxonomy WHERE stage.descriptortaxonomy.deleted = {1};

CREATE TABLE temp.descriptor AS SELECT descriptorId FROM stage.descriptor WHERE stage.descriptor.deleted = {1};
CREATE INDEX temp.idx_descriptor_id ON descriptor(descriptorId);

DELETE FROM stage.descriptor WHERE stage.descriptor.deleted = {1};

CREATE TABLE temp.season AS SELECT seasonTMSId FROM stage.season WHERE stage.season.deleted = {1};
CREATE INDEX temp.idx_season_id ON season(seasonTMSId);

DELETE FROM stage.season_asset_id WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=stage.season_asset_id.seasonTMSId);
DELETE FROM stage.season_asset WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=stage.season_asset.seasonTMSId);
DELETE FROM stage.season_crew WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=stage.season_crew.seasonTMSId);
DELETE FROM stage.season_cast WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=stage.season_cast.seasonTMSId);
DELETE FROM stage.season_description WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=stage.season_description.seasonTMSId);
DELETE FROM stage.season_title WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=stage.season_title.seasonTMSId);
DELETE FROM stage.season WHERE stage.season.deleted = {1};

CREATE TABLE temp.program AS SELECT TMSId FROM stage.program WHERE stage.program.deleted = {1};
CREATE INDEX temp.idx_program_id ON program(TMSId);

DELETE FROM stage.program_origaudiolang WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_origaudiolang.TMSId);
DELETE FROM stage.program_descriptor WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_descriptor.TMSId);
DELETE FROM stage.program_externallink WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_externallink.TMSId);
DELETE FROM stage.program_relationship WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_relationship.TMSId);
DELETE FROM stage.program_release_distributor WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_release_distributor.TMSId);
DELETE FROM stage.program_release_attribute WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_release_attribute.TMSId);
DELETE FROM stage.program_release WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_release.TMSId);
DELETE FROM stage.program_asset_id WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_asset_id.TMSId);
DELETE FROM stage.program_asset WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_asset.TMSId);
DELETE FROM stage.program_spdata_event WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_spdata_event.TMSId);
DELETE FROM stage.program_spdata WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_spdata.TMSId);
DELETE FROM stage.program_spevent WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_spevent.TMSId);
DELETE FROM stage.program_spteam WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_spteam.TMSId);
DELETE FROM stage.program_spinfo WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_spinfo.TMSId);
DELETE FROM stage.program_epinfo_alt WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_epinfo_alt.TMSId);
DELETE FROM stage.program_epinfo WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_epinfo.TMSId);
DELETE FROM stage.program_mvtrailer WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_mvtrailer.TMSId);
DELETE FROM stage.program_mvinfo WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_mvinfo.TMSId);
DELETE FROM stage.program_ratingadvisory WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_ratingadvisory.TMSId);
DELETE FROM stage.program_qualityrating WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_qualityrating.TMSId);
DELETE FROM stage.program_rating WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_rating.TMSId);
DELETE FROM stage.program_genre WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_genre.TMSId);
DELETE FROM stage.program_award WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_award.TMSId);
DELETE FROM stage.program_country WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_country.TMSId);
DELETE FROM stage.program_crew WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_crew.TMSId);
DELETE FROM stage.program_cast WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_cast.TMSId);
DELETE FROM stage.program_description WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_description.TMSId);
DELETE FROM stage.program_title WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_title.TMSId);
DELETE FROM stage.program_season WHERE EXISTS (SELECT 1 FROM temp.program WHERE temp.program.TMSId=stage.program_season.TMSId);
DELETE FROM stage.program WHERE stage.program.deleted = {1};

CREATE TABLE temp.availability AS SELECT availabilityId FROM stage.availability WHERE stage.availability.deleted = {1};
CREATE INDEX temp.idx_availability_id ON availability(availabilityId);

DELETE FROM stage.availability_providerdata WHERE EXISTS (SELECT 1 FROM temp.availability WHERE temp.availability.availabilityId=stage.availability_providerdata.availabilityId);
DELETE FROM stage.availability_viewingoption WHERE EXISTS (SELECT 1 FROM temp.availability WHERE temp.availability.availabilityId=stage.availability_viewingoption.availabilityId);
DELETE FROM stage.availability_url WHERE EXISTS (SELECT 1 FROM temp.availability WHERE temp.availability.availabilityId=stage.availability_url.availabilityId);
DELETE FROM stage.availability_id WHERE EXISTS (SELECT 1 FROM temp.availability WHERE temp.availability.availabilityId=stage.availability_id.availabilityId);
DELETE FROM stage.availability WHERE stage.availability.deleted = {1};

CREATE TABLE temp.mapping AS SELECT mappingId FROM stage.mapping WHERE stage.mapping.deleted = {1};
CREATE INDEX temp.idx_mapping_id ON mapping(mappingId);

DELETE FROM stage.mapping_link WHERE EXISTS (SELECT 1 FROM temp.mapping WHERE temp.mapping.mappingId=stage.mapping_link.mappingId);
DELETE FROM stage.mapping_id WHERE EXISTS (SELECT 1 FROM temp.mapping WHERE temp.mapping.mappingId=stage.mapping_id.mappingId);
DELETE FROM stage.mapping WHERE stage.mapping.deleted = {1};

CREATE TABLE temp.sourceprogram AS SELECT gnidsId FROM stage.sourceprogram WHERE stage.sourceprogram.deleted = {1};
CREATE INDEX temp.idx_sourceprogram_id ON sourceprogram(gnidsId);

DELETE FROM stage.sourceprogram_xid WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_xid.gnidsId);
DELETE FROM stage.sourceprogram_asset_tag WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_asset_tag.gnidsId);
DELETE FROM stage.sourceprogram_asset_extattr WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_asset_extattr.gnidsId);
DELETE FROM stage.sourceprogram_asset_market WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_asset_market.gnidsId);
DELETE FROM stage.sourceprogram_asset_language WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_asset_language.gnidsId);
DELETE FROM stage.sourceprogram_asset_id WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_asset_id.gnidsId);
DELETE FROM stage.sourceprogram_asset WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_asset.gnidsId);
DELETE FROM stage.sourceprogram_season_xid WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_xid.gnidsId);
DELETE FROM stage.sourceprogram_season_asset_tag WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_asset_tag.gnidsId);
DELETE FROM stage.sourceprogram_season_asset_extattr WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_asset_extattr.gnidsId);
DELETE FROM stage.sourceprogram_season_asset_market WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_asset_market.gnidsId);
DELETE FROM stage.sourceprogram_season_asset_language WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_asset_language.gnidsId);
DELETE FROM stage.sourceprogram_season_asset_id WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_asset_id.gnidsId);
DELETE FROM stage.sourceprogram_season_asset WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_asset.gnidsId);
DELETE FROM stage.sourceprogram_season_crew WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_crew.gnidsId);
DELETE FROM stage.sourceprogram_season_cast WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_cast.gnidsId);
DELETE FROM stage.sourceprogram_season_desc WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_desc.gnidsId);
DELETE FROM stage.sourceprogram_season_title WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season_title.gnidsId);
DELETE FROM stage.sourceprogram_season WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_season.gnidsId);
DELETE FROM stage.sourceprogram_epinfo WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_epinfo.gnidsId);
DELETE FROM stage.sourceprogram_mvinfo WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_mvinfo.gnidsId);
DELETE FROM stage.sourceprogram_rating_advisory WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_rating_advisory.gnidsId);
DELETE FROM stage.sourceprogram_rating WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_rating.gnidsId);
DELETE FROM stage.sourceprogram_genre WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_genre.gnidsId);
DELETE FROM stage.sourceprogram_country WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_country.gnidsId);
DELETE FROM stage.sourceprogram_crew WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_crew.gnidsId);
DELETE FROM stage.sourceprogram_cast WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_cast.gnidsId);
DELETE FROM stage.sourceprogram_description WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_description.gnidsId);
DELETE FROM stage.sourceprogram_title WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_title.gnidsId);
DELETE FROM stage.sourceprogram_catalog_market WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_catalog_market.gnidsId);
DELETE FROM stage.sourceprogram_catalog_language WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_catalog_language.gnidsId);
DELETE FROM stage.sourceprogram_catalog WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_catalog.gnidsId);
DELETE FROM stage.sourceprogram_versionlabel WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_versionlabel.gnidsId);
DELETE FROM stage.sourceprogram_label WHERE EXISTS (SELECT 1 FROM temp.sourceprogram WHERE temp.sourceprogram.gnidsId=stage.sourceprogram_label.gnidsId);
DELETE FROM stage.sourceprogram WHERE stage.sourceprogram.deleted = {1};

CREATE TABLE temp.popularity AS SELECT popularityId FROM stage.popularity WHERE stage.popularity.deleted = {1};
CREATE INDEX temp.idx_popularity_id ON popularity(popularityId);

DELETE FROM stage.popularity WHERE stage.popularity.deleted = {1};

CREATE TABLE temp.university AS SELECT universityId FROM stage.university WHERE stage.university.deleted = {1};
CREATE INDEX temp.idx_university_id ON university(universityId);

DELETE FROM stage.university_asset WHERE EXISTS (SELECT 1 FROM temp.university WHERE temp.university.universityId=stage.university_asset.universityId);
DELETE FROM stage.university_name WHERE EXISTS (SELECT 1 FROM temp.university WHERE temp.university.universityId=stage.university_name.universityId);
DELETE FROM stage.university WHERE stage.university.deleted = {1};

CREATE TABLE temp.venue AS SELECT venueId FROM stage.venue WHERE stage.venue.deleted = {1};
CREATE INDEX temp.idx_venue_id ON venue(venueId);

DELETE FROM stage.venue WHERE stage.venue.deleted = {1};

CREATE TABLE temp.venuebrand AS SELECT venueBrandId FROM stage.venuebrand WHERE stage.venuebrand.deleted = {1};
CREATE INDEX temp.idx_venuebrand_id ON venuebrand(venueBrandId);

DELETE FROM stage.venuebrand_name WHERE EXISTS (SELECT 1 FROM temp.venuebrand WHERE temp.venuebrand.venueBrandId=stage.venuebrand_name.venueBrandId);
DELETE FROM stage.venuebrand WHERE stage.venuebrand.deleted = {1};

CREATE TABLE temp.sportsorg AS SELECT organizationId FROM stage.sportsorg WHERE stage.sportsorg.deleted = {1};
CREATE INDEX temp.idx_sportsorg_id ON sportsorg(organizationId);

DELETE FROM stage.sportsorg_event WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=stage.sportsorg_event.organizationId);
DELETE FROM stage.sportsorg_teambrand WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=stage.sportsorg_teambrand.organizationId);
DELETE FROM stage.sportsorg_div WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=stage.sportsorg_div.organizationId);
DELETE FROM stage.sportsorg_conf_asset WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=stage.sportsorg_conf_asset.organizationId);
DELETE FROM stage.sportsorg_conf WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=stage.sportsorg_conf.organizationId);
DELETE FROM stage.sportsorg_asset WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=stage.sportsorg_asset.organizationId);
DELETE FROM stage.sportsorg WHERE stage.sportsorg.deleted = {1};

CREATE TABLE temp.team AS SELECT teamId FROM stage.team WHERE stage.team.deleted = {1};
CREATE INDEX temp.idx_team_id ON team(teamId);

DELETE FROM stage.team_genre WHERE EXISTS (SELECT 1 FROM temp.team WHERE temp.team.teamId=stage.team_genre.teamId);
DELETE FROM stage.team WHERE stage.team.deleted = {1};

CREATE TABLE temp.teambrand AS SELECT teamBrandId FROM stage.teambrand WHERE stage.teambrand.deleted = {1};
CREATE INDEX temp.idx_teambrand_id ON teambrand(teamBrandId);

DELETE FROM stage.teambrand_asset WHERE EXISTS (SELECT 1 FROM temp.teambrand WHERE temp.teambrand.teamBrandId=stage.teambrand_asset.teamBrandId);
DELETE FROM stage.teambrand_name WHERE EXISTS (SELECT 1 FROM temp.teambrand WHERE temp.teambrand.teamBrandId=stage.teambrand_name.teamBrandId);
DELETE FROM stage.teambrand WHERE stage.teambrand.deleted = {1};

CREATE TABLE temp.vdannotation AS SELECT TMSId FROM stage.vdannotation WHERE stage.vdannotation.deleted = {1};
CREATE INDEX temp.idx_vdannotation_id ON vdannotation(TMSId);

DELETE FROM stage.vdannotation_descriptor WHERE EXISTS (SELECT 1 FROM temp.vdannotation WHERE temp.vdannotation.TMSId=stage.vdannotation_descriptor.TMSId);
DELETE FROM stage.vdannotation WHERE stage.vdannotation.deleted = {1};
