-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

INSERT INTO core.cv ("cvId","updateId","updateDate","deleted","cvType","id","type","lang","value","MD5","ingestId","batchUpdateOrd") 
  SELECT "cvId","updateId","updateDate","deleted","cvType","id","type","lang","value","MD5","ingestId","batchUpdateOrd" FROM stage.cv 
  WHERE NOT EXISTS (SELECT 1 FROM core.cv WHERE core.cv.cvId=stage.cv.cvId)  ;

INSERT INTO core.source ("prgSvcId","updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd") 
  SELECT "prgSvcId","updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd" FROM stage.source 
  WHERE NOT EXISTS (SELECT 1 FROM core.source WHERE core.source.prgSvcId=stage.source.prgSvcId)  ;

INSERT INTO core.lineup ("lineupId","updateId","updateDate","deleted","country","countryId","mso","msoId","headend","headendId","location","device","deviceType","type","MD5","ingestId","batchUpdateOrd") 
  SELECT "lineupId","updateId","updateDate","deleted","country","countryId","mso","msoId","headend","headendId","location","device","deviceType","type","MD5","ingestId","batchUpdateOrd" FROM stage.lineup 
  WHERE NOT EXISTS (SELECT 1 FROM core.lineup WHERE core.lineup.lineupId=stage.lineup.lineupId)  ;

INSERT INTO core.celebrity ("personId","updateId","updateDate","deleted","type","gender","nationality","ethnicity","birthName","birthPlace","birthDate","deathDate","deathPlace","deathCause","MD5","ingestId","batchUpdateOrd") 
  SELECT "personId","updateId","updateDate","deleted","type","gender","nationality","ethnicity","birthName","birthPlace","birthDate","deathDate","deathPlace","deathCause","MD5","ingestId","batchUpdateOrd" FROM stage.celebrity 
  WHERE NOT EXISTS (SELECT 1 FROM core.celebrity WHERE core.celebrity.personId=stage.celebrity.personId)  ;

INSERT INTO core.descriptortaxonomy ("taxonomyId","updateId","updateDate","deleted","MD5","ingestId","batchUpdateOrd") 
  SELECT "taxonomyId","updateId","updateDate","deleted","MD5","ingestId","batchUpdateOrd" FROM stage.descriptortaxonomy 
  WHERE NOT EXISTS (SELECT 1 FROM core.descriptortaxonomy WHERE core.descriptortaxonomy.taxonomyId=stage.descriptortaxonomy.taxonomyId)  ;

INSERT INTO core.descriptor ("descriptorId","updateId","updateDate","deleted","descriptorName","parent_descriptorId","typeId","typeName","MD5","ingestId","batchUpdateOrd") 
  SELECT "descriptorId","updateId","updateDate","deleted","descriptorName","parent_descriptorId","typeId","typeName","MD5","ingestId","batchUpdateOrd" FROM stage.descriptor 
  WHERE NOT EXISTS (SELECT 1 FROM core.descriptor WHERE core.descriptor.descriptorId=stage.descriptor.descriptorId)  ;

INSERT INTO core.season ("seasonTMSId","seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd") 
  SELECT "seasonTMSId","seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd" FROM stage.season 
  WHERE NOT EXISTS (SELECT 1 FROM core.season WHERE core.season.seasonTMSId=stage.season.seasonTMSId)  ;

INSERT INTO core.program ("TMSId","updateId","updateDate","deleted","inactive","rootId","versionId","connectorId","seasonId","seriesId","title_lang","desc_lang","title_subType","runTime","progType","subType","holiday","holidayId","origAirDate","colorCode","versionLabel","animation","origAudioLang","sourceType","origNetwork","origNetwork_prgSvcId","lastOrigNetwork","lastOrigNetwork_prgSvcId","seriesPremiere","seriesFinale","showcard","officialURL","partNumber","totalParts","duration","MD5","ingestId","batchUpdateOrd") 
  SELECT "TMSId","updateId","updateDate","deleted","inactive","rootId","versionId","connectorId","seasonId","seriesId","title_lang","desc_lang","title_subType","runTime","progType","subType","holiday","holidayId","origAirDate","colorCode","versionLabel","animation","origAudioLang","sourceType","origNetwork","origNetwork_prgSvcId","lastOrigNetwork","lastOrigNetwork_prgSvcId","seriesPremiere","seriesFinale","showcard","officialURL","partNumber","totalParts","duration","MD5","ingestId","batchUpdateOrd" FROM stage.program 
  WHERE NOT EXISTS (SELECT 1 FROM core.program WHERE core.program.TMSId=stage.program.TMSId)  ;

INSERT INTO core.availability ("availabilityId","updateId","updateDate","deleted","prgSvcId","catalogName","videoQuality","availableFrom","expiresAt","MD5","ingestId","batchUpdateOrd") 
  SELECT "availabilityId","updateId","updateDate","deleted","prgSvcId","catalogName","videoQuality","availableFrom","expiresAt","MD5","ingestId","batchUpdateOrd" FROM stage.availability 
  WHERE NOT EXISTS (SELECT 1 FROM core.availability WHERE core.availability.availabilityId=stage.availability.availabilityId)  ;

INSERT INTO core.mapping ("mappingId","updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd") 
  SELECT "mappingId","updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd" FROM stage.mapping 
  WHERE NOT EXISTS (SELECT 1 FROM core.mapping WHERE core.mapping.mappingId=stage.mapping.mappingId)  ;

INSERT INTO core.schedule ("scheduleId","updateId","updateDate","prgSvcId","date","MD5","ingestId","batchUpdateOrd") 
  SELECT "scheduleId","updateId","updateDate","prgSvcId","date","MD5","ingestId","batchUpdateOrd" FROM stage.schedule 
  WHERE NOT EXISTS (SELECT 1 FROM core.schedule WHERE core.schedule.scheduleId=stage.schedule.scheduleId)  ;

INSERT INTO core.sourceprogram ("gnidsId","updateId","updateDate","deleted","TMSId","desc_lang","progType","subType","sourceDataProviderId","sourceDataProviderName","origNetwork","targetAudience","productionStatus","releaseDate","yearOfRelease","partNumber","version_yearOfRelease","version_releaseDate","version_colorCode","version_duration","MD5","ingestId","batchUpdateOrd") 
  SELECT "gnidsId","updateId","updateDate","deleted","TMSId","desc_lang","progType","subType","sourceDataProviderId","sourceDataProviderName","origNetwork","targetAudience","productionStatus","releaseDate","yearOfRelease","partNumber","version_yearOfRelease","version_releaseDate","version_colorCode","version_duration","MD5","ingestId","batchUpdateOrd" FROM stage.sourceprogram 
  WHERE NOT EXISTS (SELECT 1 FROM core.sourceprogram WHERE core.sourceprogram.gnidsId=stage.sourceprogram.gnidsId)  ;

INSERT INTO core.popularity ("popularityId","updateId","updateDate","deleted","country","rootId","score","scoreDate","MD5","ingestId","batchUpdateOrd") 
  SELECT "popularityId","updateId","updateDate","deleted","country","rootId","score","scoreDate","MD5","ingestId","batchUpdateOrd" FROM stage.popularity 
  WHERE NOT EXISTS (SELECT 1 FROM core.popularity WHERE core.popularity.popularityId=stage.popularity.popularityId)  ;

INSERT INTO core.university ("universityId","updateId","updateDate","deleted","universityGId","name","names_lang","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd") 
  SELECT "universityId","updateId","updateDate","deleted","universityGId","name","names_lang","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd" FROM stage.university 
  WHERE NOT EXISTS (SELECT 1 FROM core.university WHERE core.university.universityId=stage.university.universityId)  ;

INSERT INTO core.venue ("venueId","updateId","updateDate","deleted","venueGId","type","timezone","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd") 
  SELECT "venueId","updateId","updateDate","deleted","venueGId","type","timezone","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd" FROM stage.venue 
  WHERE NOT EXISTS (SELECT 1 FROM core.venue WHERE core.venue.venueId=stage.venue.venueId)  ;

INSERT INTO core.venuebrand ("venueBrandId","updateId","updateDate","deleted","venueId","active","fromDate","toDate","names_lang","name","name_lang","MD5","ingestId","batchUpdateOrd") 
  SELECT "venueBrandId","updateId","updateDate","deleted","venueId","active","fromDate","toDate","names_lang","name","name_lang","MD5","ingestId","batchUpdateOrd" FROM stage.venuebrand 
  WHERE NOT EXISTS (SELECT 1 FROM core.venuebrand WHERE core.venuebrand.venueBrandId=stage.venuebrand.venueBrandId)  ;

INSERT INTO core.sportsorg ("organizationId","updateId","updateDate","deleted","rootId","official","sportGId","name","genre","genreId","MD5","ingestId","batchUpdateOrd") 
  SELECT "organizationId","updateId","updateDate","deleted","rootId","official","sportGId","name","genre","genreId","MD5","ingestId","batchUpdateOrd" FROM stage.sportsorg 
  WHERE NOT EXISTS (SELECT 1 FROM core.sportsorg WHERE core.sportsorg.organizationId=stage.sportsorg.organizationId)  ;

INSERT INTO core.team ("teamId","updateId","updateDate","deleted","teamGId","type","class","color_primary","color_secondary","gender","country","genreId","sportGId","venueId","venueGId","universityId","universityGId","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd") 
  SELECT "teamId","updateId","updateDate","deleted","teamGId","type","class","color_primary","color_secondary","gender","country","genreId","sportGId","venueId","venueGId","universityId","universityGId","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd" FROM stage.team 
  WHERE NOT EXISTS (SELECT 1 FROM core.team WHERE core.team.teamId=stage.team.teamId)  ;

INSERT INTO core.teambrand ("teamBrandId","updateId","updateDate","deleted","teamBrandGId","teamId","active","fromDate","toDate","names_lang","officialName","properName","nickName","abbreviation","MD5","ingestId","batchUpdateOrd") 
  SELECT "teamBrandId","updateId","updateDate","deleted","teamBrandGId","teamId","active","fromDate","toDate","names_lang","officialName","properName","nickName","abbreviation","MD5","ingestId","batchUpdateOrd" FROM stage.teambrand 
  WHERE NOT EXISTS (SELECT 1 FROM core.teambrand WHERE core.teambrand.teamBrandId=stage.teambrand.teamBrandId)  ;

INSERT INTO core.vdannotation ("TMSId","updateId","updateDate","deleted","rootId","MD5","ingestId","batchUpdateOrd") 
  SELECT "TMSId","updateId","updateDate","deleted","rootId","MD5","ingestId","batchUpdateOrd" FROM stage.vdannotation 
  WHERE NOT EXISTS (SELECT 1 FROM core.vdannotation WHERE core.vdannotation.TMSId=stage.vdannotation.TMSId)  ;
