-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.availability AS SELECT * FROM stage.availability 
  WHERE 1=1 
    AND stage.availability.batchUpdateOrd > {2} 
    AND stage.availability.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_availability_id ON availability(availabilityId);

DELETE FROM core.availability_providerdata WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
DELETE FROM core.availability_viewingoption WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
DELETE FROM core.availability_url WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
DELETE FROM core.availability_id WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);

UPDATE core.availability SET ("updateId","updateDate","deleted","prgSvcId","catalogName","videoQuality","availableFrom","expiresAt","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","prgSvcId","catalogName","videoQuality","availableFrom","expiresAt","MD5","ingestId","batchUpdateOrd" FROM temp.availability WHERE temp.availability.availabilityId=core.availability.availabilityId)
  WHERE EXISTS (SELECT 1 FROM temp.availability WHERE temp.availability.availabilityId=core.availability.availabilityId);

INSERT INTO core.availability_id SELECT * FROM stage.availability_id WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
INSERT INTO core.availability_url SELECT * FROM stage.availability_url WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
INSERT INTO core.availability_viewingoption SELECT * FROM stage.availability_viewingoption WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
INSERT INTO core.availability_providerdata SELECT * FROM stage.availability_providerdata WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
