-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.sportsevent AS SELECT * FROM stage.sportsevent 
  WHERE 1=1 
    AND stage.sportsevent.batchUpdateOrd > {2} 
    AND stage.sportsevent.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_sportsevent_id ON sportsevent(gId);

DELETE FROM core.sportsevent_div_asset WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_div_name WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_div WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_conf_asset WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_conf_name WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_conf WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_team WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_asset WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_related WHERE gId IN (SELECT gId FROM temp.sportsevent);
DELETE FROM core.sportsevent_name WHERE gId IN (SELECT gId FROM temp.sportsevent);

UPDATE core.sportsevent SET ("updateId","updateDate","deleted","type","typeDetail","name_default","names_lang","sportGId","gender","season","seasonGId","venueGId","league_nationalityGId","leagueSeason_isCurrent","leagueSeason_startDateLocal","leagueSeason_endDateLocal","match_scheduleStatus","match_resultStatus","match_participantType","match_homeParticipant","match_awayParticipant","match_scheduledStartTimeUTC","match_scheduledEndTimeUTC","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","type","typeDetail","name_default","names_lang","sportGId","gender","season","seasonGId","venueGId","league_nationalityGId","leagueSeason_isCurrent","leagueSeason_startDateLocal","leagueSeason_endDateLocal","match_scheduleStatus","match_resultStatus","match_participantType","match_homeParticipant","match_awayParticipant","match_scheduledStartTimeUTC","match_scheduledEndTimeUTC","MD5","ingestId","batchUpdateOrd" FROM temp.sportsevent WHERE temp.sportsevent.gId=core.sportsevent.gId)
  WHERE EXISTS (SELECT 1 FROM temp.sportsevent WHERE temp.sportsevent.gId=core.sportsevent.gId);

INSERT INTO core.sportsevent_name SELECT * FROM stage.sportsevent_name WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_related SELECT * FROM stage.sportsevent_related WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_asset SELECT * FROM stage.sportsevent_asset WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_team SELECT * FROM stage.sportsevent_team WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_conf SELECT * FROM stage.sportsevent_conf WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_conf_name SELECT * FROM stage.sportsevent_conf_name WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_conf_asset SELECT * FROM stage.sportsevent_conf_asset WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_div SELECT * FROM stage.sportsevent_div WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_div_name SELECT * FROM stage.sportsevent_div_name WHERE gId IN (SELECT gId FROM temp.sportsevent);
INSERT INTO core.sportsevent_div_asset SELECT * FROM stage.sportsevent_div_asset WHERE gId IN (SELECT gId FROM temp.sportsevent);
