-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.mapping AS SELECT * FROM stage.mapping 
  WHERE 1=1 
    AND stage.mapping.batchUpdateOrd > {2} 
    AND stage.mapping.batchUpdateOrd <= {3} 
    AND ( stage.mapping.deleted IS NULL OR 
          stage.mapping.deleted != {4} )
;

CREATE INDEX temp.idx_mapping_id ON mapping(mappingId);

DELETE FROM core.mapping_link WHERE mappingId IN (SELECT mappingId FROM temp.mapping);
DELETE FROM core.mapping_id WHERE mappingId IN (SELECT mappingId FROM temp.mapping);

UPDATE core.mapping SET ("updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","creationDate","status","catalogName","avail_start","avail_end","message_reason","message_detail","MD5","ingestId","batchUpdateOrd" FROM temp.mapping WHERE temp.mapping.mappingId=core.mapping.mappingId)
  WHERE EXISTS (SELECT 1 FROM temp.mapping WHERE temp.mapping.mappingId=core.mapping.mappingId);

INSERT INTO core.mapping_id SELECT * FROM stage.mapping_id WHERE mappingId IN (SELECT mappingId FROM temp.mapping);
INSERT INTO core.mapping_link SELECT * FROM stage.mapping_link WHERE mappingId IN (SELECT mappingId FROM temp.mapping);


CREATE TABLE temp.mapping_del AS SELECT * FROM stage.mapping 
  WHERE 1=1 
    AND stage.mapping.batchUpdateOrd > {2} 
    AND stage.mapping.batchUpdateOrd <= {3} 
    AND stage.mapping.deleted = {4} 
;
UPDATE core.mapping SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.mapping_del 
    WHERE temp.mapping_del.mappingId=core.mapping.mappingId) 
  WHERE EXISTS (SELECT 1 FROM temp.mapping_del WHERE temp.mapping_del.mappingId=core.mapping.mappingId)
;
UPDATE core.mapping_id SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.mapping_del 
    WHERE temp.mapping_del.mappingId=core.mapping_id.mappingId) 
  WHERE EXISTS (SELECT 1 FROM temp.mapping_del WHERE temp.mapping_del.mappingId=core.mapping_id.mappingId)
;

UPDATE core.mapping_link SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.mapping_del 
    WHERE temp.mapping_del.mappingId=core.mapping_link.mappingId) 
  WHERE EXISTS (SELECT 1 FROM temp.mapping_del WHERE temp.mapping_del.mappingId=core.mapping_link.mappingId)
;
