-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.season AS SELECT * FROM stage.season 
  WHERE 1=1 
    AND stage.season.batchUpdateOrd > {2} 
    AND stage.season.batchUpdateOrd <= {3} 
    AND ( stage.season.deleted IS NULL OR 
          stage.season.deleted != {4} )
    AND ( stage.season.inactive IS NULL OR 
          stage.season.inactive != {4} )
;

CREATE INDEX temp.idx_season_id ON season(seasonTMSId);

DELETE FROM core.season_asset_id WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_asset WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_crew WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_cast WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_description WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_title WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);

UPDATE core.season SET ("seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd")=
    (SELECT "seasonId","updateId","updateDate","deleted","inactive","seasonNumber","seasonYear","seasonPremiere","seasonFinale","origNetwork","origNetwork_prgSvcId","totalSeasonEpisodes","showcard","officialURL","title_lang","desc_lang","MD5","ingestId","batchUpdateOrd" FROM temp.season WHERE temp.season.seasonTMSId=core.season.seasonTMSId)
  WHERE EXISTS (SELECT 1 FROM temp.season WHERE temp.season.seasonTMSId=core.season.seasonTMSId);

INSERT INTO core.season_title SELECT * FROM stage.season_title WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_description SELECT * FROM stage.season_description WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_cast SELECT * FROM stage.season_cast WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_crew SELECT * FROM stage.season_crew WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_asset SELECT * FROM stage.season_asset WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
INSERT INTO core.season_asset_id SELECT * FROM stage.season_asset_id WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);


CREATE TABLE temp.season_del AS SELECT * FROM stage.season 
  WHERE 1=1 
    AND stage.season.batchUpdateOrd > {2} 
    AND stage.season.batchUpdateOrd <= {3} 
    AND stage.season.deleted = {4} 
;
UPDATE core.season SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season.seasonTMSId)
;
UPDATE core.season_title SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season_title.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season_title.seasonTMSId)
;

UPDATE core.season_description SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season_description.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season_description.seasonTMSId)
;

UPDATE core.season_cast SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season_cast.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season_cast.seasonTMSId)
;

UPDATE core.season_crew SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season_crew.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season_crew.seasonTMSId)
;

UPDATE core.season_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season_asset.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season_asset.seasonTMSId)
;

UPDATE core.season_asset_id SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_del 
    WHERE temp.season_del.seasonTMSId=core.season_asset_id.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_del WHERE temp.season_del.seasonTMSId=core.season_asset_id.seasonTMSId)
;

CREATE TABLE temp.season_inact AS SELECT * FROM stage.season 
  WHERE 1=1 
    AND stage.season.batchUpdateOrd > {2} 
    AND stage.season.batchUpdateOrd <= {3} 
    AND stage.season.inactive = {4} 
;
UPDATE core.season SET ("inactive","ingestId","updateId","updateDate")= 
  (SELECT "inactive","ingestId","updateId","updateDate" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season.seasonTMSId)
;
UPDATE core.season_title SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season_title.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season_title.seasonTMSId)
;

UPDATE core.season_description SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season_description.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season_description.seasonTMSId)
;

UPDATE core.season_cast SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season_cast.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season_cast.seasonTMSId)
;

UPDATE core.season_crew SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season_crew.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season_crew.seasonTMSId)
;

UPDATE core.season_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season_asset.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season_asset.seasonTMSId)
;

UPDATE core.season_asset_id SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.season_inact 
    WHERE temp.season_inact.seasonTMSId=core.season_asset_id.seasonTMSId) 
  WHERE EXISTS (SELECT 1 FROM temp.season_inact WHERE temp.season_inact.seasonTMSId=core.season_asset_id.seasonTMSId)
;
