-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.source AS SELECT * FROM stage.source 
  WHERE 1=1 
    AND stage.source.batchUpdateOrd > {2} 
    AND stage.source.batchUpdateOrd <= {3} 
    AND ( stage.source.deleted IS NULL OR 
          stage.source.deleted != {4} )
    AND ( stage.source.inactive IS NULL OR 
          stage.source.inactive != {4} )
;

CREATE INDEX temp.idx_source_id ON source(prgSvcId);

DELETE FROM core.source_transportid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_group WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_genre WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_marketid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_asset WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_affiliate WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_relationship WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_bcastlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_edlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_attribute WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_altname WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_country WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);

UPDATE core.source SET ("updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","inactive","name","callSign","num","majorNum","minorNum","city","state","postalCode","country","type","status","statusId","reach","signalType","videoType","truResolution","enhancedCallSign","cityOfLicense","timeZone","ianaTimeZone","URL","MD5","ingestId","batchUpdateOrd" FROM temp.source WHERE temp.source.prgSvcId=core.source.prgSvcId)
  WHERE EXISTS (SELECT 1 FROM temp.source WHERE temp.source.prgSvcId=core.source.prgSvcId);

INSERT INTO core.source_country SELECT * FROM stage.source_country WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_altname SELECT * FROM stage.source_altname WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_attribute SELECT * FROM stage.source_attribute WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_edlang SELECT * FROM stage.source_edlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_bcastlang SELECT * FROM stage.source_bcastlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_relationship SELECT * FROM stage.source_relationship WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_affiliate SELECT * FROM stage.source_affiliate WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_asset SELECT * FROM stage.source_asset WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_marketid SELECT * FROM stage.source_marketid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_genre SELECT * FROM stage.source_genre WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_group SELECT * FROM stage.source_group WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
INSERT INTO core.source_transportid SELECT * FROM stage.source_transportid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);


CREATE TABLE temp.source_del AS SELECT * FROM stage.source 
  WHERE 1=1 
    AND stage.source.batchUpdateOrd > {2} 
    AND stage.source.batchUpdateOrd <= {3} 
    AND stage.source.deleted = {4} 
;
UPDATE core.source SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source.prgSvcId)
;
UPDATE core.source_country SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_country.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_country.prgSvcId)
;

UPDATE core.source_altname SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_altname.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_altname.prgSvcId)
;

UPDATE core.source_attribute SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_attribute.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_attribute.prgSvcId)
;

UPDATE core.source_edlang SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_edlang.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_edlang.prgSvcId)
;

UPDATE core.source_bcastlang SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_bcastlang.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_bcastlang.prgSvcId)
;

UPDATE core.source_relationship SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_relationship.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_relationship.prgSvcId)
;

UPDATE core.source_affiliate SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_affiliate.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_affiliate.prgSvcId)
;

UPDATE core.source_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_asset.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_asset.prgSvcId)
;

UPDATE core.source_marketid SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_marketid.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_marketid.prgSvcId)
;

UPDATE core.source_genre SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_genre.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_genre.prgSvcId)
;

UPDATE core.source_group SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_group.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_group.prgSvcId)
;

UPDATE core.source_transportid SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_del 
    WHERE temp.source_del.prgSvcId=core.source_transportid.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_del WHERE temp.source_del.prgSvcId=core.source_transportid.prgSvcId)
;

CREATE TABLE temp.source_inact AS SELECT * FROM stage.source 
  WHERE 1=1 
    AND stage.source.batchUpdateOrd > {2} 
    AND stage.source.batchUpdateOrd <= {3} 
    AND stage.source.inactive = {4} 
;
UPDATE core.source SET ("inactive","ingestId","updateId","updateDate")= 
  (SELECT "inactive","ingestId","updateId","updateDate" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source.prgSvcId)
;
UPDATE core.source_country SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_country.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_country.prgSvcId)
;

UPDATE core.source_altname SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_altname.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_altname.prgSvcId)
;

UPDATE core.source_attribute SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_attribute.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_attribute.prgSvcId)
;

UPDATE core.source_edlang SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_edlang.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_edlang.prgSvcId)
;

UPDATE core.source_bcastlang SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_bcastlang.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_bcastlang.prgSvcId)
;

UPDATE core.source_relationship SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_relationship.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_relationship.prgSvcId)
;

UPDATE core.source_affiliate SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_affiliate.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_affiliate.prgSvcId)
;

UPDATE core.source_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_asset.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_asset.prgSvcId)
;

UPDATE core.source_marketid SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_marketid.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_marketid.prgSvcId)
;

UPDATE core.source_genre SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_genre.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_genre.prgSvcId)
;

UPDATE core.source_group SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_group.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_group.prgSvcId)
;

UPDATE core.source_transportid SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.source_inact 
    WHERE temp.source_inact.prgSvcId=core.source_transportid.prgSvcId) 
  WHERE EXISTS (SELECT 1 FROM temp.source_inact WHERE temp.source_inact.prgSvcId=core.source_transportid.prgSvcId)
;
