-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.sportsconf AS SELECT * FROM stage.sportsconf 
  WHERE 1=1 
    AND stage.sportsconf.batchUpdateOrd > {2} 
    AND stage.sportsconf.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_sportsconf_id ON sportsconf(conferenceId);

DELETE FROM core.sportsconf_asset WHERE conferenceId IN (SELECT conferenceId FROM temp.sportsconf);

UPDATE core.sportsconf SET ("updateId","updateDate","name","abbreviation","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","name","abbreviation","MD5","ingestId","batchUpdateOrd" FROM temp.sportsconf WHERE temp.sportsconf.conferenceId=core.sportsconf.conferenceId)
  WHERE EXISTS (SELECT 1 FROM temp.sportsconf WHERE temp.sportsconf.conferenceId=core.sportsconf.conferenceId);

INSERT INTO core.sportsconf_asset SELECT * FROM stage.sportsconf_asset WHERE conferenceId IN (SELECT conferenceId FROM temp.sportsconf);

