-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.sportsorg AS SELECT * FROM stage.sportsorg 
  WHERE 1=1 
    AND stage.sportsorg.batchUpdateOrd > {2} 
    AND stage.sportsorg.batchUpdateOrd <= {3} 
    AND ( stage.sportsorg.deleted IS NULL OR 
          stage.sportsorg.deleted != {4} )
;

CREATE INDEX temp.idx_sportsorg_id ON sportsorg(organizationId);

DELETE FROM core.sportsorg_event WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
DELETE FROM core.sportsorg_teambrand WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
DELETE FROM core.sportsorg_div WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
DELETE FROM core.sportsorg_conf_asset WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
DELETE FROM core.sportsorg_conf WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
DELETE FROM core.sportsorg_asset WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);

UPDATE core.sportsorg SET ("updateId","updateDate","deleted","rootId","official","sportGId","name","genre","genreId","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","rootId","official","sportGId","name","genre","genreId","MD5","ingestId","batchUpdateOrd" FROM temp.sportsorg WHERE temp.sportsorg.organizationId=core.sportsorg.organizationId)
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg WHERE temp.sportsorg.organizationId=core.sportsorg.organizationId);

INSERT INTO core.sportsorg_asset SELECT * FROM stage.sportsorg_asset WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
INSERT INTO core.sportsorg_conf SELECT * FROM stage.sportsorg_conf WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
INSERT INTO core.sportsorg_conf_asset SELECT * FROM stage.sportsorg_conf_asset WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
INSERT INTO core.sportsorg_div SELECT * FROM stage.sportsorg_div WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
INSERT INTO core.sportsorg_teambrand SELECT * FROM stage.sportsorg_teambrand WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);
INSERT INTO core.sportsorg_event SELECT * FROM stage.sportsorg_event WHERE organizationId IN (SELECT organizationId FROM temp.sportsorg);


CREATE TABLE temp.sportsorg_del AS SELECT * FROM stage.sportsorg 
  WHERE 1=1 
    AND stage.sportsorg.batchUpdateOrd > {2} 
    AND stage.sportsorg.batchUpdateOrd <= {3} 
    AND stage.sportsorg.deleted = {4} 
;
UPDATE core.sportsorg SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg.organizationId)
;
UPDATE core.sportsorg_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg_asset.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg_asset.organizationId)
;

UPDATE core.sportsorg_conf SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg_conf.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg_conf.organizationId)
;

UPDATE core.sportsorg_conf_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg_conf_asset.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg_conf_asset.organizationId)
;

UPDATE core.sportsorg_div SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg_div.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg_div.organizationId)
;

UPDATE core.sportsorg_teambrand SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg_teambrand.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg_teambrand.organizationId)
;

UPDATE core.sportsorg_event SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.sportsorg_del 
    WHERE temp.sportsorg_del.organizationId=core.sportsorg_event.organizationId) 
  WHERE EXISTS (SELECT 1 FROM temp.sportsorg_del WHERE temp.sportsorg_del.organizationId=core.sportsorg_event.organizationId)
;
