-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.team AS SELECT * FROM stage.team 
  WHERE 1=1 
    AND stage.team.batchUpdateOrd > {2} 
    AND stage.team.batchUpdateOrd <= {3} 
    AND ( stage.team.deleted IS NULL OR 
          stage.team.deleted != {4} )
;

CREATE INDEX temp.idx_team_id ON team(teamId);

DELETE FROM core.team_genre WHERE teamId IN (SELECT teamId FROM temp.team);

UPDATE core.team SET ("updateId","updateDate","deleted","teamGId","type","class","color_primary","color_secondary","gender","country","genreId","sportGId","venueId","venueGId","universityId","universityGId","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","teamGId","type","class","color_primary","color_secondary","gender","country","genreId","sportGId","venueId","venueGId","universityId","universityGId","address_city","address_state","address_country","MD5","ingestId","batchUpdateOrd" FROM temp.team WHERE temp.team.teamId=core.team.teamId)
  WHERE EXISTS (SELECT 1 FROM temp.team WHERE temp.team.teamId=core.team.teamId);

INSERT INTO core.team_genre SELECT * FROM stage.team_genre WHERE teamId IN (SELECT teamId FROM temp.team);


CREATE TABLE temp.team_del AS SELECT * FROM stage.team 
  WHERE 1=1 
    AND stage.team.batchUpdateOrd > {2} 
    AND stage.team.batchUpdateOrd <= {3} 
    AND stage.team.deleted = {4} 
;
UPDATE core.team SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.team_del 
    WHERE temp.team_del.teamId=core.team.teamId) 
  WHERE EXISTS (SELECT 1 FROM temp.team_del WHERE temp.team_del.teamId=core.team.teamId)
;
UPDATE core.team_genre SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.team_del 
    WHERE temp.team_del.teamId=core.team_genre.teamId) 
  WHERE EXISTS (SELECT 1 FROM temp.team_del WHERE temp.team_del.teamId=core.team_genre.teamId)
;
