-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.teambrand AS SELECT * FROM stage.teambrand 
  WHERE 1=1 
    AND stage.teambrand.batchUpdateOrd > {2} 
    AND stage.teambrand.batchUpdateOrd <= {3} 
    AND ( stage.teambrand.deleted IS NULL OR 
          stage.teambrand.deleted != {4} )
;

CREATE INDEX temp.idx_teambrand_id ON teambrand(teamBrandId);

DELETE FROM core.teambrand_asset WHERE teamBrandId IN (SELECT teamBrandId FROM temp.teambrand);
DELETE FROM core.teambrand_name WHERE teamBrandId IN (SELECT teamBrandId FROM temp.teambrand);

UPDATE core.teambrand SET ("updateId","updateDate","deleted","teamBrandGId","teamId","active","fromDate","toDate","names_lang","officialName","properName","nickName","abbreviation","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","teamBrandGId","teamId","active","fromDate","toDate","names_lang","officialName","properName","nickName","abbreviation","MD5","ingestId","batchUpdateOrd" FROM temp.teambrand WHERE temp.teambrand.teamBrandId=core.teambrand.teamBrandId)
  WHERE EXISTS (SELECT 1 FROM temp.teambrand WHERE temp.teambrand.teamBrandId=core.teambrand.teamBrandId);

INSERT INTO core.teambrand_name SELECT * FROM stage.teambrand_name WHERE teamBrandId IN (SELECT teamBrandId FROM temp.teambrand);
INSERT INTO core.teambrand_asset SELECT * FROM stage.teambrand_asset WHERE teamBrandId IN (SELECT teamBrandId FROM temp.teambrand);


CREATE TABLE temp.teambrand_del AS SELECT * FROM stage.teambrand 
  WHERE 1=1 
    AND stage.teambrand.batchUpdateOrd > {2} 
    AND stage.teambrand.batchUpdateOrd <= {3} 
    AND stage.teambrand.deleted = {4} 
;
UPDATE core.teambrand SET ("deleted","ingestId","updateId","updateDate")= 
  (SELECT "deleted","ingestId","updateId","updateDate" FROM temp.teambrand_del 
    WHERE temp.teambrand_del.teamBrandId=core.teambrand.teamBrandId) 
  WHERE EXISTS (SELECT 1 FROM temp.teambrand_del WHERE temp.teambrand_del.teamBrandId=core.teambrand.teamBrandId)
;
UPDATE core.teambrand_name SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.teambrand_del 
    WHERE temp.teambrand_del.teamBrandId=core.teambrand_name.teamBrandId) 
  WHERE EXISTS (SELECT 1 FROM temp.teambrand_del WHERE temp.teambrand_del.teamBrandId=core.teambrand_name.teamBrandId)
;

UPDATE core.teambrand_asset SET ("ingestId","updateId")= 
  (SELECT "ingestId","updateId" FROM temp.teambrand_del 
    WHERE temp.teambrand_del.teamBrandId=core.teambrand_asset.teamBrandId) 
  WHERE EXISTS (SELECT 1 FROM temp.teambrand_del WHERE temp.teambrand_del.teamBrandId=core.teambrand_asset.teamBrandId)
;
