-- Extract basic TV channel information with some metrics
SELECT 
	 s.`prgSvcId`, s.`name`, s.`callSign`
	,(
		SELECT GROUP_CONCAT(sb.`bcastLang`)
		FROM source_bcastlang sb 
		WHERE 1=1 
			AND sb.`prgSvcId` = s.`prgSvcId`
	) AS `bcastLangs`
	,(
		SELECT GROUP_CONCAT(se.`edLang`)
		FROM source_edlang se 
		WHERE 1=1 
			AND se.`prgSvcId` = s.`prgSvcId`
	) AS `edLangs`
	,(
		SELECT CONCAT_WS(',', DATE(MIN(h.`date`)), DATE(MAX(h.`date`)) )
		FROM schedule h 
		WHERE 1=1 
			AND h.`prgSvcId` = s.`prgSvcId`
	) AS `dateRange`
	,(
		SELECT COUNT(he.`eventId`)
		FROM schedule h 
			JOIN schedule_event he ON he.`scheduleId` = h.`scheduleId`
		WHERE 1=1 
			AND h.`prgSvcId` = s.`prgSvcId`
	) AS `airings`
	,(
		SELECT COUNT(DISTINCT he.`TMSId`)
		FROM schedule h 
			JOIN schedule_event he ON he.`scheduleId` = h.`scheduleId`
		WHERE 1=1 
			AND h.`prgSvcId` = s.`prgSvcId`
	) AS `uniquePrograms`
FROM 
	source s 
WHERE 1=1
	AND s.`deleted` IS NULL
;
