-- VideoDescriptor full taxonomy in matrix/pivot representation
SELECT d1.`typeId`, d1.`typeName`
    ,d1.`descriptorId` AS `L1_descriptorId`, d1.`descriptorName` as `L1_descriptorName`
    ,d2.`descriptorId` AS `L2_descriptorId`, d2.`descriptorName` as `L2_descriptorName`
    ,d3.`descriptorId` AS `L3_descriptorId`, d3.`descriptorName` as `L3_descriptorName`
    ,d4.`descriptorId` AS `L4_descriptorId`, d4.`descriptorName` as `L4_descriptorName`
    ,d5.`descriptorId` AS `L5_descriptorId`, d5.`descriptorName` as `L5_descriptorName`
    ,d6.`descriptorId` AS `L6_descriptorId`, d6.`descriptorName` as `L6_descriptorName`
    ,COALESCE(d6.`descriptorId`,d5.`descriptorId`,d4.`descriptorId`,d3.`descriptorId`,d2.`descriptorId`, d1.`descriptorId`) AS `leaf_descriptorId`
    ,COUNT(d1.`descriptorId`)+COUNT(d2.`descriptorId`)+COUNT(d3.`descriptorId`)+COUNT(d4.`descriptorId`)+COUNT(d5.`descriptorId`)+COUNT(d6.`descriptorId`)
    	AS `depth`
FROM `descriptor` d1
    LEFT JOIN `descriptor` d2 ON d2.`parent_descriptorId`=d1.`descriptorId`
    LEFT JOIN `descriptor` d3 ON d3.`parent_descriptorId`=d2.`descriptorId`
    LEFT JOIN `descriptor` d4 ON d4.`parent_descriptorId`=d3.`descriptorId`
    LEFT JOIN `descriptor` d5 ON d5.`parent_descriptorId`=d4.`descriptorId`
    LEFT JOIN `descriptor` d6 ON d6.`parent_descriptorId`=d5.`descriptorId`
WHERE 1=1
    AND d1.`parent_descriptorId` IS NULL
    AND d1.deleted IS NULL AND d2.deleted IS NULL AND d3.deleted IS NULL AND d4.deleted IS NULL AND d5.deleted IS NULL AND d6.deleted IS NULL    
GROUP BY 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15
ORDER BY d1.`typeName`
    ,d1.`descriptorName`
    ,d2.`descriptorName`
    ,d3.`descriptorName`
    ,d4.`descriptorName`
    ,d5.`descriptorName`
    ,d6.`descriptorName`
;